﻿-- Locale
local AceLocale = LibStub:GetLibrary("AceLocale-3.0");
local AL = AceLocale:NewLocale("RareScanner", "deDE", false);

if AL then
	-- UI strings
	AL["CHECK_MAP"] = "Schau auf die Minikarte!";
	AL["UNKNOWN_TARGET"] = "Unbekanntes Ziel";
	AL["JUST_SPAWNED"] = " wurde entdeckt";
	AL["NOT_TARGETEABLE"] = "Nicht anvisierbar";
	AL["CLICK_TARGET"] = "Klicken zum anvisieren";
	AL["ALARM_MESSAGE"] = "Ein seltener NSC wurde gefunden, schau auf die Minikarte!";
	
	-- UI config panel
	AL["GENERAL_OPTIONS"] = "Allgemeine Einstellungen";
	AL["ENABLE_SCAN_RARES"] = "Die Suche von Rar-NSCs aktivieren";
	AL["ENABLE_SCAN_RARES_DESC"] = "When this is activated you will be warned visually and with a sound everytime a rare NPC shows up in your minimap";
	AL["ENABLE_SCAN_CONTAINERS"] = "Toggle searching treasures or chests";
	AL["ENABLE_SCAN_CONTAINERS_DESC"] = "When this is activated you will be warned visually and with a sound everytime a treasure or chest shows up in your minimap";
	AL["ENABLE_SCAN_EVENTS"] = "Die Suche von Ereignissen aktivieren";
	AL["ENABLE_SCAN_EVENTS_DESC"] = "When this is activated you will be warned visually and with a sound everytime an event shows up in your minimap";
	AL["ENABLE_SCAN_GARRISON_CHEST"] = "Toggle searching garrison treasure";
	AL["ENABLE_SCAN_GARRISON_CHEST_DESC"] = "When this is activated you will be warned visually and with a sound everytime your garrison chest shows up in your minimap.";
	AL["ENABLE_SCAN_IN_ASHRAN"] = "Alarme in Ashran aktivieren";
	AL["ENABLE_SCAN_IN_ASHRAN_DESC"] = "When this is activated you will get alerts from NPCs rares and events in Ashran.";
	AL["SOUND"] = "Sound";
	AL["SOUND_OPTIONS"] = "Soundeinstellungen";
	AL["ALARM_SOUND"] = "Warnton für seltene NSCs";
	AL["ALARM_SOUND_DESC"] = "Sound played when a rare NPC shows up in your minimap.";
	AL["ALARM_TREASURES_SOUND"] = "Warning sound for events/treasures";
	AL["ALARM_TREASURES_SOUND_DESC"] = "Sound played when a treasure/chest or event shows up in your minimap.";
	AL["DISABLE_SOUND"] = "Disable audio alerts";
	AL["DISABLE_SOUND_DESC"] = "When this is activated you won't receive audio alerts";
	AL["DISPLAY"] = "Anzeige";
	AL["DISPLAY_OPTIONS"] = "Anzeigeeinstellungen";
	AL["LOOT_PANEL_OPTIONS"] = "Loot bar options";
	AL["DISPLAY_LOOT_PANEL"] = "Toggle showing loot bar";
	AL["DISPLAY_LOOT_PANEL_DESC"] = "When this is activated it will show a bar with the loot dropped by the NPC found";
	AL["LOOT_MIN_QUALITY"] = "Minimum loot quality";
	AL["LOOT_MIN_QUALITY_DESC"] = "Defines the minimum loot quality to show in the loot bar";
	AL["QUALITY_POOR"] = "Schlecht";
	AL["QUALITY_COMMON"] = "Gewöhnlich";
	AL["QUALITY_UNCOMMON"] = "Außergewöhnlich";
	AL["QUALITY_RARE"] = "Selten";
	AL["QUALITY_EPIC"] = "Episch";
	AL["QUALITY_LEGENDARY"] = "Legendär";
	AL["LOOT_TOOLTIP_POSITION"] = "Loot tooltip position";
	AL["LOOT_TOOLTIP_POSITION_DESC"] = "Defines where to show the loot tooltip that appears when you move the mouse over an icon, in respect to the button";
	AL["TOOLTIP_LEFT"] = "Linke Seite";
	AL["TOOLTIP_RIGHT"] = "Rechte Seite";
	AL["TOOLTIP_CURSOR"] = "Follow cursor";
	AL["TOOLTIP_TOP"] = "Oben";
	AL["TOOLTIP_BOTTOM"] = "Unten";
	AL["DISPLAY_BUTTON"] = "Toggle showing the button and the miniature";
	AL["DISPLAY_BUTTON_DESC"] = "When disabled the button and the miniature won't be shown again. It doesn't affect the alarm sound and the chat alerts.";
	AL["AUTO_HIDE_BUTTON"] = "Autohide button and miniature";
	AL["AUTO_HIDE_BUTTON_DESC"] = "Hides the button and the miniature automatically after the time selected (in seconds). If you select zero seconds the button and the miniature won't autohide.";
	AL["SHOW_CHAT_ALERT"] = "Chatwarnungen anzeigen";
	AL["SHOW_CHAT_ALERT_DESC"] = "Shows a private message in the chat every time a treasure, chest or NPC is found.";
	AL["FILTER"] = "Filter";
	AL["FILTERS_SEARCH"] = "Search";
	AL["FILTERS_SEARCH_DESC"] = "Type the name of the NPC to filter the list below";
	AL["CLEAR_FILTERS_SEARCH"] = "Alle zeigen";
	AL["CLEAR_FILTERS_SEARCH_DESC"] = "Reset the previous search and show the complete list";
	AL["FILTERS"] = "Filters for rare NPCs";
	AL["FILTER_RARE_LIST"] = "Filter searching for rare NPCs";
	AL["FILTER_RARE_LIST_DESC"] = "Toggle searching for this rare NPC. When disabled you won't get an alert when this NPC is found.";
	AL["DISABLE_SEARCHING_RARE_TOOLTIP"] = "Disable alerts for this rare NPC";
	AL["DISABLED_SEARCHING_RARE"] = "Disabled alerts for this rare NPC: ";
	AL["ENABLE_SEARCHING_RARE_TOOLTIP"] = "Enable alerts for this rare NPC";
	AL["ENABLED_SEARCHING_RARE"] = "Enabled alerts for this rare NPC: ";
	AL["TEST"] = "Launch Test";
	AL["TEST_DESC"] = "Press the button to show an alert example. You can drag and drop the panel to another position where it will be shown from now on.";

	-- RARE names
	AL["RARE_LIST"] = {
		-- Rares Pandaria
		["Aeonaxx"] = 50062; --Aeonaxx
		["Aetha"] = 58778; --Aetha
		["Aethis"] = 50750; --Aethis
		["Ahone die Wanderin"] = 50817; --Ahone the Wanderer
		["Ai-Li Himmelsspiegel"] = 50821; --Ai-Li Skymirror
		["Ai-Ran die flüchtige Wolke"] = 50822; --Ai-Ran the Shifting Cloud
		["Al'tabim der Allsehende"] = 70000; --Al'tabim the All-Seeing
		["Ankha"] = 54318; --Ankha
		["Anthriss"] = 54338; --Anthriss
		["Archiereus der Flamme"] = 73666; --Archiereus of Flame
		["Erzritualist Kelada"] = 70243; --Archritualist Kelada
		["Arness die Schuppe"] = 50787; --Arness the Scale
		["Rückenbrecher Uru"] = 70001; --Backbreaker Uru
		["Bai-Jin der Schlächter"] = 58949; --Bai-Jin the Butcher
		["Ban'thalos"] = 54320; --Ban'thalos
		["Baolai der Verbrenner"] = 63695; --Baolai the Immolator
		["Schwarzhuf"] = 51059; --Blackhoof
		["Blutspitz"] = 58474; --Bloodtip
		["Bonobos"] = 50828; --Bonobos
		["Borginn Dunkelfaust"] = 50341; --Borginn Darkfist
		["Bufo"] = 72775; --Bufo
		["Champion der Schwarzen Flamme"] = 73171; --Champion of the Black Flame
		["Chelon"] = 72045; --Chelon
		["Glutfall"] = 73175; --Cinderfall
		["Cournith Wasserläufer"] = 50768; --Cournith Waterstrider
		["Knackzahn"] = 58768; --Cracklefang
		["Kranichknirscher"] = 72049; --Cranegnasher
		["Dak der Brecher"] = 50334; --Dak the Breaker
		["Dalan Nachtbrecher"] = 68318; --Dalan Nightbreaker
		["Toth'tilac"] = 54322; --Deth'tilac
		["Disha Furchtwächter"] = 68319; --Disha Fearwarden
		["Doktor Theolen Krastinov"] = 59369; --Doctor Theolen Krastinov
		["Schreckensschiff Vazuvius"] = 73281; --Dread Ship Vazuvius
		["Smaragdkranich"] = 73158; --Emerald Gander
		["Eshelon"] = 50772; --Eshelon
		["Tiefenschlund"] = 73279; --Evermaw
		["Ferdinand"] = 51078; --Ferdinand
		["Fleisch'rok der Verpestete"] = 70429; --Flesh'rok the Diseased
		["Funkenlord Gairan"] = 73172; --Flintlord Gairan
		["Fokussiertes Auge"] = 70249; --Focused Eye
		["Gaarn der Giftige"] = 50340; --Gaarn the Toxic
		["Gaohun der Seelenschnitter"] = 62881; --Gaohun the Soul-Severer
		["Gar'lok"] = 50739; --Gar'lok
		["Garnia"] = 73282; --Garnia
		["General Temuja"] = 63101; --General Temuja
		["Geisterkrabbler"] = 50051; --Ghostcrawler
		["Go-Kan"] = 50331; --Go-Kan
		["Gochao die Eisenfaust"] = 62880; --Gochao the Ironfist
		["Gottkoloss Ramuk"] = 69999; --God-Hulk Ramuk
		["Goda"] = 69998; --Goda
		["Golganarr"] = 72970; --Golganarr
		["Großschildkröte Zornpanzer"] = 73161; --Great Turtle Furyshell
		["Gu'chi der Schwarmbringer"] = 72909; --Gu'chi the Swarmbringer
		["Havak"] = 50354; --Havak
		["Durchgebranntes Konstrukt der Sonnenhäscher"] = 50358; --Haywire Sunreaver Construct
		["Huo-Shuang"] = 63691; --Huo-Shuang
		["Huolon"] = 73167; --Huolon
		["Ik-Ik der Flinke"] = 50836; --Ik-Ik the Nimble
		["Kaiserpython"] = 73163; --Imperial Python
		["Eisenfellstahlhorn"] = 73160; --Ironfur Steelhorn
		["Jadezahn"] = 49822; --Jadefang
		["Jakur von Ordos"] = 73169; --Jakur of Ordon
		["Jonn-Dar"] = 50351; --Jonn-Dar
		["Kah'tir"] = 50355; --Kah'tir
		["Kal'tik der Veröder"] = 50749; --Kal'tik the Blight
		["Kang der Seelendieb"] = 50349; --Kang the Soul Thief
		["Kar Kriegstreiber"] = 68321; --Kar Warmaker
		["Karkanos"] = 72193; --Karkanos
		["Karkin"] = 50959; --Karkin
		["Karoma"] = 50138; --Karoma
		["Karr der Verdunkler"] = 50347; --Karr the Darkener
		["Kirix"] = 54323; --Kirix
		["Kor'nas Nachtgrauen"] = 50338; --Kor'nas Nightsavage
		["Korda Torros"] = 50332; --Korda Torros
		["Krakkanon"] = 70323; --Krakkanon
		["Krax'ik"] = 50363; --Krax'ik
		["Kri'chon"] = 63978; --Kri'chon
		["Krol die Klinge"] = 50356; --Krol the Blade
		["Ku'lai die Himmelsklaue"] = 69996; --Ku'lai the Skyclaw
		["Blattheiler"] = 73277; --Leafmender
		["Lith'ik der Pirscher"] = 50734; --Lith'ik the Stalker
		["Lon der Bulle"] = 50333; --Lon the Bull
		["Lu-Ban"] = 70002; --Lu-Ban
		["Magria"] = 54319; --Magria
		["Major Affentanz"] = 50840; --Major Nanners
		["Mavis Harms"] = 68317; --Mavis Harms
		["Das Tier"] = 50823; --Mister Ferocious
		["Moldo Einauge"] = 50806; --Moldo One-Eye
		["Molthor"] = 70003; --Molthor
		["Monara"] = 70440; --Monara
		["Monströse Dornzange"] = 73166; --Monstrous Spineclaw
		["Morgrinn Bersthauer"] = 50350; --Morgrinn Crackfang
		["Muerta"] = 68322; --Muerta
		["Mumta"] = 69664; --Mumta
		["Nal'lak der Reißer"] = 50364; --Nal'lak the Ripper
		["Nalash Verdantis"] = 50776; --Nalash Verdantis
		["Nasra Fleckpelz"] = 50811; --Nasra Spothide
		["Nessos das Orakel"] = 50789; --Nessos the Oracle
		["No'ku Sturmsprecher"] = 70276; --No'ku Stormsayer
		["Norlaxx"] = 50344; --Norlaxx
		["Omnis Feixmaul"] = 50805; --Omnis Grinlok
		["Oberanführer Zornesbeben"] = 50085; --Overlord Sunderfury
		["Prinz Lakma"] = 54533; --Prince Lakma
		["Progenitus"] = 69997; --Progenitus
		["Qu'nas"] = 50352; --Qu'nas
		["Kwall"] = 58771; --Quid
		["Ra'sha"] = 70530; --Ra'sha
		["Klapperknochen"] = 72048; --Rattleskew
		["Steinmoos"] = 73157; --Rock Moss
		["Krankenstein"] = 70430; --Rocky Horror
		["Ruun Geisterpranke"] = 50816; --Ruun Ghostpaw
		["Sahn Gezeitenjäger"] = 50780; --Sahn Tidehunter
		["Kriegsspäher von Salyis"] = 50783; --Salyin Warscout
		["Sambas"] = 50159; --Sambas
		["Sarnak"] = 50782; --Sarnak
		["Kritscher"] = 50831; --Scritch
		["Sele'na"] = 50766; --Sele'na
		["Schattenmeister Sydow"] = 63240; --Shadowmaster Sydow
		["Siltriss der Schärfer"] = 50791; --Siltriss the Sharpener
		["Skarr"] = 50815; --Skarr
		["Ski'thik"] = 50733; --Ski'thik
		["Flickerflamm"] = 54324; --Skitterflame
		["Solix"] = 54321; --Solix
		["Spelurk"] = 71864; --Spelurk
		["Jadefeuergeist"] = 72769; --Spirit of Jadefire
		["Geist von Lao-Fe"] = 58817; --Spirit of Lao-Fe
		["Spriggin"] = 50830; --Spriggin
		["Stinkezopf"] = 73704; --Stinkbraid
		["Sulik'shor"] = 50339; --Sulik'shor
		["Tarvus der Üble"] = 50086; --Tarvus the Vile
		["Der Jauler"] = 50832; --The Yowler
		["Torik-Ethis"] = 50388; --Torik-Ethis
		["Tsavo'ka"] = 72808; --Tsavo'ka
		["Ubunti der Schatten"] = 68320; --Ubunti the Shade
		["Starrendes Auge"] = 70238; --Unblinking Eye
		["Urdur der Kauterisierer"] = 73173; --Urdur the Cauterizer
		["Urgolax"] = 50359; --Urgolax
		["Urobi der Wanderer"] = 50808; --Urobi the Walker
		["Zangenkiefer"] = 58769; --Vicejaw
		["Vyraxxis"] = 63977; --Vyraxxis
		["Kriegsgott Dokah"] = 70096; --War-God Dokah
		["Behüter Osu"] = 73170; --Watcher Osu
		["Whizzig"] = 73293; --Whizzig
		["Willi Wilder"] = 70126; --Willy Wilder
		["Wulon"] = 63510; --Wulon
		["Yorik Scharfauge"] = 50336; --Yorik Sharpeye
		["Yul Wildpfote"] = 50820; --Yul Wildpaw
		["Zai der Verstoßene"] = 50769; --Zai the Outcast
		["Kriegshetzer der Zandalari"] = 69769; --Zandalari Warbringer cian
		["Kriegshetzer der Zandalari"] = 69842; --Zandalari Warbringer gray
		["Kriegshetzer der Zandalari"] = 69841; --Zandalari Warbringer silver
		["Kriegsspäher der Zandalari"] = 69768; --Zandalari Warscout
		["Zao'cho"] = 69843; --Zao'cho
		["Zesqua"] = 72245; --Zesqua
		["Zhu-Gon der Saure"] = 71919; --Zhu-Gon the Sour
		
		-- Rares Draenor
		["Amaukwa"] = 77140; --Amaukwa
		["Uralter Klingenmeister"] = 82899; --Ancient Blademaster
		["Aqualir"] = 86213; --Aqualir
		["Avatar von Socrethar"] = 88043; --Avatar of Socrethar
		["Ba'ruun"] = 82326; --Ba'ruun
		["Bahamai"] = 81406; --Bahameye
		["Bashiok"] = 82085; --Bashiok
		["Ausweiderin Saramor"] = 78150; --Beastcarver Saramor
		["Betti Bummbatz"] = 84887; --Betsi Boombasket
		["Klingentänzer Aeryx"] = 80614; --Blade-Dancer Aeryx
		["Fäulglimmer"] = 84856; --Blightglow
		["Dornkönig Fili"] = 81639; --Brambleking Fili
		["Atemlos"] = 78867; --Breathless
		["Brutag Grimmklinge"] = 87234; --Brutag Grimblade
		["Schluchteismutter"] = 71721; --Canyon Icemother
		["Char der Brennende"] = 82311; --Char the Burning
		["Frostfang"] = 80242; --Chillfang
		["Glutrachen"] = 72294; --Cindermaw
		["Wolkensprecher Daber"] = 78169; --Cloudspeaker Daber
		["Froststampf der Trauernde"] = 77513; --Coldstomp the Griever
		["Frosthauer"] = 76914; --Coldtusk
		["Cro Fleischfetzer"] = 77620; --Cro Fleshrender
		["Zyklonzorn"] = 78621; --Cyclonic Fury
		["Dunkle Manifestation"] = 77085; --Dark Emanation
		["Dunkelmeister Go'vid"] = 82268; --Darkmaster Go'vid
		["Dunkelkralle"] = 82411; --Darktalon
		["Scharfschützin Kizi"] = 77763; --Deadshot Kizi
		["Tiefenwurz"] = 82058; --Depthroot
		["Terrorhuf"] = 86729; --Direhoof
		["Dr. Depression"] = 77561; --Dr. Gloom
		["Durkath Stahlrachen"] = 84807; --Durkath Steelmaw
		["Elementaristin Utrah"] = 77768; --Elementalist Utrah
		["Enavra"] = 82676; --Enavra
		["Enavra"] = 82742; --Enavra
		["Feenglanz"] = 82207; --Faebright
		["Reißzahn"] = 82975; --Fangler
		["Teufelsborke"] = 80204; --Felbark
		["Teufelsfeuerbuhle"] = 82992; --Felfire Consort
		["Eiterblüte"] = 84890; --Festerbloom
		["Feuerzornriese"] = 74971; --Firefury Giant
		["Feuerteufel Grash"] = 88580; --Firestarter Grash
		["Flinthaut"] = 83483; --Flinthide
		["Schmiedematrone Targa"] = 77648; --Forge Matron Targa
		["Greisholz der Versteinerte"] = 85250; --Fossilwood the Petrified
		["Rasender Golem"] = 77614; --Frenzied Golem
		["Galzomar"] = 78713; --Galzomar
		["Gar'lua"] = 82764; --Gar'lua
		["Garnison Ford"] = 86058; --Garrison Ford
		["Gelgor aus der blauen Flamme"] = 81038; --Gelgor of the Blue Flame
		["General Aevd"] = 82882; --General Aevd
		["Gennadian"] = 80471; --Gennadian
		["Riesentöter Kul"] = 71665; --Giant-Slayer Kul
		["Riesentöterin Kimla"] = 78144; --Giantslayer Kimla
		["Glimmerflügel"] = 77719; --Glimmerwing
		["Schlinger"] = 80868; --Glut
		["Knorrhuf der Tollwütige"] = 82778; --Gnarlhoof the Rabid
		["Gorum"] = 76380; --Gorum
		["Großmarschall Tremblade"] = 82876; --Grand Marshal Tremblade
		["Großfeder"] = 82758; --Greatfeather
		["Greldrok der Listige"] = 84431; --Greldrok the Cunning
		["Grauschlund"] = 82912; --Grizzlemaw
		["Gronnjäger Dawarn"] = 78128; --Gronnstalker Dawarn
		["Wächter des Hains Yal"] = 88583; --Grove Warden Yal
		["Grutush der Plünderer"] = 80312; --Grutush the Pillager
		["Gruuk"] = 80190; --Gruuk
		["Gurun"] = 80235; --Gurun
		["Haakun der Allesverschlingende"] = 83008; --Haakun the All-Consuming
		["Hammerzahn"] = 77715; --Hammertooth
		["Hennenmutter Hami"] = 77626; --Hen-Mother Hami
		["Blassfell der Einsiedler"] = 86724; --Hermit Palefur
		["Oberster Kriegsfürst Volrath"] = 82877; --High Warlord Volrath
		["Jägerin Bal'ra"] = 88672; --Hunter Bal'ra
		["Jäger Schwarzzahn"] = 83603; --Hunter Blacktooth
		["Jagdmeister Kuang"] = 78151; --Huntmaster Kuang
		["Hyperius"] = 78161; --Hyperious
		["Insha'tar"] = 83553; --Insha'tar
		["Schmatzschlund"] = 82616; --Jabberjaw
		["Jaluk der Pazifist"] = 87600; --Jaluk the Pacifist
		["Jiasska der Sporenschlinger"] = 84955; --Jiasska the Sporegorger
		["Kalos der Blutgetränkte"] = 84810; --Kalos the Bloodbathed
		["Karosh Schwarzwind"] = 86959; --Karosh Blackwind
		["Kharazos der Triumphale"] = 78710; --Kharazos the Triumphant
		["Todesschlund"] = 74206; --Killmaw
		["Klikixx"] = 78872; --Klikixx
		["Ku'targ der Leerenseher"] = 72362; --Ku'targ the Voidseer
		["Herrin Temptessa"] = 85121; --Lady Temptessa
		["Blattleser Kurri"] = 72537; --Leaf-Reader Kurri
		["Lo'marg Kieferbrecher"] = 77784; --Lo'marg Jawcrusher
		["Lord Korinak"] = 82920; --Lord Korinak
		["Wahnsinniger \"König\" Sporeon"] = 77310; --Mad "King" Sporeon
		["Malroc Steinmahler"] = 83643; --Malroc Stonesunder
		["Mandrakor"] = 84406; --Mandrakor
		["Marschall Gabriel"] = 82878; --Marshal Gabriel
		["Marschall Karsh Sturmschmiede"] = 82880; --Marshal Karsh Stormforge
		["Matrone der Sünde"] = 82998; --Matron of Sin
		["Morva Seelenzerstörer"] = 82362; --Morva Soultwister
		["Mutter Araneae"] = 76473; --Mother Araneae
		["Mutter Om'ra"] = 75071; --Mother Om'ra
		["Mutafen"] = 84417; --Mutafen
		["Nas Dunberlinn"] = 82247; --Nas Dunberlin
		["No'losh"] = 79334; --No'losh
		["Ophiis"] = 83409; --Ophiis
		["Oskiira der Rachsüchtige"] = 84872; --Oskiira the Vengeful
		["Vorhut Duretha"] = 83680; --Outrider Duretha
		["Fahler Fischfänger"] = 78606; --Pale Fishmonger
		["Pfadfinder Jalog"] = 78134; --Pathfinder Jalog
		["Pfadpirscherin Draga"] = 77095; --Pathstalker Draga
		["Grubenbestie"] = 88208; --Pit Beast
		["Giftmeister Keilzahn"] = 84838; --Poisonmaster Bortusk
		["Primalist Mur'og"] = 76918; --Primalist Mur'og
		["Flammenzauberin Zindra"] = 77642; --Pyrecaster Zindra
		["Ra'kahn"] = 77741; --Ra'kahn
		["Ragore Schneejäger"] = 84392; --Ragore Driftstalker
		["Rai'vosh"] = 82374; --Rai'vosh
		["Rotklaue der Wilde"] = 82755; --Redclaw the Feral
		["Faulhut"] = 85504; --Rotcap
		["Sangrikass"] = 84833; --Sangrikass
		["Späher Blutsucher"] = 77526; --Scout Goreseeker
		["Sean Weißsee"] = 83542; --Sean Whitesea
		["Schattenborke"] = 79938; --Shadowbark
		["Shinri"] = 82415; --Shinri
		["Sikthiss die Kriegsfurie"] = 78715; --Sikthiss, Maiden of Slaughter
		["Silberblatturtum"] = 79686; --Silverleaf Ancient
		["Silberblatturtum"] = 79693; --Silverleaf Ancient
		["Silberblatturtum"] = 79692; --Silverleaf Ancient
		["Sonnenverstärker"] = 83990; --Solar Magnifier
		["Seelenfang"] = 80057; --Soulfang
		["Stahlhauer"] = 86549; --Steeltusk
		["Stampfer Kreego"] = 79629; --Stomper Kreego
		["Steingrimm"] = 84805; --Stonespite
		["Sulfuror"] = 80725; --Sulfurious
		["Sonnenklaue"] = 86137; --Sunclaw
		["Reißdorn"] = 84912; --Sunderthorn
		["Schwarmblatt"] = 85520; --Swarmleaf
		["Schneller Onyxschinder"] = 88582; --Swift Onyx Flayer
		["Klauenbrecher"] = 84836; --Talonbreaker
		["Krallenpriesterin Zorkra"] = 79485; --Talonpriest Zorkra
		["Tesska der Gebrochene"] = 84775; --Tesska the Broken
		["Der Prügler"] = 77527; --The Beater
		["Tor'goroth"] = 82618; --Tor'goroth
		["Tura'aka"] = 83591; --Tura'aka
		["Varasha"] = 82050; --Varasha
		["Veloss"] = 75482; --Veloss
		["Leerenhetzerin Urnae"] = 85078; --Voidreaver Urnae
		["Leerenseher Kalurg"] = 83385; --Voidseer Kalurg
		["Vulceros"] = 77926; --Vulceros
		["Wandernder Verteidiger"] = 77776; --Wandering Vindicator
		["Schlachtzauberer Bargol"] = 78733; --Warcaster Bargol
		["Kriegsmeister Blugthol"] = 79024; --Warmaster Blugthol
		["Windzahnmatriarchin"] = 75434; --Windfang Matriarch
		["Xothear der Zerstörer"] = 82922; --Xothear, the Destroyer
		["Yaga die Vernarbte"] = 79145; --Yaga the Scarred
		["Yazheera die Verbrennerin"] = 77529; --Yazheera the Incinerator
		["Yggdrel"] = 75435; --Yggdrel
		["Mondfang"] = 71992; --Moonfang
		["Uraltes Inferno"] = 84875; --Ancient Inferno
		["Protzki"] = 83819; --Brickhouse
		["Demidos"] = 84911; --Demidos
		["Ältester Dunkelwirker Kath"] = 85771; --Elder Darkweaver Kath
		["Gorenspießer"] = 84893; --Goregore
		["Korthall Seelenschlinger"] = 84110; --Korthall Soulgorger
		["Kurlosh Verdammnisbiss"] = 82988; --Kurlosh Doomfang
		["Herrin Demlash"] = 82942; --Lady Demlash
		["Mandragoraster"] = 83683; --Mandragoraster
		["Oraggro"] = 84904; --Oraggro
		["Orumo der Beobachter"] = 87668; --Orumo the Observer
		["Panthora"] = 83691; --Panthora
		["Schattenflammenschreiter"] = 82930; --Shadowflame Terrorwalker
		["Titarus"] = 83713; --Titarus
		["Wachsamer Paarthos"] = 88436; --Vigilant Paarthos
		["Erzmagierin Tekar"] = 88072; --Archmagus Tekar
		["Bombardier Gu'gok"] = 87597; --Bombardier Gu'gok
		["Gefangener Steinformer der Gor'vosh"] = 84746; --Captured Gor'vosh Stoneshaper
		["Verfluchter Herold"] = 85767; --Cursed Harbinger
		["Verfluchter Verheerer"] = 85763; --Cursed Ravager
		["Verfluchte Scharfklaue"] = 85766; --Cursed Sharptalon
		["Gibblett der Feigling"] = 87352; --Gibblette the Cowardly
		["Gibby"] = 87362; --Gibby
		["Gug'tol"] = 83019; --Gug'tol
		["Raureif"] = 87348; --Hoarfrost
		["Vorhut der Legion"] = 88494; --Legion Vanguard
		["Hauptfeldwebel Milgra"] = 85001; --Master Sergeant Milgra
		["Moltnoma"] = 82614; --Moltnoma
		["Mutter der Goren"] = 87351; --Mother of Goren
		["Rüstmeister Hershak"] = 84925; --Quartermaster Hershak
		["Schattensprecher Niir"] = 85029; --Shadowspeaker Niir
		["Wuchthauer der Leichenfresser"] = 82617; --Slogtusk the Corpse-Eater
		["Sohn von Goramal"] = 82620; --Son of Goramal
		["Seelenbinderin Naylana"] = 88083; --Soulbinder Naylana
		["Stabschef Ankor"] = 88071; --Strategist Ankor
		["Der Knochenkriecher"] = 78265; --The Bone Crawler
		["Klingenmeister Ro'gor"] = 86579; --Blademaster Ro'gor
		["Deserteur Dazgo"] = 86566; --Defector Dazgo
		["Durp der Verhasste"] = 86571; --Durp the Hated
		["Gorivax"] = 82536; --Gorivax
		["Horgg"] = 86577; --Horgg
		["Erfinderin Rumskugel"] = 86574; --Inventor Blammo
		["Maroder Madgard"] = 86562; --Maniacal Madgard
		["Morgo Kain"] = 86582; --Morgo Kain
		["Der Lantikor"] = 77081; --The Lanticore
		["Valkor"] = 87357; --Valkor
		["Vrok der Urzeitliche"] = 87356; --Vrok the Ancient
		["Kriegsfürst Noktyn"] = 82883; --Warlord Noktyn
		["Ak'ox die Schlächterin"] = 84378; --Ak'ox the Slaughterer
		["Alkali"] = 86268; --Alkali
		["Lawine"] = 85568; --Avalanche
		["Knochenbrecher"] = 87837; --Bonebreaker
		["Brennende Macht"] = 84926; --Burning Power
		["Durg Rückenzermalmer"] = 87788; --Durg Spinecrusher
		["Gefräßiger Riese"] = 87019; --Gluttonous Giant
		["Knarlkiefer"] = 78269; --Gnarljaw
		["Gorg'ak der Lavaschlinger"] = 72364; --Gorg'ak the Lava Guzzler
		["Gortag Stahlgriff"] = 87344; --Gortag Steelgrip
		["Schleimkönig"] = 78260; --King Slime
		["Krahl Totauge"] = 87239; --Krahl Deadeye
		["Springschlinger"] = 84465; --Leaping Gorger
		["Malgosh Schattenhüter"] = 85451; --Malgosh Shadowkeeper
		["Mechaplünderer"] = 87026; --Mecha Plunderer
		["Mogamago"] = 88586; --Mogamago
		["Dr. Zwicky sen."] = 84435; --Mr. Pinchy Sr.
		["Nagidna"] = 85555; --Nagidna
		["Schattenkoloss"] = 87027; --Shadow Hulk
		["Schlüpfriger Schleim"] = 84854; --Slippery Slime
		["Scherbenschlund"] = 85837; --Slivermaw
		["Seelenschänder Torek"] = 85026; --Soul-Twister Torek
		["Ug'lok der Frostige"] = 79104; --Ug'lok the Frozen
		["Eingesponnener Soldat"] = 84196; --Web-wrapped Soldier
		["Aogexon"] = 86774; --Aogexon
		["Basten"] = 86257; --Basten
		["Bergruu"] = 86732; --Bergruu
		["Borrok der Verschlinger"] = 72156; --Borrok the Devourer
		["Dekkorhan"] = 86743; --Dekorhan
		["Echidna"] = 80372; --Echidna
		["Gagrog der Metzler"] = 86771; --Gagrog the Brutal
		["Keravnos"] = 80398; --Keravnos
		["Krud der Ausweider"] = 88210; --Krud the Eviscerator
		["Lernaea"] = 80370; --Lernaea
		["Mu'gra"] = 87666; --Mu'gra
		["Nultra"] = 86258; --Nultra
		["Grubenschlächter"] = 87846; --Pit Slayer
		["Thek'talon"] = 86750; --Thek'talon
		["Typhon"] = 80371; --Typhon
		["Valstil"] = 86259; --Valstil
		["Venolasix"] = 86266; --Venolasix
		["Gräuelklaue"] = 88951; --Vileclaw
		["Xelganak"] = 86835; --Xelganak
		["Kapitän Eisenbart"] = 79725; --Captain Ironbeard
		["Gaz'orda"] = 80122; --Gaz'orda
		["Netherbrut"] = 83401; --Netherspawn
		["Ru'klaa"] = 83526; --Ru'klaa
		["Windrufer Korast"] = 83428; --Windcaller Korast
		["Berserker T-300 Serie Modell II"] = 82826; --Berserk T-300 Series Mark II
		["Forscher Nozzand"] = 82486; --Explorer Nozzand
		["Metzelblüte"] = 83509; --Gorepetal
		["Schotterzahn"] = 84263; --Graveltooth
		["Späher Pokhar"] = 83634; --Scout Pokhar
		["Böser Blick"] = 86978; --Gaze
		["Schlingflosse"] = 84951; --Gobblefin
		["Grrbrrgl"] = 85572; --Grrbrrgle
		["Aarko"] = 77664; --Aarko
		["Echo von Murmur"] = 77828; --Echo of Murmur
		["Echo von Murmur"] = 77795; --Echo of Murmur
		["Shirzir"] = 79543; --Shirzir
		["Taladortarantel"] = 77634; --Taladorantula
		["Unterseher Blutmähne"] = 80524; --Underseer Bloodmane
		["Rolkor"] = 85264; --Rolkor
		["Sylldross"] = 86410; --Sylldross
		["Schwarmkönigin Skrikka"] = 83522; --Hive Queen Skrikka
		["Brutmutter Reeg'ak"] = 74613; --Broodmother Reeg'ak
		["Riesenvernichter"] = 77519; --Giantbane
		["Schniefel"] = 86689; --Sneevel
		["Stampfalupagus"] = 86520; --Stompalupagus
		["Berthora"] = 85907; --Berthora
		["Riptar"] = 85970; --Riptar
		["Hypnoquak"] = 79524; --Hypnocroak
		["Felshuf"] = 72606; --Rockhoof
		["Giftschatten"] = 75492; --Venomshade
		["Nakk der Donnerer"] = 50990; --Nakk the Thunderer
		["Gorok"] = 50992; --Gorok
		["Luk'hok"] = 50981; --Luk'hok
		["Rammfaust"] = 50985; --Poundfist
		["Schlickhaut"] = 51015; --Silthide
		["Pfadläufer"] = 50883; --Pathrunner
		["Nok-Karosh"] = 81001; --Nok-Karosh
		
		-- Rares Draenor 6.2
		["Argosh der Zerstörer"] = 91871; --Argosh the Destroyer
		["Belgork"] = 92552; --Belgork
		["Bilkor der Werfer"] = 90884; --Bilkor the Thrower
		["Schrecken des Blutenden Auges"] = 92657; --Bleeding Hollow Horror
		["Blutjäger Zulk"] = 90936; --Bloodhunter Zulk
		["Brutwächter Ixkor"] = 92429; --Broodlord Ixkor
		["Hauptmann Grok'mar"] = 93264; --Captain Grok'mar
		["Kapitän Eisenbart"] = 93076; --Captain Ironbeard
		["Ceraxas"] = 90434; --Ceraxas
		["Cindral das Lauffeuer"] = 90519; --Cindral the Wildfire
		["Dunkle Beschwörerin Rendkra"] = 90081; --Dark Summoner Rendkra
		["Dorg der Blutige"] = 90887; --Dorg the Bloody
		["Driss Aasflinte"] = 93028; --Driss Vile
		["Drivnul"] = 90888; --Drivnul
		["Exekutor Riloth"] = 91727; --Executor Riloth
		["Teufelsfräser"] = 93168; --Felbore
		["Teufelsschmiedin Damorka"] = 92647; --Felsmith Damorka
		["Teufelsfunke"] = 91098; --Felspark
		["Finsterkralle"] = 92508; --Gloomtalon
		["Gorabosh"] = 92941; --Gorabosh
		["Großhexenmeister Nethekurse"] = 91695; --Grand Warlock Nethekurse
		["Grannok"] = 93057; --Grannok
		["Grobthok Schädelbrecher"] = 90089; --Grobthok Skullbreaker
		["Hafenmeister Korak"] = 90094; --Harbormaster Korak
		["Hohepriester Ikzan"] = 90281; --High Priest Ikzan
		["Hohepriester Ikzan"] = 90777; --High Priest Ikzan
		["Wichtelmeisterin Valessa"] = 90429; --Imp-Master Valessa
		["Eiserner Hauptmann Argha"] = 90087; --Iron Captain Argha
		["Jax'zor"] = 90437; --Jax'zor
		["Krell der Gleichmütige"] = 92517; --Krell the Serene
		["Kris'kar der Verschmähte"] = 93279; --Kris'kar the Unredeemed
		["Lady Oran"] = 90438; --Lady Oran
		["Magwia"] = 93002; --Magwia
		["Herrin Thavra"] = 90442; --Mistress Thavra
		["Ormak Blutblitz"] = 90088; --Ormak Bloodbolt
		["Oberanführer Ma'gruth"] = 92411; --Overlord Ma'gruth
		["Schmerzmeisterin Selora"] = 92274; --Painmistress Selora
		["Schotenfürst Wakkawumm"] = 91374; --Podlord Wakkawam
		["Putre'thar"] = 91009; --Putre'thar
		["Rasthe"] = 90782; --Rasthe
		["Relgor"] = 92197; --Relgor
		["Überrest des Blutmonds"] = 91227; --Remnant of the Blood Moon
		["Rendrak"] = 92627; --Rendrak
		["Rogond der Fährtenleser"] = 90885; --Rogond the Tracker
		["Rukmaz"] = 94113; --Rukmaz
		["Unteroffizier Mor'grak"] = 90024; --Sergeant Mor'grak
		["Schattendrescher"] = 93236; --Shadowthrash
		["Seelenschlitzer"] = 92495; --Soulslicer
		["Stahlschnauze"] = 92887; --Steelsnout
		["Sylissa"] = 92606; --Sylissa
		["Szirek der Entstellte"] = 93001; --Szirek the Twisted
		["Der Schwarzfang"] = 92465; --The Blackfang
		["Die Schlitzklaue"] = 92694; --The Goreclaw
		["Der Eiserne Hundemeister"] = 92977; --The Iron Houndmaster
		["Der Nachtschatten"] = 92645; --The Night Haunter
		["Der Nachtschatten"] = 92636; --The Night Haunter
		["Tho'gar Blutfaust"] = 91243; --Tho'gar Gorefist
		["Thromma der Bauchschlitzer"] = 92574; --Thromma the Gutslicer
		["Varyx der Verdammte"] = 92451; --Varyx the Damned
		["Xanzith der Unvergängliche"] = 92408; --Xanzith the Everlasting
		["Zeter'el"] = 91087; --Zeter'el
		["Zoug der Klotz"] = 90122; --Zoug the Heavy
		["Dornenwüter"] = 91093; --Bramblefell
		["Kommandant Krag'goth"] = 91232; --Commander Krag'goth
		["Kommandant Org'mok"] = 89675; --Commander Org'mok
		["Todeskralle"] = 95053; --Deathtalon
		["Verdammniswalze"] = 95056; --Doomroller
		["Glub'glok"] = 93125; --Glub'glok
		["Terrorfaust"] = 95044; --Terrorfist
		["Rache"] = 95054; --Vengeance
		["Wurmple"] = 91921; --Wyrmple
		["Xemirkol"] = 96235; --Xemirkol
		
		-- Rares Draenor 6.2.1
		["Guk"] = 98200; --Guk
		["Pugg"] = 98199; --Pugg
		["Rukdug"] = 98198; --Rukdug
		["Drakum"] = 98283; --Drakum
		["Gondar"] = 98284; --Gondar
		["Zaggund Hopp"] = 98285; --Smashum Grabb
		["Teufelsaufseher Lehmklump"] = 98408; --Fel Overseer Mudlump
		["Arachnis"] = 96323; --Arachnis
		["Eraakis"] = 97209; --Eraakis
	}
end
