﻿-- Locale
local AceLocale = LibStub:GetLibrary("AceLocale-3.0");
local AL = AceLocale:NewLocale("RareScanner", "enGB", true, true);

if AL then
	-- UI strings
	AL["CHECK_MAP"] = "Check your map!";
	AL["UNKNOWN_TARGET"] = "Unknown target";
	AL["JUST_SPAWNED"] = " just showed up";
	AL["NOT_TARGETEABLE"] = "Not targeteable";
	AL["CLICK_TARGET"] = "Click to target NPC";
	AL["ALARM_MESSAGE"] = "A rare NPC just showed up, check your map!";
	
	-- UI config panel
	AL["GENERAL_OPTIONS"] = "General options";
	AL["ENABLE_SCAN_RARES"] = "Toggle searching rare NPCs";
	AL["ENABLE_SCAN_RARES_DESC"] = "When this is activated you will be warned visually and with a sound everytime a rare NPC shows up in your minimap";
	AL["ENABLE_SCAN_CONTAINERS"] = "Toggle searching treasures or chests";
	AL["ENABLE_SCAN_CONTAINERS_DESC"] = "When this is activated you will be warned visually and with a sound everytime a treasure or chest shows up in your minimap";
	AL["ENABLE_SCAN_EVENTS"] = "Toggle searching events";
	AL["ENABLE_SCAN_EVENTS_DESC"] = "When this is activated you will be warned visually and with a sound everytime an event shows up in your minimap";
	AL["ENABLE_SCAN_GARRISON_CHEST"] = "Toggle searching garrison treasure";
	AL["ENABLE_SCAN_GARRISON_CHEST_DESC"] = "When this is activated you will be warned visually and with a sound everytime your garrison chest shows up in your minimap.";
	AL["ENABLE_SCAN_IN_ASHRAN"] = "Toggle alerts in Ashran";
	AL["ENABLE_SCAN_IN_ASHRAN_DESC"] = "When this is activated you will get alerts from NPCs rares and events in Ashran.";
	AL["SOUND"] = "Sound";
	AL["SOUND_OPTIONS"] = "Sound options";
	AL["ALARM_SOUND"] = "Warning sound for rare NPCs";
	AL["ALARM_SOUND_DESC"] = "Sound played when a rare NPC shows up in your minimap.";
	AL["ALARM_TREASURES_SOUND"] = "Warning sound for events/treasures";
	AL["ALARM_TREASURES_SOUND_DESC"] = "Sound played when a treasure/chest or event shows up in your minimap.";
	AL["DISABLE_SOUND"] = "Disable audio alerts";
	AL["DISABLE_SOUND_DESC"] = "When this is activated you won't receive audio alerts";
	AL["DISPLAY"] = "Display";
	AL["DISPLAY_OPTIONS"] = "Display options";
	AL["LOOT_PANEL_OPTIONS"] = "Loot bar options";
	AL["DISPLAY_LOOT_PANEL"] = "Toggle showing loot bar";
	AL["DISPLAY_LOOT_PANEL_DESC"] = "When this is activated it will show a bar with the loot dropped by the NPC found";
	AL["LOOT_MIN_QUALITY"] = "Minimum loot quality";
	AL["LOOT_MIN_QUALITY_DESC"] = "Defines the minimum loot quality to show in the loot bar";
	AL["QUALITY_POOR"] = "Poor";
	AL["QUALITY_COMMON"] = "Common";
	AL["QUALITY_UNCOMMON"] = "Uncommon";
	AL["QUALITY_RARE"] = "Rare";
	AL["QUALITY_EPIC"] = "Epic";
	AL["QUALITY_LEGENDARY"] = "Legendary";
	AL["LOOT_TOOLTIP_POSITION"] = "Loot tooltip position";
	AL["LOOT_TOOLTIP_POSITION_DESC"] = "Defines where to show the loot tooltip that appears when you move the mouse over an icon, in respect to the button";
	AL["TOOLTIP_LEFT"] = "Left side";
	AL["TOOLTIP_RIGHT"] = "Right side";
	AL["TOOLTIP_CURSOR"] = "Follow cursor";
	AL["TOOLTIP_TOP"] = "Upper side";
	AL["TOOLTIP_BOTTOM"] = "Lower side";
	AL["DISPLAY_BUTTON"] = "Toggle showing the button and the miniature";
	AL["DISPLAY_BUTTON_DESC"] = "When disabled the button and the miniature won't be shown again. It doesn't affect the alarm sound and the chat alerts.";
	AL["AUTO_HIDE_BUTTON"] = "Autohide button and miniature";
	AL["AUTO_HIDE_BUTTON_DESC"] = "Hides the button and the miniature automatically after the time selected (in seconds). If you select zero seconds the button and the miniature won't autohide.";
	AL["SHOW_CHAT_ALERT"] = "Toggle showing chat alerts";
	AL["SHOW_CHAT_ALERT_DESC"] = "Shows a private message in the chat every time a treasure, chest or NPC is found.";
	AL["FILTER"] = "Filters";
	AL["FILTERS_SEARCH"] = "Search";
	AL["FILTERS_SEARCH_DESC"] = "Type the name of the NPC to filter the list below";
	AL["CLEAR_FILTERS_SEARCH"] = "Show all";
	AL["CLEAR_FILTERS_SEARCH_DESC"] = "Reset the previous search and show the complete list";
	AL["FILTERS"] = "Filters for rare NPCs";
	AL["FILTER_RARE_LIST"] = "Filter searching for rare NPCs";
	AL["FILTER_RARE_LIST_DESC"] = "Toggle searching for this rare NPC. When disabled you won't get an alert when this NPC is found.";
	AL["DISABLE_SEARCHING_RARE_TOOLTIP"] = "Disable alerts for this rare NPC";
	AL["DISABLED_SEARCHING_RARE"] = "Disabled alerts for this rare NPC: ";
	AL["ENABLE_SEARCHING_RARE_TOOLTIP"] = "Enable alerts for this rare NPC";
	AL["ENABLED_SEARCHING_RARE"] = "Enabled alerts for this rare NPC: ";
	AL["TEST"] = "Launch Test";
	AL["TEST_DESC"] = "Press the button to show an alert example. You can drag and drop the panel to another position where it will be shown from now on.";

	-- RARE names
	AL["RARE_LIST"] = {
		-- Rares Pandaria
		["Aeonaxx"] = 50062; --Aeonaxx
		["Aetha"] = 58778; --Aetha
		["Aethis"] = 50750; --Aethis
		["Ahone the Wanderer"] = 50817; --Ahone the Wanderer
		["Ai-Li Skymirror"] = 50821; --Ai-Li Skymirror
		["Ai-Ran the Shifting Cloud"] = 50822; --Ai-Ran the Shifting Cloud
		["Al'tabim the All-Seeing"] = 70000; --Al'tabim the All-Seeing
		["Ankha"] = 54318; --Ankha
		["Anthriss"] = 54338; --Anthriss
		["Archiereus of Flame"] = 73666; --Archiereus of Flame
		["Archritualist Kelada"] = 70243; --Archritualist Kelada
		["Arness the Scale"] = 50787; --Arness the Scale
		["Backbreaker Uru"] = 70001; --Backbreaker Uru
		["Bai-Jin the Butcher"] = 58949; --Bai-Jin the Butcher
		["Ban'thalos"] = 54320; --Ban'thalos
		["Baolai the Immolator"] = 63695; --Baolai the Immolator
		["Blackhoof"] = 51059; --Blackhoof
		["Bloodtip"] = 58474; --Bloodtip
		["Bonobos"] = 50828; --Bonobos
		["Borginn Darkfist"] = 50341; --Borginn Darkfist
		["Bufo"] = 72775; --Bufo
		["Champion of the Black Flame"] = 73171; --Champion of the Black Flame
		["Chelon"] = 72045; --Chelon
		["Cinderfall"] = 73175; --Cinderfall
		["Cournith Waterstrider"] = 50768; --Cournith Waterstrider
		["Cracklefang"] = 58768; --Cracklefang
		["Cranegnasher"] = 72049; --Cranegnasher
		["Dak the Breaker"] = 50334; --Dak the Breaker
		["Dalan Nightbreaker"] = 68318; --Dalan Nightbreaker
		["Deth'tilac"] = 54322; --Deth'tilac
		["Disha Fearwarden"] = 68319; --Disha Fearwarden
		["Doctor Theolen Krastinov"] = 59369; --Doctor Theolen Krastinov
		["Dread Ship Vazuvius"] = 73281; --Dread Ship Vazuvius
		["Emerald Gander"] = 73158; --Emerald Gander
		["Eshelon"] = 50772; --Eshelon
		["Evermaw"] = 73279; --Evermaw
		["Ferdinand"] = 51078; --Ferdinand
		["Flesh'rok the Diseased"] = 70429; --Flesh'rok the Diseased
		["Flintlord Gairan"] = 73172; --Flintlord Gairan
		["Focused Eye"] = 70249; --Focused Eye
		["Gaarn the Toxic"] = 50340; --Gaarn the Toxic
		["Gaohun the Soul-Severer"] = 62881; --Gaohun the Soul-Severer
		["Gar'lok"] = 50739; --Gar'lok
		["Garnia"] = 73282; --Garnia
		["General Temuja"] = 63101; --General Temuja
		["Ghostcrawler"] = 50051; --Ghostcrawler
		["Go-Kan"] = 50331; --Go-Kan
		["Gochao the Ironfist"] = 62880; --Gochao the Ironfist
		["God-Hulk Ramuk"] = 69999; --God-Hulk Ramuk
		["Goda"] = 69998; --Goda
		["Golganarr"] = 72970; --Golganarr
		["Great Turtle Furyshell"] = 73161; --Great Turtle Furyshell
		["Gu'chi the Swarmbringer"] = 72909; --Gu'chi the Swarmbringer
		["Havak"] = 50354; --Havak
		["Haywire Sunreaver Construct"] = 50358; --Haywire Sunreaver Construct
		["Huo-Shuang"] = 63691; --Huo-Shuang
		["Huolon"] = 73167; --Huolon
		["Ik-Ik the Nimble"] = 50836; --Ik-Ik the Nimble
		["Imperial Python"] = 73163; --Imperial Python
		["Ironfur Steelhorn"] = 73160; --Ironfur Steelhorn
		["Jadefang"] = 49822; --Jadefang
		["Jakur of Ordon"] = 73169; --Jakur of Ordon
		["Jonn-Dar"] = 50351; --Jonn-Dar
		["Kah'tir"] = 50355; --Kah'tir
		["Kal'tik the Blight"] = 50749; --Kal'tik the Blight
		["Kang the Soul Thief"] = 50349; --Kang the Soul Thief
		["Kar Warmaker"] = 68321; --Kar Warmaker
		["Karkanos"] = 72193; --Karkanos
		["Karkin"] = 50959; --Karkin
		["Karoma"] = 50138; --Karoma
		["Karr the Darkener"] = 50347; --Karr the Darkener
		["Kirix"] = 54323; --Kirix
		["Kor'nas Nightsavage"] = 50338; --Kor'nas Nightsavage
		["Korda Torros"] = 50332; --Korda Torros
		["Krakkanon"] = 70323; --Krakkanon
		["Krax'ik"] = 50363; --Krax'ik
		["Kri'chon"] = 63978; --Kri'chon
		["Krol the Blade"] = 50356; --Krol the Blade
		["Ku'lai the Skyclaw"] = 69996; --Ku'lai the Skyclaw
		["Leafmender"] = 73277; --Leafmender
		["Lith'ik the Stalker"] = 50734; --Lith'ik the Stalker
		["Lon the Bull"] = 50333; --Lon the Bull
		["Lu-Ban"] = 70002; --Lu-Ban
		["Magria"] = 54319; --Magria
		["Major Nanners"] = 50840; --Major Nanners
		["Mavis Harms"] = 68317; --Mavis Harms
		["Mister Ferocious"] = 50823; --Mister Ferocious
		["Moldo One-Eye"] = 50806; --Moldo One-Eye
		["Molthor"] = 70003; --Molthor
		["Monara"] = 70440; --Monara
		["Monstrous Spineclaw"] = 73166; --Monstrous Spineclaw
		["Morgrinn Crackfang"] = 50350; --Morgrinn Crackfang
		["Muerta"] = 68322; --Muerta
		["Mumta"] = 69664; --Mumta
		["Nal'lak the Ripper"] = 50364; --Nal'lak the Ripper
		["Nalash Verdantis"] = 50776; --Nalash Verdantis
		["Nasra Spothide"] = 50811; --Nasra Spothide
		["Nessos the Oracle"] = 50789; --Nessos the Oracle
		["No'ku Stormsayer"] = 70276; --No'ku Stormsayer
		["Norlaxx"] = 50344; --Norlaxx
		["Omnis Grinlok"] = 50805; --Omnis Grinlok
		["Overlord Sunderfury"] = 50085; --Overlord Sunderfury
		["Prince Lakma"] = 54533; --Prince Lakma
		["Progenitus"] = 69997; --Progenitus
		["Qu'nas"] = 50352; --Qu'nas
		["Quid"] = 58771; --Quid
		["Ra'sha"] = 70530; --Ra'sha
		["Rattleskew"] = 72048; --Rattleskew
		["Rock Moss"] = 73157; --Rock Moss
		["Rocky Horror"] = 70430; --Rocky Horror
		["Ruun Ghostpaw"] = 50816; --Ruun Ghostpaw
		["Sahn Tidehunter"] = 50780; --Sahn Tidehunter
		["Salyin Warscout"] = 50783; --Salyin Warscout
		["Sambas"] = 50159; --Sambas
		["Sarnak"] = 50782; --Sarnak
		["Scritch"] = 50831; --Scritch
		["Sele'na"] = 50766; --Sele'na
		["Shadowmaster Sydow"] = 63240; --Shadowmaster Sydow
		["Siltriss the Sharpener"] = 50791; --Siltriss the Sharpener
		["Skarr"] = 50815; --Skarr
		["Ski'thik"] = 50733; --Ski'thik
		["Skitterflame"] = 54324; --Skitterflame
		["Solix"] = 54321; --Solix
		["Spelurk"] = 71864; --Spelurk
		["Spirit of Jadefire"] = 72769; --Spirit of Jadefire
		["Spirit of Lao-Fe"] = 58817; --Spirit of Lao-Fe
		["Spriggin"] = 50830; --Spriggin
		["Stinkbraid"] = 73704; --Stinkbraid
		["Sulik'shor"] = 50339; --Sulik'shor
		["Tarvus the Vile"] = 50086; --Tarvus the Vile
		["The Yowler"] = 50832; --The Yowler
		["Torik-Ethis"] = 50388; --Torik-Ethis
		["Tsavo'ka"] = 72808; --Tsavo'ka
		["Ubunti the Shade"] = 68320; --Ubunti the Shade
		["Unblinking Eye"] = 70238; --Unblinking Eye
		["Urdur the Cauterizer"] = 73173; --Urdur the Cauterizer
		["Urgolax"] = 50359; --Urgolax
		["Urobi the Walker"] = 50808; --Urobi the Walker
		["Vicejaw"] = 58769; --Vicejaw
		["Vyraxxis"] = 63977; --Vyraxxis
		["War-God Dokah"] = 70096; --War-God Dokah
		["Watcher Osu"] = 73170; --Watcher Osu
		["Whizzig"] = 73293; --Whizzig
		["Willy Wilder"] = 70126; --Willy Wilder
		["Wulon"] = 63510; --Wulon
		["Yorik Sharpeye"] = 50336; --Yorik Sharpeye
		["Yul Wildpaw"] = 50820; --Yul Wildpaw
		["Zai the Outcast"] = 50769; --Zai the Outcast
		["Zandalari Warbringer"] = 69769; --Zandalari Warbringer cian
		["Zandalari Warbringer"] = 69842; --Zandalari Warbringer gray
		["Zandalari Warbringer"] = 69841; --Zandalari Warbringer silver
		["Zandalari Warscout"] = 69768; --Zandalari Warscout
		["Zao'cho"] = 69843; --Zao'cho
		["Zesqua"] = 72245; --Zesqua
		["Zhu-Gon the Sour"] = 71919; --Zhu-Gon the Sour
		
		-- Rares Draenor
		["Amaukwa"] = 77140; --Amaukwa
		["Ancient Blademaster"] = 82899; --Ancient Blademaster
		["Aqualir"] = 86213; --Aqualir
		["Avatar of Socrethar"] = 88043; --Avatar of Socrethar
		["Ba'ruun"] = 82326; --Ba'ruun
		["Bahameye"] = 81406; --Bahameye
		["Bashiok"] = 82085; --Bashiok
		["Beastcarver Saramor"] = 78150; --Beastcarver Saramor
		["Betsi Boombasket"] = 84887; --Betsi Boombasket
		["Blade-Dancer Aeryx"] = 80614; --Blade-Dancer Aeryx
		["Blightglow"] = 84856; --Blightglow
		["Brambleking Fili"] = 81639; --Brambleking Fili
		["Breathless"] = 78867; --Breathless
		["Brutag Grimblade"] = 87234; --Brutag Grimblade
		["Canyon Icemother"] = 71721; --Canyon Icemother
		["Char the Burning"] = 82311; --Char the Burning
		["Chillfang"] = 80242; --Chillfang
		["Cindermaw"] = 72294; --Cindermaw
		["Cloudspeaker Daber"] = 78169; --Cloudspeaker Daber
		["Coldstomp the Griever"] = 77513; --Coldstomp the Griever
		["Coldtusk"] = 76914; --Coldtusk
		["Cro Fleshrender"] = 77620; --Cro Fleshrender
		["Cyclonic Fury"] = 78621; --Cyclonic Fury
		["Dark Emanation"] = 77085; --Dark Emanation
		["Darkmaster Go'vid"] = 82268; --Darkmaster Go'vid
		["Darktalon"] = 82411; --Darktalon
		["Deadshot Kizi"] = 77763; --Deadshot Kizi
		["Depthroot"] = 82058; --Depthroot
		["Direhoof"] = 86729; --Direhoof
		["Dr. Gloom"] = 77561; --Dr. Gloom
		["Durkath Steelmaw"] = 84807; --Durkath Steelmaw
		["Elementalist Utrah"] = 77768; --Elementalist Utrah
		["Enavra"] = 82676; --Enavra
		["Enavra"] = 82742; --Enavra
		["Faebright"] = 82207; --Faebright
		["Fangler"] = 82975; --Fangler
		["Felbark"] = 80204; --Felbark
		["Felfire Consort"] = 82992; --Felfire Consort
		["Festerbloom"] = 84890; --Festerbloom
		["Firefury Giant"] = 74971; --Firefury Giant
		["Firestarter Grash"] = 88580; --Firestarter Grash
		["Flinthide"] = 83483; --Flinthide
		["Forge Matron Targa"] = 77648; --Forge Matron Targa
		["Fossilwood the Petrified"] = 85250; --Fossilwood the Petrified
		["Frenzied Golem"] = 77614; --Frenzied Golem
		["Galzomar"] = 78713; --Galzomar
		["Gar'lua"] = 82764; --Gar'lua
		["Garrison Ford"] = 86058; --Garrison Ford
		["Gelgor of the Blue Flame"] = 81038; --Gelgor of the Blue Flame
		["General Aevd"] = 82882; --General Aevd
		["Gennadian"] = 80471; --Gennadian
		["Giant-Slayer Kul"] = 71665; --Giant-Slayer Kul
		["Giantslayer Kimla"] = 78144; --Giantslayer Kimla
		["Glimmerwing"] = 77719; --Glimmerwing
		["Glut"] = 80868; --Glut
		["Gnarlhoof the Rabid"] = 82778; --Gnarlhoof the Rabid
		["Gorum"] = 76380; --Gorum
		["Grand Marshal Tremblade"] = 82876; --Grand Marshal Tremblade
		["Greatfeather"] = 82758; --Greatfeather
		["Greldrok the Cunning"] = 84431; --Greldrok the Cunning
		["Grizzlemaw"] = 82912; --Grizzlemaw
		["Gronnstalker Dawarn"] = 78128; --Gronnstalker Dawarn
		["Grove Warden Yal"] = 88583; --Grove Warden Yal
		["Grutush the Pillager"] = 80312; --Grutush the Pillager
		["Gruuk"] = 80190; --Gruuk
		["Gurun"] = 80235; --Gurun
		["Haakun the All-Consuming"] = 83008; --Haakun the All-Consuming
		["Hammertooth"] = 77715; --Hammertooth
		["Hen-Mother Hami"] = 77626; --Hen-Mother Hami
		["Hermit Palefur"] = 86724; --Hermit Palefur
		["High Warlord Volrath"] = 82877; --High Warlord Volrath
		["Hunter Bal'ra"] = 88672; --Hunter Bal'ra
		["Hunter Blacktooth"] = 83603; --Hunter Blacktooth
		["Huntmaster Kuang"] = 78151; --Huntmaster Kuang
		["Hyperious"] = 78161; --Hyperious
		["Insha'tar"] = 83553; --Insha'tar
		["Jabberjaw"] = 82616; --Jabberjaw
		["Jaluk the Pacifist"] = 87600; --Jaluk the Pacifist
		["Jiasska the Sporegorger"] = 84955; --Jiasska the Sporegorger
		["Kalos the Bloodbathed"] = 84810; --Kalos the Bloodbathed
		["Karosh Blackwind"] = 86959; --Karosh Blackwind
		["Kharazos the Triumphant"] = 78710; --Kharazos the Triumphant
		["Killmaw"] = 74206; --Killmaw
		["Klikixx"] = 78872; --Klikixx
		["Ku'targ the Voidseer"] = 72362; --Ku'targ the Voidseer
		["Lady Temptessa"] = 85121; --Lady Temptessa
		["Leaf-Reader Kurri"] = 72537; --Leaf-Reader Kurri
		["Lo'marg Jawcrusher"] = 77784; --Lo'marg Jawcrusher
		["Lord Korinak"] = 82920; --Lord Korinak
		["Mad \"King\" Sporeon"] = 77310; --Mad "King" Sporeon
		["Malroc Stonesunder"] = 83643; --Malroc Stonesunder
		["Mandrakor"] = 84406; --Mandrakor
		["Marshal Gabriel"] = 82878; --Marshal Gabriel
		["Marshal Karsh Stormforge"] = 82880; --Marshal Karsh Stormforge
		["Matron of Sin"] = 82998; --Matron of Sin
		["Morva Soultwister"] = 82362; --Morva Soultwister
		["Mother Araneae"] = 76473; --Mother Araneae
		["Mother Om'ra"] = 75071; --Mother Om'ra
		["Mutafen"] = 84417; --Mutafen
		["Nas Dunberlin"] = 82247; --Nas Dunberlin
		["No'losh"] = 79334; --No'losh
		["Ophiis"] = 83409; --Ophiis
		["Oskiira the Vengeful"] = 84872; --Oskiira the Vengeful
		["Outrider Duretha"] = 83680; --Outrider Duretha
		["Pale Fishmonger"] = 78606; --Pale Fishmonger
		["Pathfinder Jalog"] = 78134; --Pathfinder Jalog
		["Pathstalker Draga"] = 77095; --Pathstalker Draga
		["Pit Beast"] = 88208; --Pit Beast
		["Poisonmaster Bortusk"] = 84838; --Poisonmaster Bortusk
		["Primalist Mur'og"] = 76918; --Primalist Mur'og
		["Pyrecaster Zindra"] = 77642; --Pyrecaster Zindra
		["Ra'kahn"] = 77741; --Ra'kahn
		["Ragore Driftstalker"] = 84392; --Ragore Driftstalker
		["Rai'vosh"] = 82374; --Rai'vosh
		["Redclaw the Feral"] = 82755; --Redclaw the Feral
		["Rotcap"] = 85504; --Rotcap
		["Sangrikass"] = 84833; --Sangrikass
		["Scout Goreseeker"] = 77526; --Scout Goreseeker
		["Sean Whitesea"] = 83542; --Sean Whitesea
		["Shadowbark"] = 79938; --Shadowbark
		["Shinri"] = 82415; --Shinri
		["Sikthiss, Maiden of Slaughter"] = 78715; --Sikthiss, Maiden of Slaughter
		["Silverleaf Ancient"] = 79686; --Silverleaf Ancient
		["Silverleaf Ancient"] = 79693; --Silverleaf Ancient
		["Silverleaf Ancient"] = 79692; --Silverleaf Ancient
		["Solar Magnifier"] = 83990; --Solar Magnifier
		["Soulfang"] = 80057; --Soulfang
		["Steeltusk"] = 86549; --Steeltusk
		["Stomper Kreego"] = 79629; --Stomper Kreego
		["Stonespite"] = 84805; --Stonespite
		["Sulfurious"] = 80725; --Sulfurious
		["Sunclaw"] = 86137; --Sunclaw
		["Sunderthorn"] = 84912; --Sunderthorn
		["Swarmleaf"] = 85520; --Swarmleaf
		["Swift Onyx Flayer"] = 88582; --Swift Onyx Flayer
		["Talonbreaker"] = 84836; --Talonbreaker
		["Talonpriest Zorkra"] = 79485; --Talonpriest Zorkra
		["Tesska the Broken"] = 84775; --Tesska the Broken
		["The Beater"] = 77527; --The Beater
		["Tor'goroth"] = 82618; --Tor'goroth
		["Tura'aka"] = 83591; --Tura'aka
		["Varasha"] = 82050; --Varasha
		["Veloss"] = 75482; --Veloss
		["Voidreaver Urnae"] = 85078; --Voidreaver Urnae
		["Voidseer Kalurg"] = 83385; --Voidseer Kalurg
		["Vulceros"] = 77926; --Vulceros
		["Wandering Vindicator"] = 77776; --Wandering Vindicator
		["Warcaster Bargol"] = 78733; --Warcaster Bargol
		["Warmaster Blugthol"] = 79024; --Warmaster Blugthol
		["Windfang Matriarch"] = 75434; --Windfang Matriarch
		["Xothear, the Destroyer"] = 82922; --Xothear, the Destroyer
		["Yaga the Scarred"] = 79145; --Yaga the Scarred
		["Yazheera the Incinerator"] = 77529; --Yazheera the Incinerator
		["Yggdrel"] = 75435; --Yggdrel
		["Moonfang"] = 71992; --Moonfang
		["Ancient Inferno"] = 84875; --Ancient Inferno
		["Brickhouse"] = 83819; --Brickhouse
		["Demidos"] = 84911; --Demidos
		["Elder Darkweaver Kath"] = 85771; --Elder Darkweaver Kath
		["Goregore"] = 84893; --Goregore
		["Korthall Soulgorger"] = 84110; --Korthall Soulgorger
		["Kurlosh Doomfang"] = 82988; --Kurlosh Doomfang
		["Lady Demlash"] = 82942; --Lady Demlash
		["Mandragoraster"] = 83683; --Mandragoraster
		["Oraggro"] = 84904; --Oraggro
		["Orumo the Observer"] = 87668; --Orumo the Observer
		["Panthora"] = 83691; --Panthora
		["Shadowflame Terrorwalker"] = 82930; --Shadowflame Terrorwalker
		["Titarus"] = 83713; --Titarus
		["Vigilant Paarthos"] = 88436; --Vigilant Paarthos
		["Archmagus Tekar"] = 88072; --Archmagus Tekar
		["Bombardier Gu'gok"] = 87597; --Bombardier Gu'gok
		["Captured Gor'vosh Stoneshaper"] = 84746; --Captured Gor'vosh Stoneshaper
		["Cursed Harbinger"] = 85767; --Cursed Harbinger
		["Cursed Ravager"] = 85763; --Cursed Ravager
		["Cursed Sharptalon"] = 85766; --Cursed Sharptalon
		["Gibblette the Cowardly"] = 87352; --Gibblette the Cowardly
		["Gibby"] = 87362; --Gibby
		["Gug'tol"] = 83019; --Gug'tol
		["Hoarfrost"] = 87348; --Hoarfrost
		["Legion Vanguard"] = 88494; --Legion Vanguard
		["Master Sergeant Milgra"] = 85001; --Master Sergeant Milgra
		["Moltnoma"] = 82614; --Moltnoma
		["Mother of Goren"] = 87351; --Mother of Goren
		["Quartermaster Hershak"] = 84925; --Quartermaster Hershak
		["Shadowspeaker Niir"] = 85029; --Shadowspeaker Niir
		["Slogtusk the Corpse-Eater"] = 82617; --Slogtusk the Corpse-Eater
		["Son of Goramal"] = 82620; --Son of Goramal
		["Soulbinder Naylana"] = 88083; --Soulbinder Naylana
		["Strategist Ankor"] = 88071; --Strategist Ankor
		["The Bone Crawler"] = 78265; --The Bone Crawler
		["Blademaster Ro'gor"] = 86579; --Blademaster Ro'gor
		["Defector Dazgo"] = 86566; --Defector Dazgo
		["Durp the Hated"] = 86571; --Durp the Hated
		["Gorivax"] = 82536; --Gorivax
		["Horgg"] = 86577; --Horgg
		["Inventor Blammo"] = 86574; --Inventor Blammo
		["Maniacal Madgard"] = 86562; --Maniacal Madgard
		["Morgo Kain"] = 86582; --Morgo Kain
		["The Lanticore"] = 77081; --The Lanticore
		["Valkor"] = 87357; --Valkor
		["Vrok the Ancient"] = 87356; --Vrok the Ancient
		["Warlord Noktyn"] = 82883; --Warlord Noktyn
		["Ak'ox the Slaughterer"] = 84378; --Ak'ox the Slaughterer
		["Alkali"] = 86268; --Alkali
		["Avalanche"] = 85568; --Avalanche
		["Bonebreaker"] = 87837; --Bonebreaker
		["Burning Power"] = 84926; --Burning Power
		["Durg Spinecrusher"] = 87788; --Durg Spinecrusher
		["Gluttonous Giant"] = 87019; --Gluttonous Giant
		["Gnarljaw"] = 78269; --Gnarljaw
		["Gorg'ak the Lava Guzzler"] = 72364; --Gorg'ak the Lava Guzzler
		["Gortag Steelgrip"] = 87344; --Gortag Steelgrip
		["King Slime"] = 78260; --King Slime
		["Krahl Deadeye"] = 87239; --Krahl Deadeye
		["Leaping Gorger"] = 84465; --Leaping Gorger
		["Malgosh Shadowkeeper"] = 85451; --Malgosh Shadowkeeper
		["Mecha Plunderer"] = 87026; --Mecha Plunderer
		["Mogamago"] = 88586; --Mogamago
		["Mr. Pinchy Sr."] = 84435; --Mr. Pinchy Sr.
		["Nagidna"] = 85555; --Nagidna
		["Shadow Hulk"] = 87027; --Shadow Hulk
		["Slippery Slime"] = 84854; --Slippery Slime
		["Slivermaw"] = 85837; --Slivermaw
		["Soul-Twister Torek"] = 85026; --Soul-Twister Torek
		["Ug'lok the Frozen"] = 79104; --Ug'lok the Frozen
		["Web-wrapped Soldier"] = 84196; --Web-wrapped Soldier
		["Aogexon"] = 86774; --Aogexon
		["Basten"] = 86257; --Basten
		["Bergruu"] = 86732; --Bergruu
		["Borrok the Devourer"] = 72156; --Borrok the Devourer
		["Dekorhan"] = 86743; --Dekorhan
		["Echidna"] = 80372; --Echidna
		["Gagrog the Brutal"] = 86771; --Gagrog the Brutal
		["Keravnos"] = 80398; --Keravnos
		["Krud the Eviscerator"] = 88210; --Krud the Eviscerator
		["Lernaea"] = 80370; --Lernaea
		["Mu'gra"] = 87666; --Mu'gra
		["Nultra"] = 86258; --Nultra
		["Pit Slayer"] = 87846; --Pit Slayer
		["Thek'talon"] = 86750; --Thek'talon
		["Typhon"] = 80371; --Typhon
		["Valstil"] = 86259; --Valstil
		["Venolasix"] = 86266; --Venolasix
		["Vileclaw"] = 88951; --Vileclaw
		["Xelganak"] = 86835; --Xelganak
		["Captain Ironbeard"] = 79725; --Captain Ironbeard
		["Gaz'orda"] = 80122; --Gaz'orda
		["Netherspawn"] = 83401; --Netherspawn
		["Ru'klaa"] = 83526; --Ru'klaa
		["Windcaller Korast"] = 83428; --Windcaller Korast
		["Berserk T-300 Series Mark II"] = 82826; --Berserk T-300 Series Mark II
		["Explorer Nozzand"] = 82486; --Explorer Nozzand
		["Gorepetal"] = 83509; --Gorepetal
		["Graveltooth"] = 84263; --Graveltooth
		["Scout Pokhar"] = 83634; --Scout Pokhar
		["Gaze"] = 86978; --Gaze
		["Gobblefin"] = 84951; --Gobblefin
		["Grrbrrgle"] = 85572; --Grrbrrgle
		["Aarko"] = 77664; --Aarko
		["Echo of Murmur"] = 77828; --Echo of Murmur
		["Echo of Murmur"] = 77795; --Echo of Murmur
		["Shirzir"] = 79543; --Shirzir
		["Taladorantula"] = 77634; --Taladorantula
		["Underseer Bloodmane"] = 80524; --Underseer Bloodmane
		["Rolkor"] = 85264; --Rolkor
		["Sylldross"] = 86410; --Sylldross
		["Hive Queen Skrikka"] = 83522; --Hive Queen Skrikka
		["Broodmother Reeg'ak"] = 74613; --Broodmother Reeg'ak
		["Giantbane"] = 77519; --Giantbane
		["Sneevel"] = 86689; --Sneevel
		["Stompalupagus"] = 86520; --Stompalupagus
		["Berthora"] = 85907; --Berthora
		["Riptar"] = 85970; --Riptar
		["Hypnocroak"] = 79524; --Hypnocroak
		["Rockhoof"] = 72606; --Rockhoof
		["Venomshade"] = 75492; --Venomshade
		["Nakk the Thunderer"] = 50990; --Nakk the Thunderer
		["Gorok"] = 50992; --Gorok
		["Luk'hok"] = 50981; --Luk'hok
		["Poundfist"] = 50985; --Poundfist
		["Silthide"] = 51015; --Silthide
		["Pathrunner"] = 50883; --Pathrunner
		["Nok-Karosh"] = 81001; --Nok-Karosh
		
		-- Rares Draenor 6.2
		["Argosh the Destroyer"] = 91871; --Argosh the Destroyer
		["Belgork"] = 92552; --Belgork
		["Bilkor the Thrower"] = 90884; --Bilkor the Thrower
		["Bleeding Hollow Horror"] = 92657; --Bleeding Hollow Horror
		["Bloodhunter Zulk"] = 90936; --Bloodhunter Zulk
		["Broodlord Ixkor"] = 92429; --Broodlord Ixkor
		["Captain Grok'mar"] = 93264; --Captain Grok'mar
		["Captain Ironbeard"] = 93076; --Captain Ironbeard
		["Ceraxas"] = 90434; --Ceraxas
		["Cindral the Wildfire"] = 90519; --Cindral the Wildfire
		["Dark Summoner Rendkra"] = 90081; --Dark Summoner Rendkra
		["Dorg the Bloody"] = 90887; --Dorg the Bloody
		["Driss Vile"] = 93028; --Driss Vile
		["Drivnul"] = 90888; --Drivnul
		["Executor Riloth"] = 91727; --Executor Riloth
		["Felbore"] = 93168; --Felbore
		["Felsmith Damorka"] = 92647; --Felsmith Damorka
		["Felspark"] = 91098; --Felspark
		["Gloomtalon"] = 92508; --Gloomtalon
		["Gorabosh"] = 92941; --Gorabosh
		["Grand Warlock Nethekurse"] = 91695; --Grand Warlock Nethekurse
		["Grannok"] = 93057; --Grannok
		["Grobthok Skullbreaker"] = 90089; --Grobthok Skullbreaker
		["Harbormaster Korak"] = 90094; --Harbormaster Korak
		["High Priest Ikzan"] = 90281; --High Priest Ikzan
		["High Priest Ikzan"] = 90777; --High Priest Ikzan
		["Imp-Master Valessa"] = 90429; --Imp-Master Valessa
		["Iron Captain Argha"] = 90087; --Iron Captain Argha
		["Jax'zor"] = 90437; --Jax'zor
		["Krell the Serene"] = 92517; --Krell the Serene
		["Kris'kar the Unredeemed"] = 93279; --Kris'kar the Unredeemed
		["Lady Oran"] = 90438; --Lady Oran
		["Magwia"] = 93002; --Magwia
		["Mistress Thavra"] = 90442; --Mistress Thavra
		["Ormak Bloodbolt"] = 90088; --Ormak Bloodbolt
		["Overlord Ma'gruth"] = 92411; --Overlord Ma'gruth
		["Painmistress Selora"] = 92274; --Painmistress Selora
		["Podlord Wakkawam"] = 91374; --Podlord Wakkawam
		["Putre'thar"] = 91009; --Putre'thar
		["Rasthe"] = 90782; --Rasthe
		["Relgor"] = 92197; --Relgor
		["Remnant of the Blood Moon"] = 91227; --Remnant of the Blood Moon
		["Rendrak"] = 92627; --Rendrak
		["Rogond the Tracker"] = 90885; --Rogond the Tracker
		["Rukmaz"] = 94113; --Rukmaz
		["Sergeant Mor'grak"] = 90024; --Sergeant Mor'grak
		["Shadowthrash"] = 93236; --Shadowthrash
		["Soulslicer"] = 92495; --Soulslicer
		["Steelsnout"] = 92887; --Steelsnout
		["Sylissa"] = 92606; --Sylissa
		["Szirek the Twisted"] = 93001; --Szirek the Twisted
		["The Blackfang"] = 92465; --The Blackfang
		["The Goreclaw"] = 92694; --The Goreclaw
		["The Iron Houndmaster"] = 92977; --The Iron Houndmaster
		["The Night Haunter"] = 92645; --The Night Haunter
		["The Night Haunter"] = 92636; --The Night Haunter
		["Tho'gar Gorefist"] = 91243; --Tho'gar Gorefist
		["Thromma the Gutslicer"] = 92574; --Thromma the Gutslicer
		["Varyx the Damned"] = 92451; --Varyx the Damned
		["Xanzith the Everlasting"] = 92408; --Xanzith the Everlasting
		["Zeter'el"] = 91087; --Zeter'el
		["Zoug the Heavy"] = 90122; --Zoug the Heavy
		["Bramblefell"] = 91093; --Bramblefell
		["Commander Krag'goth"] = 91232; --Commander Krag'goth
		["Commander Org'mok"] = 89675; --Commander Org'mok
		["Deathtalon"] = 95053; --Deathtalon
		["Doomroller"] = 95056; --Doomroller
		["Glub'glok"] = 93125; --Glub'glok
		["Terrorfist"] = 95044; --Terrorfist
		["Vengeance"] = 95054; --Vengeance
		["Wyrmple"] = 91921; --Wyrmple
		["Xemirkol"] = 96235; --Xemirkol
		
		-- Rares Draenor 6.2.1
		["Guk"] = 98200; --Guk
		["Pugg"] = 98199; --Pugg
		["Rukdug"] = 98198; --Rukdug
		["Drakum"] = 98283; --Drakum
		["Gondar"] = 98284; --Gondar
		["Smashum Grabb"] = 98285; --Smashum Grabb
		["Fel Overseer Mudlump"] = 98408; --Fel Overseer Mudlump
		["Arachnis"] = 96323; --Arachnis
		["Eraakis"] = 97209; --Eraakis
	}
end