﻿-- Locale
local AceLocale = LibStub:GetLibrary("AceLocale-3.0");
local AL = AceLocale:NewLocale("RareScanner", "esMX", false);

if AL then
	-- UI strings
	AL["CHECK_MAP"] = "¡Mira en tu mapa!";
	AL["UNKNOWN_TARGET"] = "Objectivo desconocido";
	AL["JUST_SPAWNED"] = " acaba de aparecer";
	AL["NOT_TARGETEABLE"] = "No es seleccionable";
	AL["CLICK_TARGET"] = "Click para seleccionar NPC";
	AL["ALARM_MESSAGE"] = "Un NPC raro acaba de aparecer, ¡mira tu mapa!";
	
	-- UI config panel
	AL["GENERAL_OPTIONS"] = "Opciones generales";
	AL["ENABLE_SCAN_RARES"] = "Activa la búsqueda de NPCs raros";
	AL["ENABLE_SCAN_RARES_DESC"] = "Cuando este activo se avisará por pantalla y con un sonido cada vez que un NPC raro aparezca en el minimapa.";
	AL["ENABLE_SCAN_CONTAINERS"] = "Activa la búsqueda de tesoros, cofres...";
	AL["ENABLE_SCAN_CONTAINERS_DESC"] = "Cuando este activo se avisará por pantalla y con un sonido cada vez que un tesoro, cofre, etc aparezca en el minimapa.";
	AL["ENABLE_SCAN_EVENTS"] = "Activa la búsqueda de eventos";
	AL["ENABLE_SCAN_EVENTS_DESC"] = "Cuando este activo se avisará por pantalla y con un sonido cada vez que un area donde se este produciendo un evento, o algún objeto que al activarlo de lugar a un evento, aparezca en el minimapa.";
	AL["ENABLE_SCAN_GARRISON_CHEST"] = "Activa la búsqueda del cofre de tu ciudadela";
	AL["ENABLE_SCAN_GARRISON_CHEST_DESC"] = "Cuando este activo se avisará cada vez que el cofre de la ciudadela aparezca en el minimapa.";
	AL["ENABLE_SCAN_IN_ASHRAN"] = "Activa el addon en Ashran";
	AL["ENABLE_SCAN_IN_ASHRAN_DESC"] = "Cuando este activo te avisará de todos los NPCs raros y eventos en Ashran.";
	AL["SOUND"] = "Sonido";
	AL["SOUND_OPTIONS"] = "Opciones de sonido";
	AL["ALARM_SOUND"] = "Sonido de alerta para NPCs raros";
	AL["ALARM_SOUND_DESC"] = "Sonido a reproducir cuando se detecta un NPC raro cerca";
	AL["ALARM_TREASURES_SOUND"] = "Sonido de alerta para eventos y tesoros";
	AL["ALARM_TREASURES_SOUND_DESC"] = "Sonido a reproducir cuando se detecta un evento o tesoro cerca";
	AL["DISABLE_SOUND"] = "Desactiva el sonido";
	AL["DISABLE_SOUND_DESC"] = "Cuando este activo no se reproducirán sonidos de alerta";
	AL["DISPLAY"] = "Mostrar";
	AL["DISPLAY_OPTIONS"] = "Opciones de mostrar";
	AL["LOOT_PANEL_OPTIONS"] = "Opciones panel de botín";
	AL["DISPLAY_LOOT_PANEL"] = "Mostrar panel con el botín";
	AL["DISPLAY_LOOT_PANEL_DESC"] = "Si se desmarca se deja de mostrar el panel con el botín que suelta el NPC";
	AL["LOOT_MIN_QUALITY"] = "Calidad mínima del botín";
	AL["LOOT_MIN_QUALITY_DESC"] = "Define la calidad mínima del botín a mostrar en el panel de botín";
	AL["QUALITY_POOR"] = "Pobre";
	AL["QUALITY_COMMON"] = "Común";
	AL["QUALITY_UNCOMMON"] = "Poco común";
	AL["QUALITY_RARE"] = "Raro";
	AL["QUALITY_EPIC"] = "Épico";
	AL["QUALITY_LEGENDARY"] = "Legendario";
	AL["LOOT_TOOLTIP_POSITION"] = "Posición del tooltip del botín";
	AL["LOOT_TOOLTIP_POSITION_DESC"] = "Define la posición en la que se muestra la ventana flotante con la descripción del botín al poner el ratón encima de los iconos";
	AL["TOOLTIP_LEFT"] = "Lado izquierdo";
	AL["TOOLTIP_RIGHT"] = "Lado derecho";
	AL["TOOLTIP_CURSOR"] = "Sigue al cursor";
	AL["TOOLTIP_TOP"] = "Lado superior";
	AL["TOOLTIP_BOTTOM"] = "Lado inferior";
	AL["DISPLAY_BUTTON"] = "Mostrar alerta visual";
	AL["DISPLAY_BUTTON_DESC"] = "Si se desmarca se deja de mostrar el botón, la miniatura y la barra de botín. No afecta al sonido de alarma ni a los mensajes de chat.";
	AL["AUTO_HIDE_BUTTON"] = "Esconder ventanas automáticamente";
	AL["AUTO_HIDE_BUTTON_DESC"] = "Esconde todas las ventanas automáticamente pasado el tiempo seleccionado (en segundos). Si se marca cero segundos no se esconden automáticamente.";
	AL["SHOW_CHAT_ALERT"] = "Mostrar alertas de chat";
	AL["SHOW_CHAT_ALERT_DESC"] = "Muestra en el chat un mensaje privado cada vez que se detecta un cofre, tesoro o NPC.";
	AL["FILTER"] = "Filtros";
	AL["FILTERS_SEARCH"] = "Buscador";
	AL["FILTERS_SEARCH_DESC"] = "Escribe el nombre del NPC para filtrar la lista de abajo";
	AL["CLEAR_FILTERS_SEARCH"] = "Muestra todos";
	AL["CLEAR_FILTERS_SEARCH_DESC"] = "Resetea la búsqueda anterior y muestra el listado completo";
	AL["FILTERS"] = "Filtros para NPCs raros";
	AL["FILTER_RARE_LIST"] = "Lista de NPCs raros";
	AL["FILTER_RARE_LIST_DESC"] = "Si se desmarca no se avisará cuando se encuentre a este NPC.";
	AL["DISABLE_SEARCHING_RARE_TOOLTIP"] = "Deshabilita la búsqueda de este NPC";
	AL["DISABLED_SEARCHING_RARE"] = "Se ha deshabilitado la búsqueda del NPC raro: ";
	AL["ENABLE_SEARCHING_RARE_TOOLTIP"] = "Habilita la búsqueda de este NPC";
	AL["ENABLED_SEARCHING_RARE"] = "Se ha habilitado la búsqueda del NPC raro: ";
	AL["TEST"] = "Lanzar Test";
	AL["TEST_DESC"] = "Pulsa el botón para mostrar un ejemplo de alerta. Puedes arrastrar el panel a otra posición donde se mostrarán las futuras alertas.";

	-- RARE names
	AL["RARE_LIST"] = {
		-- Rares Pandaria
		["Aeonaxx"] = 50062; --Aeonaxx
		["Aetha"] = 58778; --Aetha
		["Aethis"] = 50750; --Aethis
		["Ahone el Errante"] = 50817; --Ahone the Wanderer
		["Ai-Li Reflejo Celeste"] = 50821; --Ai-Li Skymirror
		["Ai-Ran, la Nube Flotante"] = 50822; --Ai-Ran the Shifting Cloud
		["Al'tabim, El que todo lo ve"] = 70000; --Al'tabim the All-Seeing
		["Ankha"] = 54318; --Ankha
		["Anthriss"] = 54338; --Anthriss
		["Sacerdote ilustre de las llamas"] = 73666; --Archiereus of Flame
		["Archirritualista Kelada"] = 70243; --Archritualist Kelada
		["Arness la Escama"] = 50787; --Arness the Scale
		["Uru Partedorsales"] = 70001; --Backbreaker Uru
		["Bai-Jin el Carnicero"] = 58949; --Bai-Jin the Butcher
		["Ban'thalos"] = 54320; --Ban'thalos
		["Baolai el Inmolador"] = 63695; --Baolai the Immolator
		["Pezuña Negra"] = 51059; --Blackhoof
		["Picasangre"] = 58474; --Bloodtip
		["Bonobos"] = 50828; --Bonobos
		["Borginn Puño Oscuro"] = 50341; --Borginn Darkfist
		["Buffo"] = 72775; --Bufo
		["Campeón de la Llama Negra"] = 73171; --Champion of the Black Flame
		["Quelón"] = 72045; --Chelon
		["Carbonos"] = 73175; --Cinderfall
		["Cournith Tranco de Agua"] = 50768; --Cournith Waterstrider
		["Crujecolmillos"] = 58768; --Cracklefang
		["Mascagrullas"] = 72049; --Cranegnasher
		["Dak el Destructor"] = 50334; --Dak the Breaker
		["Dalan Rasganoche"] = 68318; --Dalan Nightbreaker
		["Deth'tilac"] = 54322; --Deth'tilac
		["Disha Eludemiedo"] = 68319; --Disha Fearwarden
		["Doctor Theolen Krastinov"] = 59369; --Doctor Theolen Krastinov
		["Barco aterrador Vazuvius"] = 73281; --Dread Ship Vazuvius
		["Ganso esmeralda"] = 73158; --Emerald Gander
		["Eshelon"] = 50772; --Eshelon
		["Fauce Eterna"] = 73279; --Evermaw
		["Ferdinand"] = 51078; --Ferdinand
		["Flesh'rok el Enfermo"] = 70429; --Flesh'rok the Diseased
		["Señor del sílex Gairan"] = 73172; --Flintlord Gairan
		["Ojo enfocado"] = 70249; --Focused Eye
		["Gaarn el Tóxico"] = 50340; --Gaarn the Toxic
		["Gaohun el Desmembraalmas"] = 62881; --Gaohun the Soul-Severer
		["Gar'lok"] = 50739; --Gar'lok
		["Garnia"] = 73282; --Garnia
		["General Temuja"] = 63101; --General Temuja
		["Reptafantasmas"] = 50051; --Ghostcrawler
		["Go-Kan"] = 50331; --Go-Kan
		["Gochao el Severo"] = 62880; --Gochao the Ironfist
		["Dios mole Ramuk"] = 69999; --God-Hulk Ramuk
		["Goda"] = 69998; --Goda
		["Golganarr"] = 72970; --Golganarr
		["Gran tortuga Irazón"] = 73161; --Great Turtle Furyshell
		["Gu'chi el Portaenjambres"] = 72909; --Gu'chi the Swarmbringer
		["Havak"] = 50354; --Havak
		["Ensamblaje Atracasol descontrolado"] = 50358; --Haywire Sunreaver Construct
		["Huo-Shuang"] = 63691; --Huo-Shuang
		["Huolon"] = 73167; --Huolon
		["Ik-Ik el Ágil"] = 50836; --Ik-Ik the Nimble
		["Pitón imperial"] = 73163; --Imperial Python
		["Astado acerado Cueracero"] = 73160; --Ironfur Steelhorn
		["Colmillo de Jade"] = 49822; --Jadefang
		["Jakur de Ordon"] = 73169; --Jakur of Ordon
		["Jonn-Dar"] = 50351; --Jonn-Dar
		["Kah'tir"] = 50355; --Kah'tir
		["Kal'tik la Plaga"] = 50749; --Kal'tik the Blight
		["Kang, el Ladrón de Almas"] = 50349; --Kang the Soul Thief
		["Kar Libraguerras"] = 68321; --Kar Warmaker
		["Karkanos"] = 72193; --Karkanos
		["Karkin"] = 50959; --Karkin
		["Karoma"] = 50138; --Karoma
		["Karr el Oscurecedor"] = 50347; --Karr the Darkener
		["Kirix"] = 54323; --Kirix
		["Kor'nas Salvaje Nocturno"] = 50338; --Kor'nas Nightsavage
		["Korda Torros"] = 50332; --Korda Torros
		["Krakkanon"] = 70323; --Krakkanon
		["Krax'ik"] = 50363; --Krax'ik
		["Kri'chon"] = 63978; --Kri'chon
		["Krol la Espada"] = 50356; --Krol the Blade
		["Ku'lai el Garracielo"] = 69996; --Ku'lai the Skyclaw
		["Sanador de hojas"] = 73277; --Leafmender
		["Lith'ik el Acechador"] = 50734; --Lith'ik the Stalker
		["Lon el Toro"] = 50333; --Lon the Bull
		["Lu Ban"] = 70002; --Lu-Ban
		["Magria"] = 54319; --Magria
		["Mayor Nanners"] = 50840; --Major Nanners
		["Mavis Lesiones"] = 68317; --Mavis Harms
		["Señor Feroz"] = 50823; --Mister Ferocious
		["Moldo el Tuerto"] = 50806; --Moldo One-Eye
		["Molthor"] = 70003; --Molthor
		["Monara"] = 70440; --Monara
		["Pinzaespina monstruoso"] = 73166; --Monstrous Spineclaw
		["Morgrinn Colmillo Rajado"] = 50350; --Morgrinn Crackfang
		["Muerta"] = 68322; --Muerta
		["Mumta"] = 69664; --Mumta
		["Nal'lak el Destripador"] = 50364; --Nal'lak the Ripper
		["Nalash Verdantis"] = 50776; --Nalash Verdantis
		["Nasra Piel Pecosa"] = 50811; --Nasra Spothide
		["Nessos el Oráculo"] = 50789; --Nessos the Oracle
		["Orador de la tormenta No'ku"] = 70276; --No'ku Stormsayer
		["Norlaxx"] = 50344; --Norlaxx
		["Omnis Grinlok"] = 50805; --Omnis Grinlok
		["Señor supremo Furiahendida"] = 50085; --Overlord Sunderfury
		["Príncipe Lakma"] = 54533; --Prince Lakma
		["Progenitus"] = 69997; --Progenitus
		["Qu'nas"] = 50352; --Qu'nas
		["Cadozo"] = 58771; --Quid
		["Ra'sha"] = 70530; --Ra'sha
		["Ossotremulus"] = 72048; --Rattleskew
		["Musgo de roca"] = 73157; --Rock Moss
		["Horror rocoso"] = 70430; --Rocky Horror
		["Ruun Zarpa Espectral"] = 50816; --Ruun Ghostpaw
		["Sahn Cazador de Olas"] = 50780; --Sahn Tidehunter
		["Explorador de guerra Salyin"] = 50783; --Salyin Warscout
		["Sambas"] = 50159; --Sambas
		["Sarnak"] = 50782; --Sarnak
		["Chillidos"] = 50831; --Scritch
		["Sele'na"] = 50766; --Sele'na
		["Maestro de las Sombras Sydow"] = 63240; --Shadowmaster Sydow
		["Siltriss el Afilador"] = 50791; --Siltriss the Sharpener
		["Skarr"] = 50815; --Skarr
		["Ski'thik"] = 50733; --Ski'thik
		["Correllama"] = 54324; --Skitterflame
		["Solix"] = 54321; --Solix
		["Espectrante"] = 71864; --Spelurk
		["Espíritu de fuego de jade"] = 72769; --Spirit of Jadefire
		["Espíritu de Lao-Fe"] = 58817; --Spirit of Lao-Fe
		["Matojo"] = 50830; --Spriggin
		["Barbasucia"] = 73704; --Stinkbraid
		["Sulik'shor"] = 50339; --Sulik'shor
		["Tarvus el Vil"] = 50086; --Tarvus the Vile
		["El Aullador"] = 50832; --The Yowler
		["Torik-Ethis"] = 50388; --Torik-Ethis
		["Tsavo'ka"] = 72808; --Tsavo'ka
		["Ubunti la Sombra"] = 68320; --Ubunti the Shade
		["Ojo imperturbable"] = 70238; --Unblinking Eye
		["Urdur el Cauterizador"] = 73173; --Urdur the Cauterizer
		["Urgolax"] = 50359; --Urgolax
		["Urobi el Caminante"] = 50808; --Urobi the Walker
		["Quijasaña"] = 58769; --Vicejaw
		["Vyraxxis"] = 63977; --Vyraxxis
		["Dios de la guerra Dokah"] = 70096; --War-God Dokah
		["Vigía Osu"] = 73170; --Watcher Osu
		["Whizzig"] = 73293; --Whizzig
		["Willy Wilder"] = 70126; --Willy Wilder
		["Wulon"] = 63510; --Wulon
		["Yorik Vistafilada"] = 50336; --Yorik Sharpeye
		["Yul Zarpa Salvaje"] = 50820; --Yul Wildpaw
		["Zai el Exiliado"] = 50769; --Zai the Outcast
		["Belisario Zandalari"] = 69769; --Zandalari Warbringer cian
		["Belisario Zandalari"] = 69842; --Zandalari Warbringer gray
		["Belisario Zandalari"] = 69841; --Zandalari Warbringer silver
		["Explorador de guerra Zandalari"] = 69768; --Zandalari Warscout
		["Zao'cho"] = 69843; --Zao'cho
		["Zesqua"] = 72245; --Zesqua
		["Zhu Gon el Agrio"] = 71919; --Zhu-Gon the Sour

		-- Rares Draenor
		["Amaukwa"] = 77140; --Amaukwa
		["Antiguo maestro del acero"] = 82899; --Ancient Blademaster
		["Aqualir"] = 86213; --Aqualir
		["Avatar de Socrethar"] = 88043; --Avatar of Socrethar
		["Ba'ruun"] = 82326; --Ba'ruun
		["Bahamojo"] = 81406; --Bahameye
		["Bashiok"] = 82085; --Bashiok
		["Trinchabestias Saramor"] = 78150; --Beastcarver Saramor
		["Betsi Canastabum"] = 84887; --Betsi Boombasket
		["Danzante de Espadas Aeryx"] = 80614; --Blade-Dancer Aeryx
		["Peste resplandeciente"] = 84856; --Blightglow
		["Reyespina Fili"] = 81639; --Brambleking Fili
		["Jadeante"] = 78867; --Breathless
		["Brutag Filosiniestro"] = 87234; --Brutag Grimblade
		["Madre de Hielo del Cañón"] = 71721; --Canyon Icemother
		["Char el Ardiente"] = 82311; --Char the Burning
		["Escalocolmillo"] = 80242; --Chillfang
		["Fauceniza"] = 72294; --Cindermaw
		["Domanubes Daber"] = 78169; --Cloudspeaker Daber
		["Patadafría el Doliente"] = 77513; --Coldstomp the Griever
		["Colmillo frío"] = 76914; --Coldtusk
		["Cro Desgarracarne"] = 77620; --Cro Fleshrender
		["Furia ciclónica"] = 78621; --Cyclonic Fury
		["Emanación oscura"] = 77085; --Dark Emanation
		["Maestro oscuro Go'vid"] = 82268; --Darkmaster Go'vid
		["Garfaoscura"] = 82411; --Darktalon
		["Kizi Tiromortal"] = 77763; --Deadshot Kizi
		["Raíz Profunda"] = 82058; --Depthroot
		["Pezuña temible"] = 86729; --Direhoof
		["Dr. Penumbra"] = 77561; --Dr. Gloom
		["Durkath Fauceacreo"] = 84807; --Durkath Steelmaw
		["Elementalista Utrah"] = 77768; --Elementalist Utrah
		["Enavra"] = 82676; --Enavra
		["Enavra"] = 82742; --Enavra
		["Hada brillante"] = 82207; --Faebright
		["Colmillador"] = 82975; --Fangler
		["Cortezavil"] = 80204; --Felbark
		["Cónyuge Fuego vil"] = 82992; --Felfire Consort
		["Chancroflor"] = 84890; --Festerbloom
		["Gigante Furia de Fuego"] = 74971; --Firefury Giant
		["Encendedor Grash"] = 88580; --Firestarter Grash
		["Pellejo de pedernal"] = 83483; --Flinthide
		["Matrona de forja Targa"] = 77648; --Forge Matron Targa
		["Maderafósil el Petrificado"] = 85250; --Fossilwood the Petrified
		["Gólem enloquecido"] = 77614; --Frenzied Golem
		["Galzomar"] = 78713; --Galzomar
		["Gar'lua"] = 82764; --Gar'lua
		["Garrison Ford"] = 86058; --Garrison Ford
		["Gelgor de la Llama Azul"] = 81038; --Gelgor of the Blue Flame
		["General Aevd"] = 82882; --General Aevd
		["Gennadian"] = 80471; --Gennadian
		["Kul Destripador de Gigantes"] = 71665; --Giant-Slayer Kul
		["Destripadora de gigantes Kimla"] = 78144; --Giantslayer Kimla
		["Alabrillo"] = 77719; --Glimmerwing
		["Plétora"] = 80868; --Glut
		["Pezuñatorcida el Rabioso"] = 82778; --Gnarlhoof the Rabid
		["Gorum"] = 76380; --Gorum
		["Gran mariscal Hojatemblorosa"] = 82876; --Grand Marshal Tremblade
		["Gran pluma"] = 82758; --Greatfeather
		["Greldrok el Maquiavélico"] = 84431; --Greldrok the Cunning
		["Fauceparda"] = 82912; --Grizzlemaw
		["Acechagronns Dawarn"] = 78128; --Gronnstalker Dawarn
		["Celador de arboleda Yal"] = 88583; --Grove Warden Yal
		["Grutush el Saqueador"] = 80312; --Grutush the Pillager
		["Gruuk"] = 80190; --Gruuk
		["Gurun"] = 80235; --Gurun
		["Haakun, el Todo Consumidor"] = 83008; --Haakun the All-Consuming
		["Dentomartillo"] = 77715; --Hammertooth
		["Mamá gallina Hami"] = 77626; --Hen-Mother Hami
		["Pielpálido hermitaño"] = 86724; --Hermit Palefur
		["Gran Señor de la Guerra Volrath"] = 82877; --High Warlord Volrath
		["Cazadora Bal'ra"] = 88672; --Hunter Bal'ra
		["Cazador Diente Negro"] = 83603; --Hunter Blacktooth
		["Maestro de caza Kuang"] = 78151; --Huntmaster Kuang
		["Hiperious"] = 78161; --Hyperious
		["Insha'tar"] = 83553; --Insha'tar
		["Mandibulín"] = 82616; --Jabberjaw
		["Jaluk el Pacifista"] = 87600; --Jaluk the Pacifist
		["Jiasska el Zampasporas"] = 84955; --Jiasska the Sporegorger
		["Kalos el Bañado en Sangre"] = 84810; --Kalos the Bloodbathed
		["Karosh Vientonegro"] = 86959; --Karosh Blackwind
		["Kharazos el Triunfante"] = 78710; --Kharazos the Triumphant
		["Mortafauce"] = 74206; --Killmaw
		["Klikixx"] = 78872; --Klikixx
		["Ku'targ el Vidente del Vacío"] = 72362; --Ku'targ the Voidseer
		["Lady Tentaciona"] = 85121; --Lady Temptessa
		["Decifrahojas Kurri"] = 72537; --Leaf-Reader Kurri
		["Machacafauces Lo'marg"] = 77784; --Lo'marg Jawcrusher
		["Señor Korinak"] = 82920; --Lord Korinak
		["\"Rey\" Loco Esporeon"] = 77310; --Mad "King" Sporeon
		["Malroc Hiendepiedras"] = 83643; --Malroc Stonesunder
		["Mandrakor"] = 84406; --Mandrakor
		["Mariscal Gabriel"] = 82878; --Marshal Gabriel
		["Mariscal Karsh Forjatormentas"] = 82880; --Marshal Karsh Stormforge
		["Matrona del Pecado"] = 82998; --Matron of Sin
		["Torturaalmas Morva"] = 82362; --Morva Soultwister
		["Madre Araneae"] = 76473; --Mother Araneae
		["Madre Om'ra"] = 75071; --Mother Om'ra
		["Mutafen"] = 84417; --Mutafen
		["Nas Dunberlin"] = 82247; --Nas Dunberlin
		["No'losh"] = 79334; --No'losh
		["Ophiis"] = 83409; --Ophiis
		["Oskiira el Vengativo"] = 84872; --Oskiira the Vengeful
		["Escolta Duretha"] = 83680; --Outrider Duretha
		["Pescadero pálido"] = 78606; --Pale Fishmonger
		["Abrecaminos Jalog"] = 78134; --Pathfinder Jalog
		["Acechacaminos Draga"] = 77095; --Pathstalker Draga
		["Foso de bestias"] = 88208; --Pit Beast
		["Maestro de veneno Bordiente"] = 84838; --Poisonmaster Bortusk
		["Primalista Mur'og"] = 76918; --Primalist Mur'og
		["Pirotaumaturga Zindra"] = 77642; --Pyrecaster Zindra
		["Ra'kahn"] = 77741; --Ra'kahn
		["Acechaderivas Ragore"] = 84392; --Ragore Driftstalker
		["Rai'vosh"] = 82374; --Rai'vosh
		["Garra Roja el Feral"] = 82755; --Redclaw the Feral
		["Pudrecasco"] = 85504; --Rotcap
		["Sangrikass"] = 84833; --Sangrikass
		["Explorador Buscacrúor"] = 77526; --Scout Goreseeker
		["Sean Marblanco"] = 83542; --Sean Whitesea
		["Corteza sombría"] = 79938; --Shadowbark
		["Shinri"] = 82415; --Shinri
		["Sikthiss, Doncella de Masacre"] = 78715; --Sikthiss, Maiden of Slaughter
		["Anciano Hojaplata"] = 79686; --Silverleaf Ancient
		["Anciano Hojaplata"] = 79693; --Silverleaf Ancient
		["Anciano Hojaplata"] = 79692; --Silverleaf Ancient
		["Lupa solar"] = 83990; --Solar Magnifier
		["Dentealma"] = 80057; --Soulfang
		["Colmiacero"] = 86549; --Steeltusk
		["Vapuleador Kreego"] = 79629; --Stomper Kreego
		["Piedrinquina"] = 84805; --Stonespite
		["Sulfúrico"] = 80725; --Sulfurious
		["Garrasol"] = 86137; --Sunclaw
		["Púacercenador"] = 84912; --Sunderthorn
		["Hojenjambre"] = 85520; --Swarmleaf
		["Despellejador Onyx presto"] = 88582; --Swift Onyx Flayer
		["Rompegarra"] = 84836; --Talonbreaker
		["Sacerdote de la garra Zorkra"] = 79485; --Talonpriest Zorkra
		["Tesska la Quebrada"] = 84775; --Tesska the Broken
		["El Azotador"] = 77527; --The Beater
		["Tor'goroth"] = 82618; --Tor'goroth
		["Tura'aka"] = 83591; --Tura'aka
		["Varasha"] = 82050; --Varasha
		["Veloss"] = 75482; --Veloss
		["Atracadora del vacío Urnae"] = 85078; --Voidreaver Urnae
		["Vidente del Vacío Kalurg"] = 83385; --Voidseer Kalurg
		["Vulceros"] = 77926; --Vulceros
		["Vindicador deambulante"] = 77776; --Wandering Vindicator
		["Taumaturgo de guerra Bargol"] = 78733; --Warcaster Bargol
		["Maestro de la guerra Blugthol"] = 79024; --Warmaster Blugthol
		["Matriarca denteviento"] = 75434; --Windfang Matriarch
		["Xothear el Destructor"] = 82922; --Xothear, the Destroyer
		["Yaga la Marcada"] = 79145; --Yaga the Scarred
		["Yazheera la Incineradora"] = 77529; --Yazheera the Incinerator
		["Yggdrel"] = 75435; --Yggdrel
		["Dienteluna"] = 71992; --Moonfang
		["Infierno ancestro"] = 84875; --Ancient Inferno
		["Mole infranqueable"] = 83819; --Brickhouse
		["Demidos"] = 84911; --Demidos
		["Tejeoscuro anciano Kath"] = 85771; --Elder Darkweaver Kath
		["Cornada"] = 84893; --Goregore
		["Korthall Atiborralmas"] = 84110; --Korthall Soulgorger
		["Kurlosh Dentorruina"] = 82988; --Kurlosh Doomfang
		["Lady Demlash"] = 82942; --Lady Demlash
		["Mandrágorasto"] = 83683; --Mandragoraster
		["Oraggro"] = 84904; --Oraggro
		["Orumo el Observador"] = 87668; --Orumo the Observer
		["Panthora"] = 83691; --Panthora
		["Caminahorrores Llama de las Sombras"] = 82930; --Shadowflame Terrorwalker
		["Titarus"] = 83713; --Titarus
		["Vigilante Paarthos"] = 88436; --Vigilant Paarthos
		["Archimaga Tekar"] = 88072; --Archmagus Tekar
		["Gu'gok Bombardero"] = 87597; --Bombardier Gu'gok
		["Gor'vosh Tallapiedra capturado"] = 84746; --Captured Gor'vosh Stoneshaper
		["Presagista maldito"] = 85767; --Cursed Harbinger
		["Devastador maldito"] = 85763; --Cursed Ravager
		["Garfafilada maldito"] = 85766; --Cursed Sharptalon
		["Gibblette el Cobarde"] = 87352; --Gibblette the Cowardly
		["Gibby"] = 87362; --Gibby
		["Gug'tol"] = 83019; --Gug'tol
		["Triza de Escarcha"] = 87348; --Hoarfrost
		["Vanguardia de la Legión"] = 88494; --Legion Vanguard
		["Sargenta primera Milgra"] = 85001; --Master Sergeant Milgra
		["Moltnoma"] = 82614; --Moltnoma
		["Madre de goren"] = 87351; --Mother of Goren
		["Intendente Hershak"] = 84925; --Quartermaster Hershak
		["Hablasombras Niir"] = 85029; --Shadowspeaker Niir
		["Colmillón el Comecadáveres"] = 82617; --Slogtusk the Corpse-Eater
		["Hijo de Goramal"] = 82620; --Son of Goramal
		["Vinculadora de almas Naylana"] = 88083; --Soulbinder Naylana
		["Estratega Ankor"] = 88071; --Strategist Ankor
		["El Reptahuesos"] = 78265; --The Bone Crawler
		["Maestro del acero Ro'gor"] = 86579; --Blademaster Ro'gor
		["Dazgo desertor"] = 86566; --Defector Dazgo
		["Durp el Odiado"] = 86571; --Durp the Hated
		["Gorivax"] = 82536; --Gorivax
		["Horgg"] = 86577; --Horgg
		["Inventora Blammo"] = 86574; --Inventor Blammo
		["Madgard maníaco"] = 86562; --Maniacal Madgard
		["Morgo Kain"] = 86582; --Morgo Kain
		["La Lanticora"] = 77081; --The Lanticore
		["Valkor"] = 87357; --Valkor
		["Vrok el Anciano"] = 87356; --Vrok the Ancient
		["Señor de la Guerra Noktyn"] = 82883; --Warlord Noktyn
		["Ak'ox la Matadora"] = 84378; --Ak'ox the Slaughterer
		["Alkali"] = 86268; --Alkali
		["Avalancha"] = 85568; --Avalanche
		["Rompehuesos"] = 87837; --Bonebreaker
		["Poder ardiente"] = 84926; --Burning Power
		["Durg Rompespaldas"] = 87788; --Durg Spinecrusher
		["Gigante glotón"] = 87019; --Gluttonous Giant
		["Mandíbula torcida"] = 78269; --Gnarljaw
		["Gorg'ak el Chupalava"] = 72364; --Gorg'ak the Lava Guzzler
		["Gortag Presacero"] = 87344; --Gortag Steelgrip
		["Rey Babosa"] = 78260; --King Slime
		["Krahl Ojo Muerto"] = 87239; --Krahl Deadeye
		["Glotón saltador"] = 84465; --Leaping Gorger
		["Vigilante de las sombras Malgosh"] = 85451; --Malgosh Shadowkeeper
		["Desvalijador Mecha"] = 87026; --Mecha Plunderer
		["Mogamago"] = 88586; --Mogamago
		["Sr. Tenacitas"] = 84435; --Mr. Pinchy Sr.
		["Nagidna"] = 85555; --Nagidna
		["Mole de las sombras"] = 87027; --Shadow Hulk
		["Baba resbaladiza"] = 84854; --Slippery Slime
		["Fauceplata"] = 85837; --Slivermaw
		["Retuercealmas Torek"] = 85026; --Soul-Twister Torek
		["Ug'lok el Congelado"] = 79104; --Ug'lok the Frozen
		["Soldado envuelto en telaraña"] = 84196; --Web-wrapped Soldier
		["Aogexon"] = 86774; --Aogexon
		["Basten"] = 86257; --Basten
		["Bergruu"] = 86732; --Bergruu
		["Borrok el Devorador"] = 72156; --Borrok the Devourer
		["Dekorhan"] = 86743; --Dekorhan
		["Equidna"] = 80372; --Echidna
		["Gagrog el Bruto"] = 86771; --Gagrog the Brutal
		["Keravnos"] = 80398; --Keravnos
		["Krud el Eviscerador"] = 88210; --Krud the Eviscerator
		["Lerneo"] = 80370; --Lernaea
		["Mu'gra"] = 87666; --Mu'gra
		["Nultra"] = 86258; --Nultra
		["Destripador de la fosa"] = 87846; --Pit Slayer
		["Thek'talon"] = 86750; --Thek'talon
		["Tifón"] = 80371; --Typhon
		["Valstil"] = 86259; --Valstil
		["Venolasix"] = 86266; --Venolasix
		["Zarpavil"] = 88951; --Vileclaw
		["Xelganak"] = 86835; --Xelganak
		["Capitán Barbaférrea"] = 79725; --Captain Ironbeard
		["Gaz'orda"] = 80122; --Gaz'orda
		["Engendro abisal"] = 83401; --Netherspawn
		["Ru'klaa"] = 83526; --Ru'klaa
		["Clamavientos Korast"] = 83428; --Windcaller Korast
		["Rabioso serie T-300 Tipo II"] = 82826; --Berserk T-300 Series Mark II
		["Expedicionario Nozzand"] = 82486; --Explorer Nozzand
		["Petal sangriento"] = 83509; --Gorepetal
		["Dientecascajo"] = 84263; --Graveltooth
		["Explorador Pokhar"] = 83634; --Scout Pokhar
		["Mirada"] = 86978; --Gaze
		["Tragaleta"] = 84951; --Gobblefin
		["Grrbrrgle"] = 85572; --Grrbrrgle
		["Aarko"] = 77664; --Aarko
		["Eco de Murmullo"] = 77828; --Echo of Murmur
		["Eco de Murmullo"] = 77795; --Echo of Murmur
		["Shirzir"] = 79543; --Shirzir
		["Taladorántula"] = 77634; --Taladorantula
		["Examinador Melena Sangrienta"] = 80524; --Underseer Bloodmane
		["Rolkor"] = 85264; --Rolkor
		["Sylldross"] = 86410; --Sylldross
		["Reina de la colmena Skrikka"] = 83522; --Hive Queen Skrikka
		["Madre de linaje Reeg'ak"] = 74613; --Broodmother Reeg'ak
		["Gigantósigo"] = 77519; --Giantbane
		["Sneevel"] = 86689; --Sneevel
		["Pisalopago"] = 86520; --Stompalupagus
		["Berthora"] = 85907; --Berthora
		["Riptar"] = 85970; --Riptar
		["Hipnocroac"] = 79524; --Hypnocroak
		["Pezuña de roca"] = 72606; --Rockhoof
		["Venosombra"] = 75492; --Venomshade
		["Nakk el Tronador"] = 50990; --Nakk the Thunderer
		["Gorok"] = 50992; --Gorok
		["Luk'hok"] = 50981; --Luk'hok
		["Librapuño"] = 50985; --Poundfist
		["Cienopiel"] = 51015; --Silthide
		["Correcaminos"] = 50883; --Pathrunner
		["Nok-Karosh"] = 81001; --Nok-Karosh
		
		-- Rares Draenor 6.2
		["Argosh el Destructor"] = 91871; --Argosh the Destroyer
		["Belgork"] = 92552; --Belgork
		["Bilkor el Lanzador"] = 90884; --Bilkor the Thrower
		["Horror Foso Sangrante"] = 92657; --Bleeding Hollow Horror
		["Zulk Cazador de Sangre"] = 90936; --Bloodhunter Zulk
		["Señor de linaje Ixkor"] = 92429; --Broodlord Ixkor
		["Capitán Grok'mar"] = 93264; --Captain Grok'mar
		["Capitán Barbaférrea"] = 93076; --Captain Ironbeard
		["Ceraxas"] = 90434; --Ceraxas
		["Cindral el Fuego salvaje"] = 90519; --Cindral the Wildfire
		["Invocadora oscura Rendkra"] = 90081; --Dark Summoner Rendkra
		["Dorg el Sangriento"] = 90887; --Dorg the Bloody
		["Driss Vil"] = 93028; --Driss Vile
		["Drivnul"] = 90888; --Drivnul
		["Ejecutor Riloth"] = 91727; --Executor Riloth
		["Hastío vil"] = 93168; --Felbore
		["Forjadora Vil Damorka"] = 92647; --Felsmith Damorka
		["Llama Infernal"] = 91098; --Felspark
		["Garfa penumbral"] = 92508; --Gloomtalon
		["Gorabosh"] = 92941; --Gorabosh
		["Brujo supremo Malbisal"] = 91695; --Grand Warlock Nethekurse
		["Grannok"] = 93057; --Grannok
		["Grobthok Partecalaveras"] = 90089; --Grobthok Skullbreaker
		["Supervisor de puerto Korak"] = 90094; --Harbormaster Korak
		["Sumo sacerdote Ikzan"] = 90281; --High Priest Ikzan
		["Sumo sacerdote Ikzan"] = 90777; --High Priest Ikzan
		["Maestra de diablillos Valessa"] = 90429; --Imp-Master Valessa
		["Capitana de hierro Argha"] = 90087; --Iron Captain Argha
		["Jax'zor"] = 90437; --Jax'zor
		["Krell el Sereno"] = 92517; --Krell the Serene
		["Kris'kar el No redimido"] = 93279; --Kris'kar the Unredeemed
		["Lady Oran"] = 90438; --Lady Oran
		["Magwia"] = 93002; --Magwia
		["Maestra Thavra"] = 90442; --Mistress Thavra
		["Ormak Descarga de sangre"] = 90088; --Ormak Bloodbolt
		["Señor Supremo Ma'gruth"] = 92411; --Overlord Ma'gruth
		["Maestra del dolor Selora"] = 92274; --Painmistress Selora
		["Señor vaina Wakkawam"] = 91374; --Podlord Wakkawam
		["Putre'thar"] = 91009; --Putre'thar
		["Rasthe"] = 90782; --Rasthe
		["Relgor"] = 92197; --Relgor
		["Remanente de la Luna de Sangre"] = 91227; --Remnant of the Blood Moon
		["Rendrak"] = 92627; --Rendrak
		["Rogond el Rastreador"] = 90885; --Rogond the Tracker
		["Rukmaz"] = 94113; --Rukmaz
		["Sargento Mor'grak"] = 90024; --Sergeant Mor'grak
		["Aplastasombras"] = 93236; --Shadowthrash
		["Cercenadora de almas"] = 92495; --Soulslicer
		["Hocico de acero"] = 92887; --Steelsnout
		["Sylissa"] = 92606; --Sylissa
		["Szirek el Retorcido"] = 93001; --Szirek the Twisted
		["El Colmillo Negro"] = 92465; --The Blackfang
		["Garrasangrienta"] = 92694; --The Goreclaw
		["El Maestro de canes de hierro"] = 92977; --The Iron Houndmaster
		["El Cazador Nocturno"] = 92645; --The Night Haunter
		["El Cazador Nocturno"] = 92636; --The Night Haunter
		["Tho'gar Puño Sajante"] = 91243; --Tho'gar Gorefist
		["Thromma el Rebanador de entrañas"] = 92574; --Thromma the Gutslicer
		["Varyx el Maldito"] = 92451; --Varyx the Damned
		["Xanzith el Eterno"] = 92408; --Xanzith the Everlasting
		["Zeter'el"] = 91087; --Zeter'el
		["Zoug el Pesado"] = 90122; --Zoug the Heavy
		["Zarza letal"] = 91093; --Bramblefell
		["Comandante Krag'goth"] = 91232; --Commander Krag'goth
		["Comandante Org'mok"] = 89675; --Commander Org'mok
		["Garramuerte"] = 95053; --Deathtalon
		["Rodador maldito"] = 95056; --Doomroller
		["Glub'glok"] = 93125; --Glub'glok
		["Puño de terror"] = 95044; --Terrorfist
		["Venganza"] = 95054; --Vengeance
		["Wyrmple"] = 91921; --Wyrmple
		["Xemirkol"] = 96235; --Xemirkol
		
		-- Rares Draenor 6.2.1
		["Guk"] = 98200; --Guk
		["Pugg"] = 98199; --Pugg
		["Rukdug"] = 98198; --Rukdug
		["Drakum"] = 98283; --Drakum
		["Gondar"] = 98284; --Gondar
		["Machacum Agarre"] = 98285; --Smashum Grabb
		["Sobrestante vil Limo"] = 98408; --Fel Overseer Mudlump
		["Arácnido"] = 96323; --Arachnis
		["Eraakis"] = 97209; --Eraakis
	}
end