﻿-- Locale
local AceLocale = LibStub:GetLibrary("AceLocale-3.0");
local AL = AceLocale:NewLocale("RareScanner", "frFR", false);

if AL then
	-- UI strings
	AL["CHECK_MAP"] = "Check your map!";
	AL["UNKNOWN_TARGET"] = "Unknown target";
	AL["JUST_SPAWNED"] = " just showed up";
	AL["NOT_TARGETEABLE"] = "Not targeteable";
	AL["CLICK_TARGET"] = "Click to target NPC";
	AL["ALARM_MESSAGE"] = "A rare NPC just showed up, check your map!";
	
	-- UI config panel
	AL["GENERAL_OPTIONS"] = "General options";
	AL["ENABLE_SCAN_RARES"] = "Toggle searching rare NPCs";
	AL["ENABLE_SCAN_RARES_DESC"] = "When this is activated you will be warned visually and with a sound everytime a rare NPC shows up in your minimap";
	AL["ENABLE_SCAN_CONTAINERS"] = "Toggle searching treasures or chests";
	AL["ENABLE_SCAN_CONTAINERS_DESC"] = "When this is activated you will be warned visually and with a sound everytime a treasure or chest shows up in your minimap";
	AL["ENABLE_SCAN_EVENTS"] = "Toggle searching events";
	AL["ENABLE_SCAN_EVENTS_DESC"] = "When this is activated you will be warned visually and with a sound everytime an event shows up in your minimap";
	AL["ENABLE_SCAN_GARRISON_CHEST"] = "Toggle searching garrison treasure";
	AL["ENABLE_SCAN_GARRISON_CHEST_DESC"] = "When this is activated you will be warned visually and with a sound everytime your garrison chest shows up in your minimap.";
	AL["ENABLE_SCAN_IN_ASHRAN"] = "Toggle alerts in Ashran";
	AL["ENABLE_SCAN_IN_ASHRAN_DESC"] = "When this is activated you will get alerts from NPCs rares and events in Ashran.";
	AL["SOUND"] = "Sound";
	AL["SOUND_OPTIONS"] = "Sound options";
	AL["ALARM_SOUND"] = "Warning sound for rare NPCs";
	AL["ALARM_SOUND_DESC"] = "Sound played when a rare NPC shows up in your minimap.";
	AL["ALARM_TREASURES_SOUND"] = "Warning sound for events/treasures";
	AL["ALARM_TREASURES_SOUND_DESC"] = "Sound played when a treasure/chest or event shows up in your minimap.";
	AL["DISABLE_SOUND"] = "Disable audio alerts";
	AL["DISABLE_SOUND_DESC"] = "When this is activated you won't receive audio alerts";
	AL["DISPLAY"] = "Display";
	AL["DISPLAY_OPTIONS"] = "Display options";
	AL["LOOT_PANEL_OPTIONS"] = "Loot bar options";
	AL["DISPLAY_LOOT_PANEL"] = "Toggle showing loot bar";
	AL["DISPLAY_LOOT_PANEL_DESC"] = "When this is activated it will show a bar with the loot dropped by the NPC found";
	AL["LOOT_MIN_QUALITY"] = "Minimum loot quality";
	AL["LOOT_MIN_QUALITY_DESC"] = "Defines the minimum loot quality to show in the loot bar";
	AL["QUALITY_POOR"] = "Poor";
	AL["QUALITY_COMMON"] = "Common";
	AL["QUALITY_UNCOMMON"] = "Uncommon";
	AL["QUALITY_RARE"] = "Rare";
	AL["QUALITY_EPIC"] = "Epic";
	AL["QUALITY_LEGENDARY"] = "Legendary";
	AL["LOOT_TOOLTIP_POSITION"] = "Loot tooltip position";
	AL["LOOT_TOOLTIP_POSITION_DESC"] = "Defines where to show the loot tooltip that appears when you move the mouse over an icon, in respect to the button";
	AL["TOOLTIP_LEFT"] = "Left side";
	AL["TOOLTIP_RIGHT"] = "Right side";
	AL["TOOLTIP_CURSOR"] = "Follow cursor";
	AL["TOOLTIP_TOP"] = "Upper side";
	AL["TOOLTIP_BOTTOM"] = "Lower side";
	AL["DISPLAY_BUTTON"] = "Toggle showing the button and the miniature";
	AL["DISPLAY_BUTTON_DESC"] = "When disabled the button and the miniature won't be shown again. It doesn't affect the alarm sound and the chat alerts.";
	AL["AUTO_HIDE_BUTTON"] = "Autohide button and miniature";
	AL["AUTO_HIDE_BUTTON_DESC"] = "Hides the button and the miniature automatically after the time selected (in seconds). If you select zero seconds the button and the miniature won't autohide.";
	AL["SHOW_CHAT_ALERT"] = "Toggle showing chat alerts";
	AL["SHOW_CHAT_ALERT_DESC"] = "Shows a private message in the chat every time a treasure, chest or NPC is found.";
	AL["FILTER"] = "Filters";
	AL["FILTERS_SEARCH"] = "Search";
	AL["FILTERS_SEARCH_DESC"] = "Type the name of the NPC to filter the list below";
	AL["CLEAR_FILTERS_SEARCH"] = "Show all";
	AL["CLEAR_FILTERS_SEARCH_DESC"] = "Reset the previous search and show the complete list";
	AL["FILTERS"] = "Filters for rare NPCs";
	AL["FILTER_RARE_LIST"] = "Filter searching for rare NPCs";
	AL["FILTER_RARE_LIST_DESC"] = "Toggle searching for this rare NPC. When disabled you won't get an alert when this NPC is found.";
	AL["DISABLE_SEARCHING_RARE_TOOLTIP"] = "Disable alerts for this rare NPC";
	AL["DISABLED_SEARCHING_RARE"] = "Disabled alerts for this rare NPC: ";
	AL["ENABLE_SEARCHING_RARE_TOOLTIP"] = "Enable alerts for this rare NPC";
	AL["ENABLED_SEARCHING_RARE"] = "Enabled alerts for this rare NPC: ";
	AL["TEST"] = "Launch Test";
	AL["TEST_DESC"] = "Press the button to show an alert example. You can drag and drop the panel to another position where it will be shown from now on.";

	-- RARE names
	AL["RARE_LIST"] = {
		-- Rares Pandaria
		["Aeonaxx"] = 50062; --Aeonaxx
		["Aetha"] = 58778; --Aetha
		["Aethis"] = 50750; --Aethis
		["Ahone l’Errante"] = 50817; --Ahone the Wanderer
		["Ai Li Moire Ciel"] = 50821; --Ai-Li Skymirror
		["Ai Ran le Nuage Fantasque"] = 50822; --Ai-Ran the Shifting Cloud
		["Al’tabim Qui-Voit-Tout"] = 70000; --Al'tabim the All-Seeing
		["Ankha"] = 54318; --Ankha
		["Anthriss"] = 54338; --Anthriss
		["Archiprêtre de flammes"] = 73666; --Archiereus of Flame
		["Archiritualiste Kelada"] = 70243; --Archritualist Kelada
		["Arness l’Écaille"] = 50787; --Arness the Scale
		["Brise-dos Uru"] = 70001; --Backbreaker Uru
		["Bai Jin le Boucher"] = 58949; --Bai-Jin the Butcher
		["Ban’thalos"] = 54320; --Ban'thalos
		["Baolai l’Immolateur"] = 63695; --Baolai the Immolator
		["Sabot d’Encre"] = 51059; --Blackhoof
		["Pointe-sanglante"] = 58474; --Bloodtip
		["Bonobos"] = 50828; --Bonobos
		["Borginn Sombre Poing"] = 50341; --Borginn Darkfist
		["Bufo"] = 72775; --Bufo
		["Champion de la flamme noire"] = 73171; --Champion of the Black Flame
		["Chelon"] = 72045; --Chelon
		["Cendrechute"] = 73175; --Cinderfall
		["Cournith Court-sur-l’Eau"] = 50768; --Cournith Waterstrider
		["Crachecroc"] = 58768; --Cracklefang
		["Croque-grue"] = 72049; --Cranegnasher
		["Dak le Briseur"] = 50334; --Dak the Breaker
		["Dalan Brisenuit"] = 68318; --Dalan Nightbreaker
		["Deth’tilac"] = 54322; --Deth'tilac
		["Disha Gardepeur"] = 68319; --Disha Fearwarden
		["Docteur Theolen Krastinov"] = 59369; --Doctor Theolen Krastinov
		["Bateau de l’effroi Vazuvius"] = 73281; --Dread Ship Vazuvius
		["Jars émeraude"] = 73158; --Emerald Gander
		["Eshelon"] = 50772; --Eshelon
		["Gueule-Éternelle"] = 73279; --Evermaw
		["Ferdinand"] = 51078; --Ferdinand
		["Carne’rok le Malade"] = 70429; --Flesh'rok the Diseased
		["Seigneur des silex Gairan"] = 73172; --Flintlord Gairan
		["Oeil focalisé"] = 70249; --Focused Eye
		["Gaarn le Toxique"] = 50340; --Gaarn the Toxic
		["Gaohun le Sectionneur d’âmes"] = 62881; --Gaohun the Soul-Severer
		["Gar’lok"] = 50739; --Gar'lok
		["Garnia"] = 73282; --Garnia
		["Général Temuja"] = 63101; --General Temuja
		["Clampant fantôme"] = 50051; --Ghostcrawler
		["Go Kan"] = 50331; --Go-Kan
		["Gochao le Poing de Fer"] = 62880; --Gochao the Ironfist
		["Dieu-mastodonte Ramuk"] = 69999; --God-Hulk Ramuk
		["Goda"] = 69998; --Goda
		["Golganarr"] = 72970; --Golganarr
		["Grande tortue Écaille-de-Fureur"] = 73161; --Great Turtle Furyshell
		["Gu’chi l’Essaimeur"] = 72909; --Gu'chi the Swarmbringer
		["Havak"] = 50354; --Havak
		["Assemblage saccage-soleil détraqué"] = 50358; --Haywire Sunreaver Construct
		["Huo Shuang"] = 63691; --Huo-Shuang
		["Huolon"] = 73167; --Huolon
		["Ik-Ik l’Agile"] = 50836; --Ik-Ik the Nimble
		["Python impérial"] = 73163; --Imperial Python
		["Corne-d’acier ferpoil"] = 73160; --Ironfur Steelhorn
		["Jadecroc"] = 49822; --Jadefang
		["Jakur d’Ordos"] = 73169; --Jakur of Ordon
		["Jonn-Dar"] = 50351; --Jonn-Dar
		["Kah’tir"] = 50355; --Kah'tir
		["Kal’tik le Chancre"] = 50749; --Kal'tik the Blight
		["Kang le Voleur d’âmes"] = 50349; --Kang the Soul Thief
		["Kar le Va-t-en-Guerre"] = 68321; --Kar Warmaker
		["Karkanos"] = 72193; --Karkanos
		["Karkin"] = 50959; --Karkin
		["Karoma"] = 50138; --Karoma
		["Karr l’Assombrisseur"] = 50347; --Karr the Darkener
		["Kirix"] = 54323; --Kirix
		["Kor’nas Nuit Sauvage"] = 50338; --Kor'nas Nightsavage
		["Korda Torros"] = 50332; --Korda Torros
		["Krakkanon"] = 70323; --Krakkanon
		["Krax’ik"] = 50363; --Krax'ik
		["Kri’chon"] = 63978; --Kri'chon
		["Krol la Lame"] = 50356; --Krol the Blade
		["Ku’lai, la Griffe du ciel"] = 69996; --Ku'lai the Skyclaw
		["Soigne-Feuille"] = 73277; --Leafmender
		["Lith’ik le Traqueur"] = 50734; --Lith'ik the Stalker
		["Lon le Buffle"] = 50333; --Lon the Bull
		["Lu Ban"] = 70002; --Lu-Ban
		["Magria"] = 54319; --Magria
		["Major Sinok"] = 50840; --Major Nanners
		["Mavis Laruine"] = 68317; --Mavis Harms
		["Monsieur Féroce"] = 50823; --Mister Ferocious
		["Moldo le Borgne"] = 50806; --Moldo One-Eye
		["Molthor"] = 70003; --Molthor
		["Monara"] = 70440; --Monara
		["Pincépine monstrueux"] = 73166; --Monstrous Spineclaw
		["Morgrinn Casse Crocs"] = 50350; --Morgrinn Crackfang
		["Muerta"] = 68322; --Muerta
		["Mumta"] = 69664; --Mumta
		["Nal’lak l’Éventreur"] = 50364; --Nal'lak the Ripper
		["Nalash Verdantis"] = 50776; --Nalash Verdantis
		["Nasra Poil Ocellé"] = 50811; --Nasra Spothide
		["Nessos l'Oracle"] = 50789; --Nessos the Oracle
		["No’ku Parle-Tempête"] = 70276; --No'ku Stormsayer
		["Norlaxx"] = 50344; --Norlaxx
		["Omnis Grimalok"] = 50805; --Omnis Grinlok
		["Suzerain Fractefurie"] = 50085; --Overlord Sunderfury
		["Prince Lakma"] = 54533; --Prince Lakma
		["Progénitus"] = 69997; --Progenitus
		["Qu’nas"] = 50352; --Qu'nas
		["Quid"] = 58771; --Quid
		["Ra’sha"] = 70530; --Ra'sha
		["Déglingois"] = 72048; --Rattleskew
		["Mousse des rochers"] = 73157; --Rock Moss
		["Horreur rocheuse"] = 70430; --Rocky Horror
		["Runn Patte Fantôme"] = 50816; --Ruun Ghostpaw
		["Sahn Chasse Marée"] = 50780; --Sahn Tidehunter
		["Eclaireur de guerre salyin"] = 50783; --Salyin Warscout
		["Samba"] = 50159; --Sambas
		["Sarnak"] = 50782; --Sarnak
		["Grattouille"] = 50831; --Scritch
		["Sele’na"] = 50766; --Sele'na
		["Maître d'ombre Sydow"] = 63240; --Shadowmaster Sydow
		["Siltriss l’Affûteur"] = 50791; --Siltriss the Sharpener
		["Bal'afr"] = 50815; --Skarr
		["Ski’thik"] = 50733; --Ski'thik
		["Rampeflamme"] = 54324; --Skitterflame
		["Solix"] = 54321; --Solix
		["Souterrant"] = 71864; --Spelurk
		["Esprit de Jadefeu"] = 72769; --Spirit of Jadefire
		["Esprit de Lao Fe"] = 58817; --Spirit of Lao-Fe
		["Spriggin"] = 50830; --Spriggin
		["Fouettnatte"] = 73704; --Stinkbraid
		["Sulik’shor"] = 50339; --Sulik'shor
		["Tarvus le Vil"] = 50086; --Tarvus the Vile
		["Le Couineur"] = 50832; --The Yowler
		["Torik-Ethis"] = 50388; --Torik-Ethis
		["Tsavo’ka"] = 72808; --Tsavo'ka
		["Ubunti l’Ombre"] = 68320; --Ubunti the Shade
		["Oeil impassible"] = 70238; --Unblinking Eye
		["Urdur le Cautérisateur"] = 73173; --Urdur the Cauterizer
		["Urgolax"] = 50359; --Urgolax
		["Urobi le Marcheur"] = 50808; --Urobi the Walker
		["Mâchevice"] = 58769; --Vicejaw
		["Vyraxxis"] = 63977; --Vyraxxis
		["Dieu-guerrier Dokah"] = 70096; --War-God Dokah
		["Guetteur Osu"] = 73170; --Watcher Osu
		["Siffleur"] = 73293; --Whizzig
		["Willy Wilder"] = 70126; --Willy Wilder
		["Wulon"] = 63510; --Wulon
		["Yorik Œil Vif"] = 50336; --Yorik Sharpeye
		["Yul Patte Folle"] = 50820; --Yul Wildpaw
		["Zaï le Paria"] = 50769; --Zai the Outcast
		["Porteguerre zandalari"] = 69769; --Zandalari Warbringer cian
		["Porteguerre zandalari"] = 69842; --Zandalari Warbringer gray
		["Porteguerre zandalari"] = 69841; --Zandalari Warbringer silver
		["Eclaireur de guerre zandalari"] = 69768; --Zandalari Warscout
		["Zao’cho"] = 69843; --Zao'cho
		["Zesqua"] = 72245; --Zesqua
		["Zhu Gon l’Amer"] = 71919; --Zhu-Gon the Sour
		
		-- Rares Draenor
		["Amaukwa"] = 77140; --Amaukwa
		["Ancien maître-lame"] = 82899; --Ancient Blademaster
		["Aqualir"] = 86213; --Aqualir
		["Avatar de Socrethar"] = 88043; --Avatar of Socrethar
		["Ba’ruun"] = 82326; --Ba'ruun
		["Bahamyeu"] = 81406; --Bahameye
		["Bashiok"] = 82085; --Bashiok
		["Sculpte-bêtes Saramor"] = 78150; --Beastcarver Saramor
		["Betsi Boumpanier"] = 84887; --Betsi Boombasket
		["Danselame Aeryx"] = 80614; --Blade-Dancer Aeryx
		["Brillechancre"] = 84856; --Blightglow
		["Roi-ronce Fili"] = 81639; --Brambleking Fili
		["Essoufflé"] = 78867; --Breathless
		["Brutag Lame-sinistre"] = 87234; --Brutag Grimblade
		["Glacemère du canyon"] = 71721; --Canyon Icemother
		["Brasille l’ardent"] = 82311; --Char the Burning
		["Glacecroc"] = 80242; --Chillfang
		["Gueulecendre"] = 72294; --Cindermaw
		["Parlenuage Daber"] = 78169; --Cloudspeaker Daber
		["Pied-Froid le Funèbre"] = 77513; --Coldstomp the Griever
		["Froide-Défense"] = 76914; --Coldtusk
		["Cro Tranchechair"] = 77620; --Cro Fleshrender
		["Fureur cyclonique"] = 78621; --Cyclonic Fury
		["Emanation noire"] = 77085; --Dark Emanation
		["Sombre Maître Go’vid"] = 82268; --Darkmaster Go'vid
		["Sombre-Serre"] = 82411; --Darktalon
		["Kizi Tire-Juste"] = 77763; --Deadshot Kizi
		["Racine-Profonde"] = 82058; --Depthroot
		["Sabot-Sinistre"] = 86729; --Direhoof
		["Dr Chagrin"] = 77561; --Dr. Gloom
		["Durkath Gueule-d’acier"] = 84807; --Durkath Steelmaw
		["Elémentaliste Utrah"] = 77768; --Elementalist Utrah
		["Enavra"] = 82676; --Enavra
		["Enavra"] = 82742; --Enavra
		["Luisefaë"] = 82207; --Faebright
		["Crochet"] = 82975; --Fangler
		["Gangrécorce"] = 80204; --Felbark
		["Compagne gangrefeu"] = 82992; --Felfire Consort
		["Suppure-fleur"] = 84890; --Festerbloom
		["Géant fureur-de-feu"] = 74971; --Firefury Giant
		["Boute-flammes Grash"] = 88580; --Firestarter Grash
		["Peau-de-Silex"] = 83483; --Flinthide
		["Matrone de la forge Targa"] = 77648; --Forge Matron Targa
		["Fossilebois le Pétrifié"] = 85250; --Fossilwood the Petrified
		["Golem frénétique"] = 77614; --Frenzied Golem
		["Galzomar"] = 78713; --Galzomar
		["Gar’lua"] = 82764; --Gar'lua
		["Fief Larage"] = 86058; --Garrison Ford
		["Gelgor de la Flamme bleue"] = 81038; --Gelgor of the Blue Flame
		["Général Aevd"] = 82882; --General Aevd
		["Gennadien"] = 80471; --Gennadian
		["Kul le Tueur de géants"] = 71665; --Giant-Slayer Kul
		["Kimla la Tueuse de géants"] = 78144; --Giantslayer Kimla
		["Aile-Scintillante"] = 77719; --Glimmerwing
		["Glut"] = 80868; --Glut
		["Sabot-Tordu l’Enragé"] = 82778; --Gnarlhoof the Rabid
		["Gorum"] = 76380; --Gorum
		["Connétable Tremblelame"] = 82876; --Grand Marshal Tremblade
		["Plume-Prodigieuse"] = 82758; --Greatfeather
		["Greldrok le Fourbe"] = 84431; --Greldrok the Cunning
		["Grisegueule"] = 82912; --Grizzlemaw
		["Traqueur de gronns Dawarn"] = 78128; --Gronnstalker Dawarn
		["Gardien du Bosquet Yal"] = 88583; --Grove Warden Yal
		["Grutush le Pilleur"] = 80312; --Grutush the Pillager
		["Gruuk"] = 80190; --Gruuk
		["Gurun"] = 80235; --Gurun
		["Haakun l’Insatiable"] = 83008; --Haakun the All-Consuming
		["Martolaire"] = 77715; --Hammertooth
		["Mère-pondeuse Hami"] = 77626; --Hen-Mother Hami
		["Ermite Pâlepoil"] = 86724; --Hermit Palefur
		["Grand seigneur de guerre Volrath"] = 82877; --High Warlord Volrath
		["Chasseuse Bal’ra"] = 88672; --Hunter Bal'ra
		["Chasseur Dent-Noire"] = 83603; --Hunter Blacktooth
		["Maître chasseur Kuang"] = 78151; --Huntmaster Kuang
		["Hyperius"] = 78161; --Hyperious
		["Insha’tar"] = 83553; --Insha'tar
		["Jacasse"] = 82616; --Jabberjaw
		["Jaluk le Pacifiste"] = 87600; --Jaluk the Pacifist
		["Jiasska la Mangespores"] = 84955; --Jiasska the Sporegorger
		["Kalos le Baigné de sang"] = 84810; --Kalos the Bloodbathed
		["Karosh Noirvent"] = 86959; --Karosh Blackwind
		["Kharazos le Triomphant"] = 78710; --Kharazos the Triumphant
		["Gueule-de-Mort"] = 74206; --Killmaw
		["Klikixx"] = 78872; --Klikixx
		["Ku’targ le Voyant du Vide"] = 72362; --Ku'targ the Voidseer
		["Dame Temptessa"] = 85121; --Lady Temptessa
		["Décrypte-feuille Kurri"] = 72537; --Leaf-Reader Kurri
		["Lo’marg Broie-Mâchoire"] = 77784; --Lo'marg Jawcrusher
		["Seigneur Korinak"] = 82920; --Lord Korinak
		["Sporéon le « Roi » fou"] = 77310; --Mad "King" Sporeon
		["Malroc Scinde-Pierre"] = 83643; --Malroc Stonesunder
		["Mandrakor"] = 84406; --Mandrakor
		["Maréchal Gabriel"] = 82878; --Marshal Gabriel
		["Maréchal Karsh Forge-Foudre"] = 82880; --Marshal Karsh Stormforge
		["Matrone du Péché"] = 82998; --Matron of Sin
		["Morva Torsâme"] = 82362; --Morva Soultwister
		["Mère Araneae"] = 76473; --Mother Araneae
		["Mère Om’ra"] = 75071; --Mother Om'ra
		["Mutafen"] = 84417; --Mutafen
		["Nas Dunberlin"] = 82247; --Nas Dunberlin
		["No’losh"] = 79334; --No'losh
		["Ophiis"] = 83409; --Ophiis
		["Oskiira le Vengeur"] = 84872; --Oskiira the Vengeful
		["Voltigeuse Duretha"] = 83680; --Outrider Duretha
		["Poissonnier blafard"] = 78606; --Pale Fishmonger
		["Guide Jalog"] = 78134; --Pathfinder Jalog
		["Eclaireur Draga"] = 77095; --Pathstalker Draga
		["Bête de la fosse"] = 88208; --Pit Beast
		["Maître des poisons Bortusk"] = 84838; --Poisonmaster Bortusk
		["Primaliste Mur’og"] = 76918; --Primalist Mur'og
		["Pyro-invocatrice Zindra"] = 77642; --Pyrecaster Zindra
		["Ra’kahn"] = 77741; --Ra'kahn
		["Traqueur des congères ragore"] = 84392; --Ragore Driftstalker
		["Rai’vosh"] = 82374; --Rai'vosh
		["Griffe-Rouge le Farouche"] = 82755; --Redclaw the Feral
		["Chapeau-pourri"] = 85504; --Rotcap
		["Sangrikass"] = 84833; --Sangrikass
		["Eclaireur Cherche-Tripe"] = 77526; --Scout Goreseeker
		["Sean Blanchemer"] = 83542; --Sean Whitesea
		["Ombrécorce"] = 79938; --Shadowbark
		["Shinri"] = 82415; --Shinri
		["Sikthiss, Vierge du Massacre"] = 78715; --Sikthiss, Maiden of Slaughter
		["Ancien Feuillargent"] = 79686; --Silverleaf Ancient
		["Ancien Feuillargent"] = 79693; --Silverleaf Ancient
		["Ancien Feuillargent"] = 79692; --Silverleaf Ancient
		["Magnificateur solaire"] = 83990; --Solar Magnifier
		["Mânecroc"] = 80057; --Soulfang
		["Défense-d’Acier"] = 86549; --Steeltusk
		["Marteleur Kreego"] = 79629; --Stomper Kreego
		["Irepierre"] = 84805; --Stonespite
		["Sulfurieux"] = 80725; --Sulfurious
		["Griffesoleil"] = 86137; --Sunclaw
		["Scinde-épine"] = 84912; --Sunderthorn
		["Feuillessaim"] = 85520; --Swarmleaf
		["Ecorcheur onyx rapide"] = 88582; --Swift Onyx Flayer
		["Brise-Serre"] = 84836; --Talonbreaker
		["Prêtre de la serre Zorkra"] = 79485; --Talonpriest Zorkra
		["Tesska le Brisé"] = 84775; --Tesska the Broken
		["Le Batteur"] = 77527; --The Beater
		["Tor’goroth"] = 82618; --Tor'goroth
		["Tura’aka"] = 83591; --Tura'aka
		["Varasha"] = 82050; --Varasha
		["Veloss"] = 75482; --Veloss
		["Saccageuse du Vide Urnae"] = 85078; --Voidreaver Urnae
		["Voyant du Vide Kalurg"] = 83385; --Voidseer Kalurg
		["Vulceros"] = 77926; --Vulceros
		["Redresseur de torts itinérant"] = 77776; --Wandering Vindicator
		["Lanceur de guerre Bargol"] = 78733; --Warcaster Bargol
		["Maître de guerre Blugthol"] = 79024; --Warmaster Blugthol
		["Matriarche croc-du-vent"] = 75434; --Windfang Matriarch
		["Xothear le Destructeur"] = 82922; --Xothear, the Destroyer
		["Yaga la Balafrée"] = 79145; --Yaga the Scarred
		["Yazheera l’Incinératrice"] = 77529; --Yazheera the Incinerator
		["Yggdrel"] = 75435; --Yggdrel
		["Croc-de-Lune"] = 71992; --Moonfang
		["Inferno ancien"] = 84875; --Ancient Inferno
		["Parpaing"] = 83819; --Brickhouse
		["Demidos"] = 84911; --Demidos
		["Ancien sombre tisseur Kath"] = 85771; --Elder Darkweaver Kath
		["Tripentrailles"] = 84893; --Goregore
		["Korthall Goinfrâme"] = 84110; --Korthall Soulgorger
		["Kurlosh Croc-Funeste"] = 82988; --Kurlosh Doomfang
		["Dame Démofouet"] = 82942; --Lady Demlash
		["Mandragoreuse"] = 83683; --Mandragoraster
		["Oraggro"] = 84904; --Oraggro
		["Orumo l’Observateur"] = 87668; --Orumo the Observer
		["Panthora"] = 83691; --Panthora
		["Marche-terreur d’ombreflamme"] = 82930; --Shadowflame Terrorwalker
		["Titarus"] = 83713; --Titarus
		["Vigilant Paarthos"] = 88436; --Vigilant Paarthos
		["Archimagus Tekar"] = 88072; --Archmagus Tekar
		["Bombardier Gu’gok"] = 87597; --Bombardier Gu'gok
		["Sculpte-pierre Gor’vosh capturé"] = 84746; --Captured Gor'vosh Stoneshaper
		["Messager maudit"] = 85767; --Cursed Harbinger
		["Ravageur maudit"] = 85763; --Cursed Ravager
		["Serres-tranchantes maudit"] = 85766; --Cursed Sharptalon
		["Gibblette le Poltron"] = 87352; --Gibblette the Cowardly
		["Gibbie"] = 87362; --Gibby
		["Gug’tol"] = 83019; --Gug'tol
		["Gelée blanche"] = 87348; --Hoarfrost
		["Avant-garde de la Légion"] = 88494; --Legion Vanguard
		["Sergent-chef Milgra"] = 85001; --Master Sergeant Milgra
		["Magmastoc"] = 82614; --Moltnoma
		["Mère des gorens"] = 87351; --Mother of Goren
		["Intendant Hershak"] = 84925; --Quartermaster Hershak
		["Parle-ombre Niir"] = 85029; --Shadowspeaker Niir
		["Grointintin le Mange-corps"] = 82617; --Slogtusk the Corpse-Eater
		["Fils de Goramal"] = 82620; --Son of Goramal
		["Lieuse d’âme Naylana"] = 88083; --Soulbinder Naylana
		["Stratège Ankor"] = 88071; --Strategist Ankor
		["Le Rampant des ossements"] = 78265; --The Bone Crawler
		["Maître-lame Ro’gor"] = 86579; --Blademaster Ro'gor
		["Transfuge Dazgo"] = 86566; --Defector Dazgo
		["Durp le Haï"] = 86571; --Durp the Hated
		["Gorivax"] = 82536; --Gorivax
		["Horgg"] = 86577; --Horgg
		["Inventeur Blammo"] = 86574; --Inventor Blammo
		["Folgard le Forcené"] = 86562; --Maniacal Madgard
		["Morgo Kain"] = 86582; --Morgo Kain
		["La Lanticore"] = 77081; --The Lanticore
		["Valkor"] = 87357; --Valkor
		["Vrok l’Ancien"] = 87356; --Vrok the Ancient
		["Seigneur de guerre Noktyn"] = 82883; --Warlord Noktyn
		["Ak’ox la Massacreuse"] = 84378; --Ak'ox the Slaughterer
		["Alkali"] = 86268; --Alkali
		["Avalanche"] = 85568; --Avalanche
		["Brise-Os"] = 87837; --Bonebreaker
		["Puissance brûlante"] = 84926; --Burning Power
		["Durg Briséchine"] = 87788; --Durg Spinecrusher
		["Géant glouton"] = 87019; --Gluttonous Giant
		["Grognegueule"] = 78269; --Gnarljaw
		["Gorg’ak l’Écluseur de lave"] = 72364; --Gorg'ak the Lava Guzzler
		["Gortag Poigne-d’Acier"] = 87344; --Gortag Steelgrip
		["Gelée royale"] = 78260; --King Slime
		["Krahl Oeil-Mort"] = 87239; --Krahl Deadeye
		["Goinfre bondissant"] = 84465; --Leaping Gorger
		["Malgosh Gardombre"] = 85451; --Malgosh Shadowkeeper
		["Méca-pilleur"] = 87026; --Mecha Plunderer
		["Mogamago"] = 88586; --Mogamago
		["Monsieur Pince-mi senior"] = 84435; --Mr. Pinchy Sr.
		["Nagidna"] = 85555; --Nagidna
		["Mastodonte de l’ombre"] = 87027; --Shadow Hulk
		["Gelée glissante"] = 84854; --Slippery Slime
		["Gueulesquille"] = 85837; --Slivermaw
		["Tourmenteur d’âmes Torek"] = 85026; --Soul-Twister Torek
		["Ug’lok le Givré"] = 79104; --Ug'lok the Frozen
		["Soldat enveloppé dans un cocon"] = 84196; --Web-wrapped Soldier
		["Aogexon"] = 86774; --Aogexon
		["Basten"] = 86257; --Basten
		["Bergruu"] = 86732; --Bergruu
		["Borrok le Dévoreur"] = 72156; --Borrok the Devourer
		["Dekorhan"] = 86743; --Dekorhan
		["Echidna"] = 80372; --Echidna
		["Gagrog le Brutal"] = 86771; --Gagrog the Brutal
		["Keravnos"] = 80398; --Keravnos
		["Krud l’Eviscérateur"] = 88210; --Krud the Eviscerator
		["Lernaea"] = 80370; --Lernaea
		["Mu’gra"] = 87666; --Mu'gra
		["Nultra"] = 86258; --Nultra
		["Tueur de la fosse"] = 87846; --Pit Slayer
		["Thek’serre"] = 86750; --Thek'talon
		["Typhon"] = 80371; --Typhon
		["Valstil"] = 86259; --Valstil
		["Venolasix"] = 86266; --Venolasix
		["Vilegriffe"] = 88951; --Vileclaw
		["Xelganak"] = 86835; --Xelganak
		["Capitaine Barbe-de-fer"] = 79725; --Captain Ironbeard
		["Gaz’orda"] = 80122; --Gaz'orda
		["Rejeton du Néant"] = 83401; --Netherspawn
		["Ru’klaa"] = 83526; --Ru'klaa
		["Implorateur céleste Korast"] = 83428; --Windcaller Korast
		["Berserk série T-300 mod. II"] = 82826; --Berserk T-300 Series Mark II
		["Nozzand l’explorateur"] = 82486; --Explorer Nozzand
		["Tripétale"] = 83509; --Gorepetal
		["Pierradent"] = 84263; --Graveltooth
		["Eclaireur Pokhar"] = 83634; --Scout Pokhar
		["Regard"] = 86978; --Gaze
		["Gloussaileron"] = 84951; --Gobblefin
		["Grrbrrgle"] = 85572; --Grrbrrgle
		["Aarko"] = 77664; --Aarko
		["Echo de Marmon"] = 77828; --Echo of Murmur
		["Echo de Marmon"] = 77795; --Echo of Murmur
		["Shirzir"] = 79543; --Shirzir
		["Taladorantule"] = 77634; --Taladorantula
		["Crin-de-sang dissimulé"] = 80524; --Underseer Bloodmane
		["Rolkor"] = 85264; --Rolkor
		["Sylldross"] = 86410; --Sylldross
		["Reine de la ruche Skrikka"] = 83522; --Hive Queen Skrikka
		["Mère des couvées Reeg’ak"] = 74613; --Broodmother Reeg'ak
		["Fléaudonte"] = 77519; --Giantbane
		["Snivel"] = 86689; --Sneevel
		["Perculupagus"] = 86520; --Stompalupagus
		["Berthora"] = 85907; --Berthora
		["Crèvepoix"] = 85970; --Riptar
		["Hypnocoasse"] = 79524; --Hypnocroak
		["Sabot-de-Roche"] = 72606; --Rockhoof
		["Ombrevenin"] = 75492; --Venomshade
		["Nakk le Foudroyeur"] = 50990; --Nakk the Thunderer
		["Gorok"] = 50992; --Gorok
		["Luk'hok"] = 50981; --Luk'hok
		["Martèlepoing"] = 50985; --Poundfist
		["Silthide"] = 51015; --Silthide
		["Cours-les-Routes"] = 50883; --Pathrunner
		["Nok-Karosh"] = 81001; --Nok-Karosh
		
		-- Rares Draenor 6.2
		["Argosh le Destructeur"] = 91871; --Argosh the Destroyer
		["Belgork"] = 92552; --Belgork
		["Bilkor le Lanceur"] = 90884; --Bilkor the Thrower
		["Horreur de l’Orbite-Sanglante"] = 92657; --Bleeding Hollow Horror
		["Chasseur sanglant Zulk"] = 90936; --Bloodhunter Zulk
		["Seigneur des couvées Ixkor"] = 92429; --Broodlord Ixkor
		["Capitaine Grok’mar"] = 93264; --Captain Grok'mar
		["Capitaine Barbe-de-Fer"] = 93076; --Captain Ironbeard
		["Ceraxas"] = 90434; --Ceraxas
		["Cendral le Feu de brousse"] = 90519; --Cindral the Wildfire
		["Sombre invocatrice Rendkra"] = 90081; --Dark Summoner Rendkra
		["Dorg le Sanglant"] = 90887; --Dorg the Bloody
		["Driss Vil"] = 93028; --Driss Vile
		["Drivnul"] = 90888; --Drivnul
		["Exécuteur Riloth"] = 91727; --Executor Riloth
		["Gangreperceur"] = 93168; --Felbore
		["Gangreforge Damorka"] = 92647; --Felsmith Damorka
		["Gangrétincelle"] = 91098; --Felspark
		["Triste-Griffe"] = 92508; --Gloomtalon
		["Gorabosh"] = 92941; --Gorabosh
		["Grand démoniste Néanathème"] = 91695; --Grand Warlock Nethekurse
		["Grannok"] = 93057; --Grannok
		["Grobthok Brise-Crâne"] = 90089; --Grobthok Skullbreaker
		["Maître du port Korak"] = 90094; --Harbormaster Korak
		["Grand prêtre Ikzan"] = 90281; --High Priest Ikzan
		["Grand prêtre Ikzan"] = 90777; --High Priest Ikzan
		["Maîtresse des diablotins Valessa"] = 90429; --Imp-Master Valessa
		["Capitaine de Fer Argha"] = 90087; --Iron Captain Argha
		["Jax’zor"] = 90437; --Jax'zor
		["Krell le Serein"] = 92517; --Krell the Serene
		["Kris’kar le Damné"] = 93279; --Kris'kar the Unredeemed
		["Dame Oran"] = 90438; --Lady Oran
		["Magwia"] = 93002; --Magwia
		["Maîtresse Thavra"] = 90442; --Mistress Thavra
		["Ormak Carreau-Sanglant"] = 90088; --Ormak Bloodbolt
		["Suzerain Ma’gruth"] = 92411; --Overlord Ma'gruth
		["Maîtresse de la douleur Selora"] = 92274; --Painmistress Selora
		["Bogueduc Wakkawam"] = 91374; --Podlord Wakkawam
		["Putré’thar"] = 91009; --Putre'thar
		["Rasthe"] = 90782; --Rasthe
		["Relgor"] = 92197; --Relgor
		["Vestiges de la lune de sang"] = 91227; --Remnant of the Blood Moon
		["Rendrak"] = 92627; --Rendrak
		["Rogond le Pisteur"] = 90885; --Rogond the Tracker
		["Rukmaz"] = 94113; --Rukmaz
		["Sergent Mor’grak"] = 90024; --Sergeant Mor'grak
		["Ombrerosse"] = 93236; --Shadowthrash
		["Tranche-Ame"] = 92495; --Soulslicer
		["Groin-d’Acier"] = 92887; --Steelsnout
		["Sylissa"] = 92606; --Sylissa
		["Szirek le Tordu"] = 93001; --Szirek the Twisted
		["Croc-Noir"] = 92465; --The Blackfang
		["Griffe-Sanglante"] = 92694; --The Goreclaw
		["Le maître-chien de Fer"] = 92977; --The Iron Houndmaster
		["Hante-la-Nuit"] = 92645; --The Night Haunter
		["Hante-la-Nuit"] = 92636; --The Night Haunter
		["Tho’gar Poing-Sanglant"] = 91243; --Tho'gar Gorefist
		["Thromma le Tranche-Gorge"] = 92574; --Thromma the Gutslicer
		["Varyx le Damné"] = 92451; --Varyx the Damned
		["Xanzith l’Éternel"] = 92408; --Xanzith the Everlasting
		["Zeter’el"] = 91087; --Zeter'el
		["Zoug le Lourd"] = 90122; --Zoug the Heavy
		["Tomberonce"] = 91093; --Bramblefell
		["Commandant Krag’goth"] = 91232; --Commander Krag'goth
		["Commandant Org’mok"] = 89675; --Commander Org'mok
		["Serres-mort"] = 95053; --Deathtalon
		["Compresseur funeste"] = 95056; --Doomroller
		["Glub’glok"] = 93125; --Glub'glok
		["Poing-de-terreur"] = 95044; --Terrorfist
		["Vengeance"] = 95054; --Vengeance
		["Wyrmple"] = 91921; --Wyrmple
		["Xemirkol"] = 96235; --Xemirkol
		
		-- Rares Draenor 6.2.1
		["Guk"] = 98200; --Guk
		["Pugg"] = 98199; --Pugg
		["Rukdug"] = 98198; --Rukdug
		["Drakum"] = 98283; --Drakum
		["Gondar"] = 98284; --Gondar
		["Fracass Grabb"] = 98285; --Smashum Grabb
		["Surveillant gangrené Tadboue"] = 98408; --Fel Overseer Mudlump
		["Arachnis"] = 96323; --Arachnis
		["Eraakis"] = 97209; --Eraakis
	}
end
