﻿-- Locale
local AceLocale = LibStub:GetLibrary("AceLocale-3.0");
local AL = AceLocale:NewLocale("RareScanner", "itIT", false);

if AL then
	-- UI strings
	AL["CHECK_MAP"] = "Check your map!";
	AL["UNKNOWN_TARGET"] = "Unknown target";
	AL["JUST_SPAWNED"] = " just showed up";
	AL["NOT_TARGETEABLE"] = "Not targeteable";
	AL["CLICK_TARGET"] = "Click to target NPC";
	AL["ALARM_MESSAGE"] = "A rare NPC just showed up, check your map!";
	
	-- UI config panel
	AL["GENERAL_OPTIONS"] = "General options";
	AL["ENABLE_SCAN_RARES"] = "Toggle searching rare NPCs";
	AL["ENABLE_SCAN_RARES_DESC"] = "When this is activated you will be warned visually and with a sound everytime a rare NPC shows up in your minimap";
	AL["ENABLE_SCAN_CONTAINERS"] = "Toggle searching treasures or chests";
	AL["ENABLE_SCAN_CONTAINERS_DESC"] = "When this is activated you will be warned visually and with a sound everytime a treasure or chest shows up in your minimap";
	AL["ENABLE_SCAN_EVENTS"] = "Toggle searching events";
	AL["ENABLE_SCAN_EVENTS_DESC"] = "When this is activated you will be warned visually and with a sound everytime an event shows up in your minimap";
	AL["ENABLE_SCAN_GARRISON_CHEST"] = "Toggle searching garrison treasure";
	AL["ENABLE_SCAN_GARRISON_CHEST_DESC"] = "When this is activated you will be warned visually and with a sound everytime your garrison chest shows up in your minimap.";
	AL["ENABLE_SCAN_IN_ASHRAN"] = "Toggle alerts in Ashran";
	AL["ENABLE_SCAN_IN_ASHRAN_DESC"] = "When this is activated you will get alerts from NPCs rares and events in Ashran.";
	AL["SOUND"] = "Sound";
	AL["SOUND_OPTIONS"] = "Sound options";
	AL["ALARM_SOUND"] = "Warning sound for rare NPCs";
	AL["ALARM_SOUND_DESC"] = "Sound played when a rare NPC shows up in your minimap.";
	AL["ALARM_TREASURES_SOUND"] = "Warning sound for events/treasures";
	AL["ALARM_TREASURES_SOUND_DESC"] = "Sound played when a treasure/chest or event shows up in your minimap.";
	AL["DISABLE_SOUND"] = "Disable audio alerts";
	AL["DISABLE_SOUND_DESC"] = "When this is activated you won't receive audio alerts";
	AL["DISPLAY"] = "Display";
	AL["DISPLAY_OPTIONS"] = "Display options";
	AL["LOOT_PANEL_OPTIONS"] = "Loot bar options";
	AL["DISPLAY_LOOT_PANEL"] = "Toggle showing loot bar";
	AL["DISPLAY_LOOT_PANEL_DESC"] = "When this is activated it will show a bar with the loot dropped by the NPC found";
	AL["LOOT_MIN_QUALITY"] = "Minimum loot quality";
	AL["LOOT_MIN_QUALITY_DESC"] = "Defines the minimum loot quality to show in the loot bar";
	AL["QUALITY_POOR"] = "Poor";
	AL["QUALITY_COMMON"] = "Common";
	AL["QUALITY_UNCOMMON"] = "Uncommon";
	AL["QUALITY_RARE"] = "Rare";
	AL["QUALITY_EPIC"] = "Epic";
	AL["QUALITY_LEGENDARY"] = "Legendary";
	AL["LOOT_TOOLTIP_POSITION"] = "Loot tooltip position";
	AL["LOOT_TOOLTIP_POSITION_DESC"] = "Defines where to show the loot tooltip that appears when you move the mouse over an icon, in respect to the button";
	AL["TOOLTIP_LEFT"] = "Left side";
	AL["TOOLTIP_RIGHT"] = "Right side";
	AL["TOOLTIP_CURSOR"] = "Follow cursor";
	AL["TOOLTIP_TOP"] = "Upper side";
	AL["TOOLTIP_BOTTOM"] = "Lower side";
	AL["DISPLAY_BUTTON"] = "Toggle showing the button and the miniature";
	AL["DISPLAY_BUTTON_DESC"] = "When disabled the button and the miniature won't be shown again. It doesn't affect the alarm sound and the chat alerts.";
	AL["AUTO_HIDE_BUTTON"] = "Autohide button and miniature";
	AL["AUTO_HIDE_BUTTON_DESC"] = "Hides the button and the miniature automatically after the time selected (in seconds). If you select zero seconds the button and the miniature won't autohide.";
	AL["SHOW_CHAT_ALERT"] = "Toggle showing chat alerts";
	AL["SHOW_CHAT_ALERT_DESC"] = "Shows a private message in the chat every time a treasure, chest or NPC is found.";
	AL["FILTER"] = "Filters";
	AL["FILTERS_SEARCH"] = "Search";
	AL["FILTERS_SEARCH_DESC"] = "Type the name of the NPC to filter the list below";
	AL["CLEAR_FILTERS_SEARCH"] = "Show all";
	AL["CLEAR_FILTERS_SEARCH_DESC"] = "Reset the previous search and show the complete list";
	AL["FILTERS"] = "Filters for rare NPCs";
	AL["FILTER_RARE_LIST"] = "Filter searching for rare NPCs";
	AL["FILTER_RARE_LIST_DESC"] = "Toggle searching for this rare NPC. When disabled you won't get an alert when this NPC is found.";
	AL["DISABLE_SEARCHING_RARE_TOOLTIP"] = "Disable alerts for this rare NPC";
	AL["DISABLED_SEARCHING_RARE"] = "Disabled alerts for this rare NPC: ";
	AL["ENABLE_SEARCHING_RARE_TOOLTIP"] = "Enable alerts for this rare NPC";
	AL["ENABLED_SEARCHING_RARE"] = "Enabled alerts for this rare NPC: ";
	AL["TEST"] = "Launch Test";
	AL["TEST_DESC"] = "Press the button to show an alert example. You can drag and drop the panel to another position where it will be shown from now on.";

	-- RARE names
	AL["RARE_LIST"] = {
		-- Rares Pandaria
		["Aeonaxx"] = 50062; --Aeonaxx
		["Aetha"] = 58778; --Aetha
		["Aethis"] = 50750; --Aethis
		["Ahone la Nomade"] = 50817; --Ahone the Wanderer
		["Ai-Li Specchio Celeste"] = 50821; --Ai-Li Skymirror
		["Ai-Ran Nube Mutevole"] = 50822; --Ai-Ran the Shifting Cloud
		["Al'tabim l'Onnisciente"] = 70000; --Al'tabim the All-Seeing
		["Ankha"] = 54318; --Ankha
		["Anthriss"] = 54338; --Anthriss
		["Gran Sacerdote delle Fiamme"] = 73666; --Archiereus of Flame
		["Arciritualista Kelada"] = 70243; --Archritualist Kelada
		["Arness la Scaglia"] = 50787; --Arness the Scale
		["Spaccaschiena Uru"] = 70001; --Backbreaker Uru
		["Bai-Jin il Macellaio"] = 58949; --Bai-Jin the Butcher
		["Ban'thalos"] = 54320; --Ban'thalos
		["Baolai l'Immolatore"] = 63695; --Baolai the Immolator
		["Zoccolo Nero"] = 51059; --Blackhoof
		["Morsocruento"] = 58474; --Bloodtip
		["Bonobos"] = 50828; --Bonobos
		["Borginn Pugnonero"] = 50341; --Borginn Darkfist
		["Bufo"] = 72775; --Bufo
		["Campione della Fiamma Nera"] = 73171; --Champion of the Black Flame
		["Chelon"] = 72045; --Chelon
		["Calcacenere"] = 73175; --Cinderfall
		["Cournith Calcalaghi"] = 50768; --Cournith Waterstrider
		["Zannafosca"] = 58768; --Cracklefang
		["Squartagru"] = 72049; --Cranegnasher
		["Dak il Distruttore"] = 50334; --Dak the Breaker
		["Dalan Spezzanotte"] = 68318; --Dalan Nightbreaker
		["Deth'tilac"] = 54322; --Deth'tilac
		["Disha Domapaura"] = 68319; --Disha Fearwarden
		["Dottor Theolen Krastinov"] = 59369; --Doctor Theolen Krastinov
		["Nave Fantasma Vazuvius"] = 73281; --Dread Ship Vazuvius
		["Gru di Smeraldo"] = 73158; --Emerald Gander
		["Eshelon"] = 50772; --Eshelon
		["Faucieterne"] = 73279; --Evermaw
		["Ferdinand"] = 51078; --Ferdinand
		["Visce'rok il Malato"] = 70429; --Flesh'rok the Diseased
		["Signore della Fornace Gairan"] = 73172; --Flintlord Gairan
		["Occhio Concentrato"] = 70249; --Focused Eye
		["Gaarn il Tossico"] = 50340; --Gaarn the Toxic
		["Gaohun il Tranciaspiriti"] = 62881; --Gaohun the Soul-Severer
		["Gar'lok"] = 50739; --Gar'lok
		["Garnia"] = 73282; --Garnia
		["Generale Temuja"] = 63101; --General Temuja
		["Strisciaombre"] = 50051; --Ghostcrawler
		["Go-Kan"] = 50331; --Go-Kan
		["Gochao l'Impavido"] = 62880; --Gochao the Ironfist
		["Colosso Divino Ramuk"] = 69999; --God-Hulk Ramuk
		["Goda"] = 69998; --Goda
		["Golganarr"] = 72970; --Golganarr
		["Grande Tartaruga Ardiguscio"] = 73161; --Great Turtle Furyshell
		["Gu'chi il Portatore dello Sciame"] = 72909; --Gu'chi the Swarmbringer
		["Havak"] = 50354; --Havak
		["Costrutto dei Predatori del Sole Fuori Controllo"] = 50358; --Haywire Sunreaver Construct
		["Huo-Shuang"] = 63691; --Huo-Shuang
		["Huolon"] = 73167; --Huolon
		["Iggo-Iggo lo Scaltro"] = 50836; --Ik-Ik the Nimble
		["Pitone Imperiale"] = 73163; --Imperial Python
		["Yak Cornoferreo"] = 73160; --Ironfur Steelhorn
		["Grinfiagiada"] = 49822; --Jadefang
		["Jakur degli Ordon"] = 73169; --Jakur of Ordon
		["Jonn-Dar"] = 50351; --Jonn-Dar
		["Kah'tir"] = 50355; --Kah'tir
		["Kal'tik la Piaga"] = 50749; --Kal'tik the Blight
		["Kang il Ladro d'Anime"] = 50349; --Kang the Soul Thief
		["Kar Plasmaguerra"] = 68321; --Kar Warmaker
		["Karkanos"] = 72193; --Karkanos
		["Karkin"] = 50959; --Karkin
		["Karoma"] = 50138; --Karoma
		["Karr l'Oscuratore"] = 50347; --Karr the Darkener
		["Kirix"] = 54323; --Kirix
		["Kor'nas Predanotte"] = 50338; --Kor'nas Nightsavage
		["Korda Torros"] = 50332; --Korda Torros
		["Krakkanon"] = 70323; --Krakkanon
		["Krax'ik"] = 50363; --Krax'ik
		["Kri'chon"] = 63978; --Kri'chon
		["Krol la Lama"] = 50356; --Krol the Blade
		["Ku'lai l'Artiglio Celeste"] = 69996; --Ku'lai the Skyclaw
		["Sanafoglia"] = 73277; --Leafmender
		["Lith'ik l'Inseguitore"] = 50734; --Lith'ik the Stalker
		["Lon il Toro"] = 50333; --Lon the Bull
		["Lu-Ban"] = 70002; --Lu-Ban
		["Magria"] = 54319; --Magria
		["Maggiore Nanners"] = 50840; --Major Nanners
		["Mavis Harms"] = 68317; --Mavis Harms
		["Signor Feroce"] = 50823; --Mister Ferocious
		["Moldo il Guercio"] = 50806; --Moldo One-Eye
		["Molthor"] = 70003; --Molthor
		["Monara"] = 70440; --Monara
		["Spinartiglio Mostruoso"] = 73166; --Monstrous Spineclaw
		["Morgrinn Zannalacera"] = 50350; --Morgrinn Crackfang
		["Muerta"] = 68322; --Muerta
		["Mumta"] = 69664; --Mumta
		["Nal'lak lo Squartatore"] = 50364; --Nal'lak the Ripper
		["Nalash Verdantis"] = 50776; --Nalash Verdantis
		["Nasra Manto Maculato"] = 50811; --Nasra Spothide
		["Nessos l'Oracolo"] = 50789; --Nessos the Oracle
		["Oratore delle Tempeste No'ku"] = 70276; --No'ku Stormsayer
		["Norlaxx"] = 50344; --Norlaxx
		["Omnis Grinlok"] = 50805; --Omnis Grinlok
		["Supremo Fendifuria"] = 50085; --Overlord Sunderfury
		["Principe Lakma"] = 54533; --Prince Lakma
		["Progenitus"] = 69997; --Progenitus
		["Qu'nas"] = 50352; --Qu'nas
		["Quid"] = 58771; --Quid
		["Ra'sha"] = 70530; --Ra'sha
		["Scricchiaossa"] = 72048; --Rattleskew
		["Guardingo Muschioso"] = 73157; --Rock Moss
		["Orrore di Roccia"] = 70430; --Rocky Horror
		["Ruun Zampa Chiara"] = 50816; --Ruun Ghostpaw
		["Sahn Cacciamaree"] = 50780; --Sahn Tidehunter
		["Esploratore da Guerra di Salyis"] = 50783; --Salyin Warscout
		["Sambas"] = 50159; --Sambas
		["Sarnak"] = 50782; --Sarnak
		["Scritch"] = 50831; --Scritch
		["Sele'na"] = 50766; --Sele'na
		["Maestro delle Ombre Sydow"] = 63240; --Shadowmaster Sydow
		["Siltriss l'Affilatore"] = 50791; --Siltriss the Sharpener
		["Skarr"] = 50815; --Skarr
		["Ski'thik"] = 50733; --Ski'thik
		["Balzafiamme"] = 54324; --Skitterflame
		["Solix"] = 54321; --Solix
		["Cavernoculus"] = 71864; --Spelurk
		["Spirito di Giadafulgida"] = 72769; --Spirit of Jadefire
		["Spirito di Lao-Fe"] = 58817; --Spirit of Lao-Fe
		["Spriggin"] = 50830; --Spriggin
		["Treccialorda"] = 73704; --Stinkbraid
		["Sulik'shor"] = 50339; --Sulik'shor
		["Tarvus il Vile"] = 50086; --Tarvus the Vile
		["L'Urlatore"] = 50832; --The Yowler
		["Torik-Ethis"] = 50388; --Torik-Ethis
		["Tsavo'ka"] = 72808; --Tsavo'ka
		["Ubunti l'Ombra"] = 68320; --Ubunti the Shade
		["Occhio Impassibile"] = 70238; --Unblinking Eye
		["Urdur il Cauterizzatore"] = 73173; --Urdur the Cauterizer
		["Urgolax"] = 50359; --Urgolax
		["Urobi il Camminatore"] = 50808; --Urobi the Walker
		["Morsovile"] = 58769; --Vicejaw
		["Vyraxxis"] = 63977; --Vyraxxis
		["Dio della Guerra Dokah"] = 70096; --War-God Dokah
		["Guardiano Osu"] = 73170; --Watcher Osu
		["Whizzig"] = 73293; --Whizzig
		["Willy Wilder"] = 70126; --Willy Wilder
		["Wulon"] = 63510; --Wulon
		["Yorik Occhio Arguto"] = 50336; --Yorik Sharpeye
		["Yul Zampa Furente"] = 50820; --Yul Wildpaw
		["Zai l'Esiliato"] = 50769; --Zai the Outcast
		["Araldo della Guerra Zandalari"] = 69769; --Zandalari Warbringer cian
		["Araldo della Guerra Zandalari"] = 69842; --Zandalari Warbringer gray
		["Araldo della Guerra Zandalari"] = 69841; --Zandalari Warbringer silver
		["Esploratore da Guerra Zandalari"] = 69768; --Zandalari Warscout
		["Zao'cho"] = 69843; --Zao'cho
		["Zesqua"] = 72245; --Zesqua
		["Zhu-Gon l'Acre"] = 71919; --Zhu-Gon the Sour
		
		-- Rares Draenor
		["Amaukwa"] = 77140; --Amaukwa
		["Maestro di Spade Antico"] = 82899; --Ancient Blademaster
		["Aqualir"] = 86213; --Aqualir
		["Avatar di Socrethar"] = 88043; --Avatar of Socrethar
		["Ba'ruun"] = 82326; --Ba'ruun
		["Bahamocchio"] = 81406; --Bahameye
		["Bashiok"] = 82085; --Bashiok
		["Squartabestie Saramor"] = 78150; --Beastcarver Saramor
		["Betsi Scoppiacesti"] = 84887; --Betsi Boombasket
		["Danzatore delle Lame Aeryx"] = 80614; --Blade-Dancer Aeryx
		["Luminfetto"] = 84856; --Blightglow
		["Fili il Re dei Rovi"] = 81639; --Brambleking Fili
		["Senzafiato"] = 78867; --Breathless
		["Brutag Lamatetra"] = 87234; --Brutag Grimblade
		["Madre della Stirpegelida"] = 71721; --Canyon Icemother
		["Char l'Infuocato"] = 82311; --Char the Burning
		["Zannepolari"] = 80242; --Chillfang
		["Ardifauci"] = 72294; --Cindermaw
		["Oratore delle Nubi Daber"] = 78169; --Cloudspeaker Daber
		["Passofreddo l'Afflitto"] = 77513; --Coldstomp the Griever
		["Zannafredda"] = 76914; --Coldtusk
		["Cro Tranciacarne"] = 77620; --Cro Fleshrender
		["Furia Ciclonica"] = 78621; --Cyclonic Fury
		["Emanazione Oscura"] = 77085; --Dark Emanation
		["Maestro Oscuro Go'vid"] = 82268; --Darkmaster Go'vid
		["Artigliocupo"] = 82411; --Darktalon
		["Kizi Colpoletale"] = 77763; --Deadshot Kizi
		["Ceppofondo"] = 82058; --Depthroot
		["Zoccolotruce"] = 86729; --Direhoof
		["Dottor Tenebra"] = 77561; --Dr. Gloom
		["Durkath Fauciferree"] = 84807; --Durkath Steelmaw
		["Elementalista Utrah"] = 77768; --Elementalist Utrah
		["Enavra"] = 82676; --Enavra
		["Enavra"] = 82742; --Enavra
		["Alafatata"] = 82207; --Faebright
		["Zannaron"] = 82975; --Fangler
		["Vilcorteccia"] = 80204; --Felbark
		["Consorte del Vilfuoco"] = 82992; --Felfire Consort
		["Putrifoglia"] = 84890; --Festerbloom
		["Gigante di Fuocofuria"] = 74971; --Firefury Giant
		["Piromane Grash"] = 88580; --Firestarter Grash
		["Ardimanto"] = 83483; --Flinthide
		["Matrona della Forgia Targa"] = 77648; --Forge Matron Targa
		["Fossilegno il Pietrificato"] = 85250; --Fossilwood the Petrified
		["Golem Frenetico"] = 77614; --Frenzied Golem
		["Galzomar"] = 78713; --Galzomar
		["Gar'lua"] = 82764; --Gar'lua
		["Garrison Ford"] = 86058; --Garrison Ford
		["Gelgor della Fiamma Blu"] = 81038; --Gelgor of the Blue Flame
		["Generale Aevd"] = 82882; --General Aevd
		["Gennadian"] = 80471; --Gennadian
		["Kul lo Sterminatore di Giganti"] = 71665; --Giant-Slayer Kul
		["Ammazzagiganti Kimla"] = 78144; --Giantslayer Kimla
		["Alalucente"] = 77719; --Glimmerwing
		["Glut"] = 80868; --Glut
		["Zampatorta il Rabbioso"] = 82778; --Gnarlhoof the Rabid
		["Gorum"] = 76380; --Gorum
		["Gran Maresciallo Fremilama"] = 82876; --Grand Marshal Tremblade
		["Piumaregale"] = 82758; --Greatfeather
		["Greldrok l'Astuto"] = 84431; --Greldrok the Cunning
		["Faucebigia"] = 82912; --Grizzlemaw
		["Cacciagronn Dawarn"] = 78128; --Gronnstalker Dawarn
		["Custode del Bosco Yal"] = 88583; --Grove Warden Yal
		["Grutush lo Sciacallo"] = 80312; --Grutush the Pillager
		["Gruuk"] = 80190; --Gruuk
		["Gurun"] = 80235; --Gurun
		["Haakun il Divoramondi"] = 83008; --Haakun the All-Consuming
		["Schioccadenti"] = 77715; --Hammertooth
		["Madre degli Uccelli Hami"] = 77626; --Hen-Mother Hami
		["Mantopallido l'Eremita"] = 86724; --Hermit Palefur
		["Gran Signore della Guerra Volrath"] = 82877; --High Warlord Volrath
		["Cacciatrice Bal'ra"] = 88672; --Hunter Bal'ra
		["Cacciatore Dentenero"] = 83603; --Hunter Blacktooth
		["Mastro Cacciatore Kuang"] = 78151; --Huntmaster Kuang
		["Iperius"] = 78161; --Hyperious
		["Insha'tar"] = 83553; --Insha'tar
		["Fremifauci"] = 82616; --Jabberjaw
		["Jaluk il Pacifista"] = 87600; --Jaluk the Pacifist
		["Jiasska il Divoratore di Spore"] = 84955; --Jiasska the Sporegorger
		["Kalos l'Insanguinato"] = 84810; --Kalos the Bloodbathed
		["Karosh Ventonero"] = 86959; --Karosh Blackwind
		["Kharazos il Trionfante"] = 78710; --Kharazos the Triumphant
		["Mordimorte"] = 74206; --Killmaw
		["Klikixx"] = 78872; --Klikixx
		["Ku'targ il Veggente del Vuoto"] = 72362; --Ku'targ the Voidseer
		["Dama Tentessa"] = 85121; --Lady Temptessa
		["Chiromante delle Foglie Kurri"] = 72537; --Leaf-Reader Kurri
		["Lo'marg Schiantafauci"] = 77784; --Lo'marg Jawcrusher
		["Sire Korinak"] = 82920; --Lord Korinak
		["Sporeon il \"Re\" Folle"] = 77310; --Mad "King" Sporeon
		["Malroc Sfregiapietre"] = 83643; --Malroc Stonesunder
		["Mandrakor"] = 84406; --Mandrakor
		["Maresciallo Gabriel"] = 82878; --Marshal Gabriel
		["Maresciallo Karsh Forgiatuono"] = 82880; --Marshal Karsh Stormforge
		["Matrona del Peccato"] = 82998; --Matron of Sin
		["Torcianime Morva"] = 82362; --Morva Soultwister
		["Madre Araneae"] = 76473; --Mother Araneae
		["Madre Om'ra"] = 75071; --Mother Om'ra
		["Mutafen"] = 84417; --Mutafen
		["Nas Dunberlin"] = 82247; --Nas Dunberlin
		["No'losh"] = 79334; --No'losh
		["Ophiis"] = 83409; --Ophiis
		["Oskiira la Vendicativa"] = 84872; --Oskiira the Vengeful
		["Perlustratrice Duretha"] = 83680; --Outrider Duretha
		["Pescatore Pallido"] = 78606; --Pale Fishmonger
		["Ricognitore Jalog"] = 78134; --Pathfinder Jalog
		["Calcapiste Draga"] = 77095; --Pathstalker Draga
		["Bestia della Fossa"] = 88208; --Pit Beast
		["Maestro dei Veleni Bortusk"] = 84838; --Poisonmaster Bortusk
		["Primalista Mur'og"] = 76918; --Primalist Mur'og
		["Maga Ardente Zindra"] = 77642; --Pyrecaster Zindra
		["Ra'kahn"] = 77741; --Ra'kahn
		["Ragore Braccartiglio"] = 84392; --Ragore Driftstalker
		["Rai'vosh"] = 82374; --Rai'vosh
		["Zamparossa il Ferino"] = 82755; --Redclaw the Feral
		["Fungomarcio"] = 85504; --Rotcap
		["Sangrikass"] = 84833; --Sangrikass
		["Esploratore Bramasangue"] = 77526; --Scout Goreseeker
		["Sean Marbianco"] = 83542; --Sean Whitesea
		["Scorzacupa"] = 79938; --Shadowbark
		["Shinri"] = 82415; --Shinri
		["Sikthiss la Dama del Massacro"] = 78715; --Sikthiss, Maiden of Slaughter
		["Antico Fogliargenta"] = 79686; --Silverleaf Ancient
		["Antico Fogliargenta"] = 79693; --Silverleaf Ancient
		["Antico Fogliargenta"] = 79692; --Silverleaf Ancient
		["Amplificatore Solare"] = 83990; --Solar Magnifier
		["Zannaspiritica"] = 80057; --Soulfang
		["Zannacciaio"] = 86549; --Steeltusk
		["Pestatore Kreego"] = 79629; --Stomper Kreego
		["Scrutaroccia"] = 84805; --Stonespite
		["Sulfurion"] = 80725; --Sulfurious
		["Solartiglio"] = 86137; --Sunclaw
		["Fendispina"] = 84912; --Sunderthorn
		["Sciamafoglia"] = 85520; --Swarmleaf
		["Scorticatore d'Onice Rapido"] = 88582; --Swift Onyx Flayer
		["Spezzartigli"] = 84836; --Talonbreaker
		["Sacerdotessa dell'Artiglio Zorkra"] = 79485; --Talonpriest Zorkra
		["Tesska l'Infranto"] = 84775; --Tesska the Broken
		["Il Picchiatore"] = 77527; --The Beater
		["Tor'goroth"] = 82618; --Tor'goroth
		["Tura'aka"] = 83591; --Tura'aka
		["Varasha"] = 82050; --Varasha
		["Veloss"] = 75482; --Veloss
		["Razziatrice del Vuoto Urnae"] = 85078; --Voidreaver Urnae
		["Veggente del Vuoto Kalurg"] = 83385; --Voidseer Kalurg
		["Vulceros"] = 77926; --Vulceros
		["Vendicatore Errante"] = 77776; --Wandering Vindicator
		["Mago da Guerra Bargol"] = 78733; --Warcaster Bargol
		["Maestro di Guerra Blugthol"] = 79024; --Warmaster Blugthol
		["Matriarca Zannariosa"] = 75434; --Windfang Matriarch
		["Xothear il Distruttore"] = 82922; --Xothear, the Destroyer
		["Yaga la Sfregiata"] = 79145; --Yaga the Scarred
		["Yazheera la Crematrice"] = 77529; --Yazheera the Incinerator
		["Yggdrel"] = 75435; --Yggdrel
		["Zannastrale"] = 71992; --Moonfang
		["Inferno Antico"] = 84875; --Ancient Inferno
		["Sfondamuri"] = 83819; --Brickhouse
		["Demidos"] = 84911; --Demidos
		["Kath il Mistico Oscuro"] = 85771; --Elder Darkweaver Kath
		["Strappabudella"] = 84893; --Goregore
		["Korthall Mangiaspiriti"] = 84110; --Korthall Soulgorger
		["Kurlosh Zannabissale"] = 82988; --Kurlosh Doomfang
		["Dama Demlash"] = 82942; --Lady Demlash
		["Mandragoraster"] = 83683; --Mandragoraster
		["Oraggro"] = 84904; --Oraggro
		["Orumo l'Osservatore"] = 87668; --Orumo the Observer
		["Panthora"] = 83691; --Panthora
		["Camminatore del Terrore Ombrofuoco"] = 82930; --Shadowflame Terrorwalker
		["Titarus"] = 83713; --Titarus
		["Vigilante Paarthos"] = 88436; --Vigilant Paarthos
		["Arcimaga Tekar"] = 88072; --Archmagus Tekar
		["Bombardiere Gu'gok"] = 87597; --Bombardier Gu'gok
		["Formapietra Gor'vosh Catturato"] = 84746; --Captured Gor'vosh Stoneshaper
		["Araldo Maledetto"] = 85767; --Cursed Harbinger
		["Devastatore Maledetto"] = 85763; --Cursed Ravager
		["Grinfiafina Maledetto"] = 85766; --Cursed Sharptalon
		["Gibblette il Codardo"] = 87352; --Gibblette the Cowardly
		["Gibby"] = 87362; --Gibby
		["Gug'tol"] = 83019; --Gug'tol
		["Calaverna"] = 87348; --Hoarfrost
		["Avanguardia della Legione"] = 88494; --Legion Vanguard
		["Sergente Capo Milgra"] = 85001; --Master Sergeant Milgra
		["Moltnoma"] = 82614; --Moltnoma
		["Madre dei Goren"] = 87351; --Mother of Goren
		["Quartiermastro Hershak"] = 84925; --Quartermaster Hershak
		["Oratore dell'Ombra Niir"] = 85029; --Shadowspeaker Niir
		["Zannadura il Mangiacorpi"] = 82617; --Slogtusk the Corpse-Eater
		["Figlio di Goramal"] = 82620; --Son of Goramal
		["Vincolatrice d'Anime Naylana"] = 88083; --Soulbinder Naylana
		["Stratega Ankor"] = 88071; --Strategist Ankor
		["Verme d'Ossa"] = 78265; --The Bone Crawler
		["Maestro di Spade Ro'gor"] = 86579; --Blademaster Ro'gor
		["Disertore Dazgo"] = 86566; --Defector Dazgo
		["Durp l'Odiato"] = 86571; --Durp the Hated
		["Gorivax"] = 82536; --Gorivax
		["Horgg"] = 86577; --Horgg
		["Inventore Blammo"] = 86574; --Inventor Blammo
		["Madgard lo Squilibrato"] = 86562; --Maniacal Madgard
		["Morgo Kain"] = 86582; --Morgo Kain
		["Lanticora"] = 77081; --The Lanticore
		["Valkor"] = 87357; --Valkor
		["Vrok l'Antico"] = 87356; --Vrok the Ancient
		["Signore della Guerra Noktyn"] = 82883; --Warlord Noktyn
		["Ak'ox la Sterminatrice"] = 84378; --Ak'ox the Slaughterer
		["Alkali"] = 86268; --Alkali
		["Slavina"] = 85568; --Avalanche
		["Spaccaossa"] = 87837; --Bonebreaker
		["Potere Ardente"] = 84926; --Burning Power
		["Durg Spaccavertebre"] = 87788; --Durg Spinecrusher
		["Gigante Insaziabile"] = 87019; --Gluttonous Giant
		["Torcifauci"] = 78269; --Gnarljaw
		["Gorg'ak il Trincalava"] = 72364; --Gorg'ak the Lava Guzzler
		["Gortag Presaferrea"] = 87344; --Gortag Steelgrip
		["Re delle Melme"] = 78260; --King Slime
		["Krahl Occhiotetro"] = 87239; --Krahl Deadeye
		["Divoratore Balzante"] = 84465; --Leaping Gorger
		["Malgosh Curaombra"] = 85451; --Malgosh Shadowkeeper
		["Meccanofurfante"] = 87026; --Mecha Plunderer
		["Mogamago"] = 88586; --Mogamago
		["Ser Chelotto Sr."] = 84435; --Mr. Pinchy Sr.
		["Nagidna"] = 85555; --Nagidna
		["Colosso dell'Ombra"] = 87027; --Shadow Hulk
		["Melma Viscida"] = 84854; --Slippery Slime
		["Zannargentea"] = 85837; --Slivermaw
		["Torcispiriti Torek"] = 85026; --Soul-Twister Torek
		["Ug'lok il Gelido"] = 79104; --Ug'lok the Frozen
		["Soldato Avvolto dalla Tela"] = 84196; --Web-wrapped Soldier
		["Aogexon"] = 86774; --Aogexon
		["Basten"] = 86257; --Basten
		["Bergruu"] = 86732; --Bergruu
		["Borrok il Divoratore"] = 72156; --Borrok the Devourer
		["Dekorhan"] = 86743; --Dekorhan
		["Echidna"] = 80372; --Echidna
		["Gagrog il Brutale"] = 86771; --Gagrog the Brutal
		["Keravnos"] = 80398; --Keravnos
		["Krud lo Svisceratore"] = 88210; --Krud the Eviscerator
		["Lernaea"] = 80370; --Lernaea
		["Mu'gra"] = 87666; --Mu'gra
		["Nultra"] = 86258; --Nultra
		["Sicario della Fossa"] = 87846; --Pit Slayer
		["Thek'talon"] = 86750; --Thek'talon
		["Tifone"] = 80371; --Typhon
		["Valstil"] = 86259; --Valstil
		["Venolasix"] = 86266; --Venolasix
		["Vilartiglio"] = 88951; --Vileclaw
		["Xelganak"] = 86835; --Xelganak
		["Capitano Barbaferro"] = 79725; --Captain Ironbeard
		["Gaz'orda"] = 80122; --Gaz'orda
		["Prole Fatua"] = 83401; --Netherspawn
		["Ru'klaa"] = 83526; --Ru'klaa
		["Invocatore del Vento Korast"] = 83428; --Windcaller Korast
		["Berserk Serie T-300 Mark II"] = 82826; --Berserk T-300 Series Mark II
		["Esploratore Nozzand"] = 82486; --Explorer Nozzand
		["Fiorletale"] = 83509; --Gorepetal
		["Tritaghiaia"] = 84263; --Graveltooth
		["Esploratore Pokhar"] = 83634; --Scout Pokhar
		["Occhiocupo"] = 86978; --Gaze
		["Mangiapinne"] = 84951; --Gobblefin
		["Grrbrrgle"] = 85572; --Grrbrrgle
		["Aarko"] = 77664; --Aarko
		["Eco di Murmur"] = 77828; --Echo of Murmur
		["Eco di Murmur"] = 77795; --Echo of Murmur
		["Shirzir"] = 79543; --Shirzir
		["Taladorantola"] = 77634; --Taladorantula
		["Veggente del Profondo Mantorosso"] = 80524; --Underseer Bloodmane
		["Rolkor"] = 85264; --Rolkor
		["Sylldross"] = 86410; --Sylldross
		["Regina dell'Alveare Skrikka"] = 83522; --Hive Queen Skrikka
		["Madre della Stirpe Reeg'ak"] = 74613; --Broodmother Reeg'ak
		["Spaccagiganti"] = 77519; --Giantbane
		["Sneevel"] = 86689; --Sneevel
		["Stompalupagus"] = 86520; --Stompalupagus
		["Berthora"] = 85907; --Berthora
		["Riptar"] = 85970; --Riptar
		["Ipnorospo"] = 79524; --Hypnocroak
		["Zoccoloduro"] = 72606; --Rockhoof
		["Ombravenefica"] = 75492; --Venomshade
		["Nakk il Tuonatore"] = 50990; --Nakk the Thunderer
		["Gorok"] = 50992; --Gorok
		["Luk'hok"] = 50981; --Luk'hok
		["Pugnograve"] = 50985; --Poundfist
		["Pellebraga"] = 51015; --Silthide
		["Calcavie"] = 50883; --Pathrunner
		["Nok-Karosh"] = 81001; --Nok-Karosh
		
		-- Rares Draenor 6.2
		["Argosh il Demolitore"] = 91871; --Argosh the Destroyer
		["Belgork"] = 92552; --Belgork
		["Bilkor il Lanciatore"] = 90884; --Bilkor the Thrower
		["Orrore dei Guerci Insanguinati"] = 92657; --Bleeding Hollow Horror
		["Cacciatore del Sangue Zulk"] = 90936; --Bloodhunter Zulk
		["Signore della Progenie Ixkor"] = 92429; --Broodlord Ixkor
		["Capitano Grok'mar"] = 93264; --Captain Grok'mar
		["Capitano Barbaferro"] = 93076; --Captain Ironbeard
		["Ceraxas"] = 90434; --Ceraxas
		["Cindral il Fuocobrado"] = 90519; --Cindral the Wildfire
		["Evocatrice Oscura Rendkra"] = 90081; --Dark Summoner Rendkra
		["Dorg il Sanguinario"] = 90887; --Dorg the Bloody
		["Driss Vile"] = 93028; --Driss Vile
		["Drivnul"] = 90888; --Drivnul
		["Esecutore Riloth"] = 91727; --Executor Riloth
		["Vilfossa"] = 93168; --Felbore
		["Vilfabbro Damorka"] = 92647; --Felsmith Damorka
		["Vilscintilla"] = 91098; --Felspark
		["Squartatenebra"] = 92508; --Gloomtalon
		["Gorabosh"] = 92941; --Gorabosh
		["Gran Stregone Malfatuo"] = 91695; --Grand Warlock Nethekurse
		["Grannok"] = 93057; --Grannok
		["Grobthok Spezzateschi"] = 90089; --Grobthok Skullbreaker
		["Maestro del Porto Korak"] = 90094; --Harbormaster Korak
		["Gran Sacerdote Ikzan"] = 90281; --High Priest Ikzan
		["Gran Sacerdote Ikzan"] = 90777; --High Priest Ikzan
		["Maestra degli Imp Valessa"] = 90429; --Imp-Master Valessa
		["Capitano di Ferro Argha"] = 90087; --Iron Captain Argha
		["Jax'zor"] = 90437; --Jax'zor
		["Krell il Sereno"] = 92517; --Krell the Serene
		["Kris'kar l'Irredento"] = 93279; --Kris'kar the Unredeemed
		["Dama Oran"] = 90438; --Lady Oran
		["Magwia"] = 93002; --Magwia
		["Signora Thavra"] = 90442; --Mistress Thavra
		["Ormak Dardorosso"] = 90088; --Ormak Bloodbolt
		["Supremo Ma'gruth"] = 92411; --Overlord Ma'gruth
		["Signora del Dolore Selora"] = 92274; --Painmistress Selora
		["Signore delle Spore Wakkawam"] = 91374; --Podlord Wakkawam
		["Putre'thar"] = 91009; --Putre'thar
		["Rasthe"] = 90782; --Rasthe
		["Relgor"] = 92197; --Relgor
		["Resti della Luna di Sangue"] = 91227; --Remnant of the Blood Moon
		["Rendrak"] = 92627; --Rendrak
		["Rogond il Braccatore"] = 90885; --Rogond the Tracker
		["Rukmaz"] = 94113; --Rukmaz
		["Sergente Mor'grak"] = 90024; --Sergeant Mor'grak
		["Falciaombre"] = 93236; --Shadowthrash
		["Squartaspiriti"] = 92495; --Soulslicer
		["Grugnacciaio"] = 92887; --Steelsnout
		["Sylissa"] = 92606; --Sylissa
		["Szirek il Contorto"] = 93001; --Szirek the Twisted
		["Artiglionero"] = 92465; --The Blackfang
		["Malartiglio"] = 92694; --The Goreclaw
		["Maestro dei Segugi"] = 92977; --The Iron Houndmaster
		["Infestatore della Notte"] = 92645; --The Night Haunter
		["Infestatore della Notte"] = 92636; --The Night Haunter
		["Tho'gar Pugnotruce"] = 91243; --Tho'gar Gorefist
		["Thromma lo Squartaviscere"] = 92574; --Thromma the Gutslicer
		["Varyx il Dannato"] = 92451; --Varyx the Damned
		["Xanzith l'Eterno"] = 92408; --Xanzith the Everlasting
		["Zeter'el"] = 91087; --Zeter'el
		["Zoug il Pesante"] = 90122; --Zoug the Heavy
		["Ramovile"] = 91093; --Bramblefell
		["Comandante Krag'goth"] = 91232; --Commander Krag'goth
		["Comandante Org'mok"] = 89675; --Commander Org'mok
		["Graffiamorte"] = 95053; --Deathtalon
		["Rovina Cingolata"] = 95056; --Doomroller
		["Glub'glok"] = 93125; --Glub'glok
		["Pugnocupo"] = 95044; --Terrorfist
		["Vendetta"] = 95054; --Vengeance
		["Dragonlian"] = 91921; --Wyrmple
		["Xemirkol"] = 96235; --Xemirkol
		
		-- Rares Draenor 6.2.1
		["Guk"] = 98200; --Guk
		["Pugg"] = 98199; --Pugg
		["Rukdug"] = 98198; --Rukdug
		["Drakum"] = 98283; --Drakum
		["Gondar"] = 98284; --Gondar
		["Grabb"] = 98285; --Smashum Grabb
		["Vilsovrintendente Granfango"] = 98408; --Fel Overseer Mudlump
		["Aracnis"] = 96323; --Arachnis
		["Eraakis"] = 97209; --Eraakis
	}
end
