﻿-- Locale
local AceLocale = LibStub:GetLibrary("AceLocale-3.0");
local AL = AceLocale:NewLocale("RareScanner", "zhCN", false);

if AL then
	-- UI strings
	AL["CHECK_MAP"] = "检查你的地图!";
	AL["UNKNOWN_TARGET"] = "未知目标";
	AL["JUST_SPAWNED"] = " 刚刚出现";
	AL["NOT_TARGETEABLE"] = "无法设为目标";
	AL["CLICK_TARGET"] = "点击将NPC设为目标";
	AL["ALARM_MESSAGE"] = "一个稀有NPC刚刚出现，检查你的地图!";
	
	-- UI config panel
	AL["GENERAL_OPTIONS"] = "一般选项";
	AL["ENABLE_SCAN_RARES"] = "稀有NPC搜寻开关";
	AL["ENABLE_SCAN_RARES_DESC"] = "启用以后当每次你的小地图上有稀有NPC出现时会有视觉警告与声音提醒";
	AL["ENABLE_SCAN_CONTAINERS"] = "宝藏或宝箱搜寻开关";
	AL["ENABLE_SCAN_CONTAINERS_DESC"] = "启用以后当每次你的小地图上有宝藏或宝箱出现时会有视觉警告与声音提醒";
	AL["ENABLE_SCAN_EVENTS"] = "事件搜寻开关";
	AL["ENABLE_SCAN_EVENTS_DESC"] = "启用以后当每次你的小地图上有事件出现时会有视觉警告与声音提醒";
	AL["ENABLE_SCAN_GARRISON_CHEST"] = "Toggle searching garrison treasure";
	AL["ENABLE_SCAN_GARRISON_CHEST_DESC"] = "When this is activated you will be warned visually and with a sound everytime your garrison chest shows up in your minimap.";
	AL["ENABLE_SCAN_IN_ASHRAN"] = "Toggle alerts in Ashran";
	AL["ENABLE_SCAN_IN_ASHRAN_DESC"] = "When this is activated you will get alerts from NPCs rares and events in Ashran.";
	AL["SOUND"] = "声音";
	AL["SOUND_OPTIONS"] = "声音选项";
	AL["ALARM_SOUND"] = "Warning sound for rare NPCs";
	AL["ALARM_SOUND_DESC"] = "Sound played when a rare NPC shows up in your minimap.";
	AL["ALARM_TREASURES_SOUND"] = "Warning sound for events/treasures";
	AL["ALARM_TREASURES_SOUND_DESC"] = "Sound played when a treasure/chest or event shows up in your minimap.";
	AL["DISABLE_SOUND"] = "Disable audio alerts";
	AL["DISABLE_SOUND_DESC"] = "When this is activated you won't receive audio alerts";
	AL["DISPLAY"] = "显示";
	AL["DISPLAY_OPTIONS"] = "显示选项";
	AL["LOOT_PANEL_OPTIONS"] = "Loot bar options";
	AL["DISPLAY_LOOT_PANEL"] = "Toggle showing loot bar";
	AL["DISPLAY_LOOT_PANEL_DESC"] = "When this is activated it will show a bar with the loot dropped by the NPC found";
	AL["LOOT_MIN_QUALITY"] = "Minimum loot quality";
	AL["LOOT_MIN_QUALITY_DESC"] = "Defines the minimum loot quality to show in the loot bar";
	AL["QUALITY_POOR"] = "Poor";
	AL["QUALITY_COMMON"] = "Common";
	AL["QUALITY_UNCOMMON"] = "Uncommon";
	AL["QUALITY_RARE"] = "Rare";
	AL["QUALITY_EPIC"] = "Epic";
	AL["QUALITY_LEGENDARY"] = "Legendary";
	AL["LOOT_TOOLTIP_POSITION"] = "Loot tooltip position";
	AL["LOOT_TOOLTIP_POSITION_DESC"] = "Defines where to show the loot tooltip that appears when you move the mouse over an icon, in respect to the button";
	AL["TOOLTIP_LEFT"] = "Left side";
	AL["TOOLTIP_RIGHT"] = "Right side";
	AL["TOOLTIP_CURSOR"] = "Follow cursor";
	AL["TOOLTIP_TOP"] = "Upper side";
	AL["TOOLTIP_BOTTOM"] = "Lower side";
	AL["DISPLAY_BUTTON"] = "按钮与缩影显示开关";
	AL["DISPLAY_BUTTON_DESC"] = "当取消按钮与缩影显示以后不会再次显示。它不影响报警声音和聊天警报。";
	AL["AUTO_HIDE_BUTTON"] = "自动隐藏按钮与缩影";
	AL["AUTO_HIDE_BUTTON_DESC"] = "在选择的事件过后自动隐藏按钮与缩影 (以秒计)。 如果您选择0秒按钮与缩影不会自动隐藏。";
	AL["SHOW_CHAT_ALERT"] = "聊天警报显示开关";
	AL["SHOW_CHAT_ALERT_DESC"] = "每次当宝藏、宝箱或NPC出现时在聊天中显示一则私人讯息。";
	AL["FILTER"] = "Filters";
	AL["FILTERS_SEARCH"] = "Search";
	AL["FILTERS_SEARCH_DESC"] = "Type the name of the NPC to filter the list below";
	AL["CLEAR_FILTERS_SEARCH"] = "Show all";
	AL["CLEAR_FILTERS_SEARCH_DESC"] = "Reset the previous search and show the complete list";
	AL["FILTERS"] = "Filters for rare NPCs";
	AL["FILTER_RARE_LIST"] = "Filter searching for rare NPCs";
	AL["FILTER_RARE_LIST_DESC"] = "Toggle searching for this rare NPC. When disabled you won't get an alert when this NPC is found.";
	AL["DISABLE_SEARCHING_RARE_TOOLTIP"] = "Disable alerts for this rare NPC";
	AL["DISABLED_SEARCHING_RARE"] = "Disabled alerts for this rare NPC: ";
	AL["ENABLE_SEARCHING_RARE_TOOLTIP"] = "Enable alerts for this rare NPC";
	AL["ENABLED_SEARCHING_RARE"] = "Enabled alerts for this rare NPC: ";
	AL["TEST"] = "Launch Test";
	AL["TEST_DESC"] = "Press the button to show an alert example. You can drag and drop the panel to another position where it will be shown from now on.";

	-- RARE names
	AL["RARE_LIST"] = {
		-- Rares Pandaria
		["奥伊纳克斯"] = 50062; --Aeonaxx
		["伊萨"] = 58778; --Aetha
		["易西斯"] = 50750; --Aethis
		["漫游者阿波尼"] = 50817; --Ahone the Wanderer
		["艾利·天镜"] = 50821; --Ai-Li Skymirror
		["迅云艾然"] = 50822; --Ai-Ran the Shifting Cloud
		["全知者阿塔比姆"] = 70000; --Al'tabim the All-Seeing
		["安卡"] = 54318; --Ankha
		["安塞瑞丝"] = 54338; --Anthriss
		["烈焰祭司阿克鲁斯"] = 73666; --Archiereus of Flame
		["大祭师克拉达"] = 70243; --Archritualist Kelada
		["邪鳞阿尔尼斯"] = 50787; --Arness the Scale
		["碎脊者乌鲁"] = 70001; --Backbreaker Uru
		["屠夫白锦"] = 58949; --Bai-Jin the Butcher
		["班萨罗斯"] = 54320; --Ban'thalos
		["献祭者宝赉"] = 63695; --Baolai the Immolator
		["黑蹄"] = 51059; --Blackhoof
		["血尖"] = 58474; --Bloodtip
		["波罗波斯"] = 50828; --Bonobos
		["波尔金·黑拳"] = 50341; --Borginn Darkfist
		["布佛"] = 72775; --Bufo
		["黑火勇士"] = 73171; --Champion of the Black Flame
		["蛰龙"] = 72045; --Chelon
		["落烬"] = 73175; --Cinderfall
		["柯尼斯水黾"] = 50768; --Cournith Waterstrider
		["裂齿"] = 58768; --Cracklefang
		["噬鹤者"] = 72049; --Cranegnasher
		["破坏者哒克"] = 50334; --Dak the Breaker
		["达兰·碎夜"] = 68318; --Dalan Nightbreaker
		["德丝缇拉克"] = 54322; --Deth'tilac
		["笛沙·菲尔沃顿"] = 68319; --Disha Fearwarden
		["瑟尔林·卡斯迪诺夫教授"] = 59369; --Doctor Theolen Krastinov
		["幽灵船瓦祖维斯号"] = 73281; --Dread Ship Vazuvius
		["翠羽公鹤"] = 73158; --Emerald Gander
		["艾什隆"] = 50772; --Eshelon
		["吞天"] = 73279; --Evermaw
		["费迪南"] = 51078; --Ferdinand
		["感染者弗赖什鲁克"] = 70429; --Flesh'rok the Diseased
		["燧石领主铠兰"] = 73172; --Flintlord Gairan
		["聚焦之眼"] = 70249; --Focused Eye
		["散毒者贾恩"] = 50340; --Gaarn the Toxic
		["裂魂使高珲"] = 62881; --Gaohun the Soul-Severer
		["嘎洛克"] = 50739; --Gar'lok
		["加尼亚"] = 73282; --Garnia
		["铁木贾将军"] = 63101; --General Temuja
		["鬼脚蟹"] = 50051; --Ghostcrawler
		["苟汗"] = 50331; --Go-Kan
		["铁拳苟畅"] = 62880; --Gochao the Ironfist
		["巨灵神拉姆克"] = 69999; --God-Hulk Ramuk
		["苟达"] = 69998; --Goda
		["高戈纳尔"] = 72970; --Golganarr
		["怒壳巨龟"] = 73161; --Great Turtle Furyshell
		["虫群先锋古赤"] = 72909; --Gu'chi the Swarmbringer
		["哈瓦克"] = 50354; --Havak
		["错乱的夺日者构造体"] = 50358; --Haywire Sunreaver Construct
		["火霜"] = 63691; --Huo-Shuang
		["惑龙"] = 73167; --Huolon
		["聪明的伊克伊克"] = 50836; --Ik-Ik the Nimble
		["帝王巨蟒"] = 73163; --Imperial Python
		["铁鬃钢角牛"] = 73160; --Ironfur Steelhorn
		["玉牙页岩蛛"] = 49822; --Jadefang
		["神战士迦库尔"] = 73169; --Jakur of Ordon
		["虬达"] = 50351; --Jonn-Dar
		["卡提尔"] = 50355; --Kah'tir
		["凋零的卡尔提克"] = 50749; --Kal'tik the Blight
		["灵魂窃贼康戈"] = 50349; --Kang the Soul Thief
		["卡尔·好战者"] = 68321; --Kar Warmaker
		["卡卡诺斯"] = 72193; --Karkanos
		["卡尔金"] = 50959; --Karkin
		["卡洛玛"] = 50138; --Karoma
		["黑化者卡尔"] = 50347; --Karr the Darkener
		["柯尔利克斯"] = 54323; --Kirix
		["克纳斯·夜蛮"] = 50338; --Kor'nas Nightsavage
		["考达·多罗斯"] = 50332; --Korda Torros
		["卡兰卡诺"] = 70323; --Krakkanon
		["克拉希斯伊克"] = 50363; --Krax'ik
		["科里充"] = 63978; --Kri'chon
		["“利刃”科罗尔"] = 50356; --Krol the Blade
		["攫天者库莱"] = 69996; --Ku'lai the Skyclaw
		["剪叶者"] = 73277; --Leafmender
		["漫游者李斯伊克"] = 50734; --Lith'ik the Stalker
		["蛮牛隆恩"] = 50333; --Lon the Bull
		["路班"] = 70002; --Lu-Ban
		["马格瑞亚"] = 54319; --Magria
		["纳纳斯少校"] = 50840; --Major Nanners
		["梅薇思·哈姆斯"] = 68317; --Mavis Harms
		["暴怒先生"] = 50823; --Mister Ferocious
		["独眼摩尔多"] = 50806; --Moldo One-Eye
		["莫托尔"] = 70003; --Molthor
		["莫纳拉"] = 70440; --Monara
		["凶暴钳爪蟹"] = 73166; --Monstrous Spineclaw
		["莫戈林·碎牙"] = 50350; --Morgrinn Crackfang
		["穆尔塔"] = 68322; --Muerta
		["穆塔"] = 69664; --Mumta
		["撕裂者纳拉克"] = 50364; --Nal'lak the Ripper
		["纳拉什·沃登提斯"] = 50776; --Nalash Verdantis
		["纳斯拉·斑皮"] = 50811; --Nasra Spothide
		["预言者奈松"] = 50789; --Nessos the Oracle
		["颂风者诺库"] = 70276; --No'ku Stormsayer
		["诺拉克西"] = 50344; --Norlaxx
		["奥米斯·戈林洛克"] = 50805; --Omnis Grinlok
		["崩裂之怒主宰"] = 50085; --Overlord Sunderfury
		["拉克玛亲王"] = 54533; --Prince Lakma
		["布根尼图斯"] = 69997; --Progenitus
		["柯纳思"] = 50352; --Qu'nas
		["浗"] = 58771; --Quid
		["拉沙"] = 70530; --Ra'sha
		["响骨"] = 72048; --Rattleskew
		["石苔"] = 73157; --Rock Moss
		["岩石恐魔"] = 70430; --Rocky Horror
		["鲁恩·灵爪"] = 50816; --Ruun Ghostpaw
		["萨罕·潮猎者"] = 50780; --Sahn Tidehunter
		["萨尔因作战斥候"] = 50783; --Salyin Warscout
		["桑巴斯"] = 50159; --Sambas
		["萨纳克"] = 50782; --Sarnak
		["斯克里奇"] = 50831; --Scritch
		["塞勒纳"] = 50766; --Sele'na
		["暗影主宰塞铎"] = 63240; --Shadowmaster Sydow
		["研磨者斯特里斯"] = 50791; --Siltriss the Sharpener
		["刀疤"] = 50815; --Skarr
		["斯基提克"] = 50733; --Ski'thik
		["掠行之火"] = 54324; --Skitterflame
		["莎利克斯"] = 54321; --Solix
		["斯普鲁克"] = 71864; --Spelurk
		["玉火之灵"] = 72769; --Spirit of Jadefire
		["牢非的灵魂"] = 58817; --Spirit of Lao-Fe
		["斯普林金"] = 50830; --Spriggin
		["斯汀克布莱德"] = 73704; --Stinkbraid
		["苏里克夏"] = 50339; --Sulik'shor
		["邪恶的塔乌斯"] = 50086; --Tarvus the Vile
		["怒嚎"] = 50832; --The Yowler
		["托里可·伊提斯"] = 50388; --Torik-Ethis
		["查沃卡"] = 72808; --Tsavo'ka
		["鬼祟的乌班提"] = 68320; --Ubunti the Shade
		["不眠之眼"] = 70238; --Unblinking Eye
		["烙印者乌都尔"] = 73173; --Urdur the Cauterizer
		["乌戈拉克斯"] = 50359; --Urgolax
		["行者育鲁碧"] = 50808; --Urobi the Walker
		["钳颚"] = 58769; --Vicejaw
		["维拉克西斯"] = 63977; --Vyraxxis
		["战神多坎"] = 70096; --War-God Dokah
		["斥候奥苏"] = 73170; --Watcher Osu
		["维茨格"] = 73293; --Whizzig
		["威利·怀尔德"] = 70126; --Willy Wilder
		["乌麟"] = 63510; --Wulon
		["利眼约里克"] = 50336; --Yorik Sharpeye
		["俞·野爪"] = 50820; --Yul Wildpaw
		["被放逐的赞伊"] = 50769; --Zai the Outcast
		["赞达拉战争使者"] = 69769; --Zandalari Warbringer cian
		["赞达拉战争使者"] = 69842; --Zandalari Warbringer gray
		["赞达拉战争使者"] = 69841; --Zandalari Warbringer silver
		["赞达拉战斗斥候"] = 69768; --Zandalari Warscout
		["曹卓"] = 69843; --Zao'cho
		["泽泉"] = 72245; --Zesqua
		["泛酸的筑汞"] = 71919; --Zhu-Gon the Sour
		
		-- Rares Draenor
		["阿莫卡瓦"] = 77140; --Amaukwa
		["先祖剑圣"] = 82899; --Ancient Blademaster
		["阿夸利亚"] = 86213; --Aqualir
		["索克雷萨的化身"] = 88043; --Avatar of Socrethar
		["巴鲁恩"] = 82326; --Ba'ruun
		["巴哈麦"] = 81406; --Bahameye
		["巴肖克"] = 82085; --Bashiok
		["塑兽者萨拉玛尔"] = 78150; --Beastcarver Saramor
		["贝蒂斯·爆篮"] = 84887; --Betsi Boombasket
		["剑舞者艾瑞克斯"] = 80614; --Blade-Dancer Aeryx
		["凋零之光"] = 84856; --Blightglow
		["荆棘大王菲里"] = 81639; --Brambleking Fili
		["无息"] = 78867; --Breathless
		["布塔格·利刃"] = 87234; --Brutag Grimblade
		["深峡冰母蜥蜴"] = 71721; --Canyon Icemother
		["炽燃的焦皮"] = 82311; --Char the Burning
		["冻牙"] = 80242; --Chillfang
		["烬喉"] = 72294; --Cindermaw
		["云语者达博"] = 78169; --Cloudspeaker Daber
		["哀恸者冰蹄"] = 77513; --Coldstomp the Griever
		["冷牙"] = 76914; --Coldtusk
		["考尔·裂肉者"] = 77620; --Cro Fleshrender
		["飓风之怒"] = 78621; --Cyclonic Fury
		["暗影余孽"] = 77085; --Dark Emanation
		["黑暗大师高维德"] = 82268; --Darkmaster Go'vid
		["暗爪"] = 82411; --Darktalon
		["神射手奇兹"] = 77763; --Deadshot Kizi
		["深渊之根"] = 82058; --Depthroot
		["恐蹄"] = 86729; --Direhoof
		["格鲁姆博士"] = 77561; --Dr. Gloom
		["杜卡斯·钢喉"] = 84807; --Durkath Steelmaw
		["元素使乌塔尔"] = 77768; --Elementalist Utrah
		["爱娜瓦拉"] = 82676; --Enavra
		["爱娜瓦拉"] = 82742; --Enavra
		["灵光"] = 82207; --Faebright
		["锯齿"] = 82975; --Fangler
		["邪皮"] = 80204; --Felbark
		["魔火扈从"] = 82992; --Felfire Consort
		["脓花"] = 84890; --Festerbloom
		["炎怒巨灵"] = 74971; --Firefury Giant
		["纵火者格拉什"] = 88580; --Firestarter Grash
		["燧皮"] = 83483; --Flinthide
		["熔炉主管塔加"] = 77648; --Forge Matron Targa
		["石化的岩木"] = 85250; --Fossilwood the Petrified
		["疯狂的魔像"] = 77614; --Frenzied Golem
		["戈尔佐玛"] = 78713; --Galzomar
		["加鲁尔"] = 82764; --Gar'lua
		["要塞汽车"] = 86058; --Garrison Ford
		["“蓝焰”戈尔高"] = 81038; --Gelgor of the Blue Flame
		["艾弗德将军"] = 82882; --General Aevd
		["加纳迪安"] = 80471; --Gennadian
		["巨人屠夫库尔"] = 71665; --Giant-Slayer Kul
		["巨人屠夫琪拉"] = 78144; --Giantslayer Kimla
		["闪翼"] = 77719; --Glimmerwing
		["格鲁特"] = 80868; --Glut
		["狂暴的瘤蹄"] = 82778; --Gnarlhoof the Rabid
		["咕噜姆"] = 76380; --Gorum
		["大元帅泰布雷德"] = 82876; --Grand Marshal Tremblade
		["巨羽"] = 82758; --Greatfeather
		["狡猾的戈尔多克"] = 84431; --Greldrok the Cunning
		["灰喉"] = 82912; --Grizzlemaw
		["戈隆追猎者达沃"] = 78128; --Gronnstalker Dawarn
		["林地守卫者雅尔"] = 88583; --Grove Warden Yal
		["劫掠者古图什"] = 80312; --Grutush the Pillager
		["古鲁克"] = 80190; --Gruuk
		["戈伦"] = 80235; --Gurun
		["吞天者哈坤"] = 83008; --Haakun the All-Consuming
		["槌牙"] = 77715; --Hammertooth
		["雌鸟哈米"] = 77626; --Hen-Mother Hami
		["独居的白鬃"] = 86724; --Hermit Palefur
		["高阶督军沃拉斯"] = 82877; --High Warlord Volrath
		["猎人巴尔拉"] = 88672; --Hunter Bal'ra
		["猎手黑齿"] = 83603; --Hunter Blacktooth
		["狩猎大师康恩"] = 78151; --Huntmaster Kuang
		["亥伯里奥斯"] = 78161; --Hyperious
		["伊沙塔尔"] = 83553; --Insha'tar
		["刺颚"] = 82616; --Jabberjaw
		["和平主义者贾鲁克"] = 87600; --Jaluk the Pacifist
		["孢子吞噬者贾斯卡"] = 84955; --Jiasska the Sporegorger
		["浴血的卡洛斯"] = 84810; --Kalos the Bloodbathed
		["卡洛什·黑风"] = 86959; --Karosh Blackwind
		["自负的卡拉佐斯"] = 78710; --Kharazos the Triumphant
		["戮喉"] = 74206; --Killmaw
		["克里奇克斯"] = 78872; --Klikixx
		["虚空先知库塔格"] = 72362; --Ku'targ the Voidseer
		["魔女泰普特莎"] = 85121; --Lady Temptessa
		["读叶者库里"] = 72537; --Leaf-Reader Kurri
		["洛玛格·碎颚"] = 77784; --Lo'marg Jawcrusher
		["领主考利纳克"] = 82920; --Lord Korinak
		["“疯王”斯波隆"] = 77310; --Mad "King" Sporeon
		["马尔洛克·裂石"] = 83643; --Malroc Stonesunder
		["曼达科尔"] = 84406; --Mandrakor
		["加布里埃尔元帅"] = 82878; --Marshal Gabriel
		["卡什·暴炉将军"] = 82880; --Marshal Karsh Stormforge
		["罪孽魔女"] = 82998; --Matron of Sin
		["莫尔瓦·屈魂者"] = 82362; --Morva Soultwister
		["蛛后阿兰妮艾"] = 76473; --Mother Araneae
		["主母奥姆拉"] = 75071; --Mother Om'ra
		["穆塔芬"] = 84417; --Mutafen
		["纳斯·杜柏林"] = 82247; --Nas Dunberlin
		["诺洛什"] = 79334; --No'losh
		["奥菲斯"] = 83409; --Ophiis
		["复仇者奥斯奇拉"] = 84872; --Oskiira the Vengeful
		["侦察骑兵杜莉萨"] = 83680; --Outrider Duretha
		["白鬼鱼贩"] = 78606; --Pale Fishmonger
		["探路者贾洛格"] = 78134; --Pathfinder Jalog
		["寻路者德拉加"] = 77095; --Pathstalker Draga
		["竞技场野兽"] = 88208; --Pit Beast
		["毒药大师波塔斯克"] = 84838; --Poisonmaster Bortusk
		["指挥官穆尔格"] = 76918; --Primalist Mur'og
		["纵火者金德拉"] = 77642; --Pyrecaster Zindra
		["拉坎"] = 77741; --Ra'kahn
		["拉戈尔·逐流"] = 84392; --Ragore Driftstalker
		["莱沃什"] = 82374; --Rai'vosh
		["狂野的赤爪"] = 82755; --Redclaw the Feral
		["烂菌"] = 85504; --Rotcap
		["桑里卡斯"] = 84833; --Sangrikass
		["斥候高斯克"] = 77526; --Scout Goreseeker
		["西恩·怀特斯"] = 83542; --Sean Whitesea
		["影皮"] = 79938; --Shadowbark
		["辛利"] = 82415; --Shinri
		["杀戮魔女丝科西丝"] = 78715; --Sikthiss, Maiden of Slaughter
		["银叶古树"] = 79686; --Silverleaf Ancient
		["银叶古树"] = 79693; --Silverleaf Ancient
		["银叶古树"] = 79692; --Silverleaf Ancient
		["日光放大器"] = 83990; --Solar Magnifier
		["灵牙"] = 80057; --Soulfang
		["钢牙"] = 86549; --Steeltusk
		["践踏者克罗格"] = 79629; --Stomper Kreego
		["岩怒"] = 84805; --Stonespite
		["硫磺之怒"] = 80725; --Sulfurious
		["日爪"] = 86137; --Sunclaw
		["碎棘"] = 84912; --Sunderthorn
		["沼叶"] = 85520; --Swarmleaf
		["迅捷黑色掠夺者"] = 88582; --Swift Onyx Flayer
		["断爪者"] = 84836; --Talonbreaker
		["鸦爪祭司佐卡拉"] = 79485; --Talonpriest Zorkra
		["破碎者特斯卡"] = 84775; --Tesska the Broken
		["打击者"] = 77527; --The Beater
		["托格洛斯"] = 82618; --Tor'goroth
		["图拉卡"] = 83591; --Tura'aka
		["瓦拉沙"] = 82050; --Varasha
		["维洛斯"] = 75482; --Veloss
		["虚空掠夺者乌奈"] = 85078; --Voidreaver Urnae
		["虚空先知卡鲁格"] = 83385; --Voidseer Kalurg
		["乌塞罗斯"] = 77926; --Vulceros
		["游荡的守备官"] = 77776; --Wandering Vindicator
		["战争法师巴尔高"] = 78733; --Warcaster Bargol
		["战争大师布格索尔"] = 79024; --Warmaster Blugthol
		["风牙狼母"] = 75434; --Windfang Matriarch
		["毁灭者埃索瑟尔"] = 82922; --Xothear, the Destroyer
		["疤脸雅佳"] = 79145; --Yaga the Scarred
		["焚化者亚兹拉"] = 77529; --Yazheera the Incinerator
		["伊格德尔"] = 75435; --Yggdrel
		["月牙"] = 71992; --Moonfang
		["上古地狱火"] = 84875; --Ancient Inferno
		["布里豪斯"] = 83819; --Brickhouse
		["戴米多斯"] = 84911; --Demidos
		["黑暗编织者凯斯长老"] = 85771; --Elder Darkweaver Kath
		["血獠"] = 84893; --Goregore
		["科萨尔·噬魂"] = 84110; --Korthall Soulgorger
		["库尔洛什·灭牙"] = 82988; --Kurlosh Doomfang
		["魔女德姆拉什"] = 82942; --Lady Demlash
		["紫菀妖花"] = 83683; --Mandragoraster
		["奥拉戈罗"] = 84904; --Oraggro
		["观察者奥鲁莫"] = 87668; --Orumo the Observer
		["迅豹"] = 83691; --Panthora
		["暗焰恐惧行者"] = 82930; --Shadowflame Terrorwalker
		["提塔鲁斯"] = 83713; --Titarus
		["警戒者帕索斯"] = 88436; --Vigilant Paarthos
		["大魔导师泰卡尔"] = 88072; --Archmagus Tekar
		["炮兵古戈克"] = 87597; --Bombardier Gu'gok
		["被俘的高沃什塑石者"] = 84746; --Captured Gor'vosh Stoneshaper
		["被诅咒的先驱"] = 85767; --Cursed Harbinger
		["被诅咒的掠食者"] = 85763; --Cursed Ravager
		["被诅咒的利爪战士"] = 85766; --Cursed Sharptalon
		["胆小的吉布利特"] = 87352; --Gibblette the Cowardly
		["吉比"] = 87362; --Gibby
		["古托尔"] = 83019; --Gug'tol
		["霜降"] = 87348; --Hoarfrost
		["燃烧军团先锋"] = 88494; --Legion Vanguard
		["军士长米格拉"] = 85001; --Master Sergeant Milgra
		["莫托玛"] = 82614; --Moltnoma
		["鬣蜥人主母"] = 87351; --Mother of Goren
		["军需官赫沙克"] = 84925; --Quartermaster Hershak
		["暗影语者纳尔"] = 85029; --Shadowspeaker Niir
		["食尸者暴牙"] = 82617; --Slogtusk the Corpse-Eater
		["高拉摩尔之子"] = 82620; --Son of Goramal
		["缚魂者奈拉娜"] = 88083; --Soulbinder Naylana
		["战略家安克尔"] = 88071; --Strategist Ankor
		["白骨爬行者"] = 78265; --The Bone Crawler
		["剑圣罗戈尔"] = 86579; --Blademaster Ro'gor
		["背叛者达兹戈"] = 86566; --Defector Dazgo
		["可恨的杜普"] = 86571; --Durp the Hated
		["高里瓦克斯"] = 82536; --Gorivax
		["豪格"] = 86577; --Horgg
		["发明家布拉莫"] = 86574; --Inventor Blammo
		["疯狂的麦德加"] = 86562; --Maniacal Madgard
		["莫尔戈·凯恩"] = 86582; --Morgo Kain
		["兰提克"] = 77081; --The Lanticore
		["沃卡尔"] = 87357; --Valkor
		["古老的沃罗克"] = 87356; --Vrok the Ancient
		["督军诺克泰"] = 82883; --Warlord Noktyn
		["“屠夫”阿奥克斯"] = 84378; --Ak'ox the Slaughterer
		["阿卡利"] = 86268; --Alkali
		["雪崩"] = 85568; --Avalanche
		["碎骨者"] = 87837; --Bonebreaker
		["炽燃能量"] = 84926; --Burning Power
		["杜戈·碎脊"] = 87788; --Durg Spinecrusher
		["暴食巨人"] = 87019; --Gluttonous Giant
		["瘤颚"] = 78269; --Gnarljaw
		["熔岩鲸吸者高戈阿克"] = 72364; --Gorg'ak the Lava Guzzler
		["高塔格·钢握"] = 87344; --Gortag Steelgrip
		["软泥怪大王"] = 78260; --King Slime
		["卡拉尔·死眼"] = 87239; --Krahl Deadeye
		["跳跃吞噬者"] = 84465; --Leaping Gorger
		["马尔高什·护影"] = 85451; --Malgosh Shadowkeeper
		["机械掠夺者"] = 87026; --Mecha Plunderer
		["莫伽玛戈"] = 88586; --Mogamago
		["老钳子先生"] = 84435; --Mr. Pinchy Sr.
		["纳吉达"] = 85555; --Nagidna
		["暗影巨人"] = 87027; --Shadow Hulk
		["滑溜软泥"] = 84854; --Slippery Slime
		["银喉"] = 85837; --Slivermaw
		["锢魂者托雷克"] = 85026; --Soul-Twister Torek
		["冰封者乌戈洛克"] = 79104; --Ug'lok the Frozen
		["蛛网缠身的士兵"] = 84196; --Web-wrapped Soldier
		["奥盖克松"] = 86774; --Aogexon
		["巴斯滕"] = 86257; --Basten
		["伯格鲁"] = 86732; --Bergruu
		["吞噬者布罗克"] = 72156; --Borrok the Devourer
		["德考汉"] = 86743; --Dekorhan
		["艾奇迪纳"] = 80372; --Echidna
		["野蛮的伽罗格"] = 86771; --Gagrog the Brutal
		["科拉诺斯"] = 80398; --Keravnos
		["开膛者克鲁德"] = 88210; --Krud the Eviscerator
		["莱纳亚"] = 80370; --Lernaea
		["穆格拉"] = 87666; --Mu'gra
		["努尔塔"] = 86258; --Nultra
		["角斗场屠杀者"] = 87846; --Pit Slayer
		["泰克塔伦"] = 86750; --Thek'talon
		["提丰"] = 80371; --Typhon
		["瓦斯提尔"] = 86259; --Valstil
		["维诺拉斯克"] = 86266; --Venolasix
		["邪爪"] = 88951; --Vileclaw
		["艾克加纳克"] = 86835; --Xelganak
		["铁须队长"] = 79725; --Captain Ironbeard
		["加兹奥达"] = 80122; --Gaz'orda
		["灵魔"] = 83401; --Netherspawn
		["鲁克拉"] = 83526; --Ru'klaa
		["唤风者科拉斯特"] = 83428; --Windcaller Korast
		["狂暴T-300系列II型"] = 82826; --Berserk T-300 Series Mark II
		["探险家诺赞德"] = 82486; --Explorer Nozzand
		["血花"] = 83509; --Gorepetal
		["砂齿"] = 84263; --Graveltooth
		["斥候波卡尔"] = 83634; --Scout Pokhar
		["加兹"] = 86978; --Gaze
		["贪鳍"] = 84951; --Gobblefin
		["格布戈尔"] = 85572; --Grrbrrgle
		["阿尔克"] = 77664; --Aarko
		["摩摩尔的回响"] = 77828; --Echo of Murmur
		["摩摩尔的回响"] = 77795; --Echo of Murmur
		["沙兹尔"] = 79543; --Shirzir
		["塔拉多寡妇蛛"] = 77634; --Taladorantula
		["低阶监工血鬃"] = 80524; --Underseer Bloodmane
		["洛克尔"] = 85264; --Rolkor
		["塞尔多斯"] = 86410; --Sylldross
		["虫巢女王斯基卡"] = 83522; --Hive Queen Skrikka
		["巢母里戈艾克"] = 74613; --Broodmother Reeg'ak
		["吉特班"] = 77519; --Giantbane
		["斯尼维尔"] = 86689; --Sneevel
		["怒蹄"] = 86520; --Stompalupagus
		["贝索拉"] = 85907; --Berthora
		["里普塔尔"] = 85970; --Riptar
		["催眠魔蛙"] = 79524; --Hypnocroak
		["岩蹄"] = 72606; --Rockhoof
		["毒影"] = 75492; --Venomshade
		["雷霆纳克"] = 50990; --Nakk the Thunderer
		["戈罗克"] = 50992; --Gorok
		["鲁克胡克"] = 50981; --Luk'hok
		["重拳"] = 50985; --Poundfist
		["泥皮"] = 51015; --Silthide
		["觅径者"] = 50883; --Pathrunner
		["诺卡罗什"] = 81001; --Nok-Karosh
		
		-- Rares Draenor 6.2
		["毁灭者阿格什"] = 91871; --Argosh the Destroyer
		["贝尔高克"] = 92552; --Belgork
		["投掷者比尔克"] = 90884; --Bilkor the Thrower
		["血环恐魔"] = 92657; --Bleeding Hollow Horror
		["猎血者祖尔克"] = 90936; --Bloodhunter Zulk
		["巢母艾克斯科"] = 92429; --Broodlord Ixkor
		["高克玛上尉"] = 93264; --Captain Grok'mar
		["铁须船长"] = 93076; --Captain Ironbeard
		["塞拉卡斯"] = 90434; --Ceraxas
		["“野火”辛达尔"] = 90519; --Cindral the Wildfire
		["黑暗召唤师兰德卡"] = 90081; --Dark Summoner Rendkra
		["嗜血的多格"] = 90887; --Dorg the Bloody
		["德里斯·瓦伊尔"] = 93028; --Driss Vile
		["德努尔"] = 90888; --Drivnul
		["执行官里洛斯"] = 91727; --Executor Riloth
		["邪钻"] = 93168; --Felbore
		["邪能工匠达莫卡"] = 92647; --Felsmith Damorka
		["魔芒"] = 91098; --Felspark
		["黯爪"] = 92508; --Gloomtalon
		["高拉博什"] = 92941; --Gorabosh
		["高阶术士奈瑟库斯"] = 91695; --Grand Warlock Nethekurse
		["格兰诺克"] = 93057; --Grannok
		["格罗索克·碎颅者"] = 90089; --Grobthok Skullbreaker
		["港务长库拉克"] = 90094; --Harbormaster Korak
		["高阶祭司伊克赞"] = 90281; --High Priest Ikzan
		["高阶祭司伊克赞"] = 90777; --High Priest Ikzan
		["小鬼领主瓦勒萨"] = 90429; --Imp-Master Valessa
		["钢铁船长阿格哈"] = 90087; --Iron Captain Argha
		["贾克索尔"] = 90437; --Jax'zor
		["冷静的克莱尔"] = 92517; --Krell the Serene
		["堕落的科斯卡尔"] = 93279; --Kris'kar the Unredeemed
		["奥兰"] = 90438; --Lady Oran
		["麦格威"] = 93002; --Magwia
		["妖女萨弗拉"] = 90442; --Mistress Thavra
		["奥玛克·血箭"] = 90088; --Ormak Bloodbolt
		["大统领玛古斯"] = 92411; --Overlord Ma'gruth
		["苦痛妖女塞萝拉"] = 92274; --Painmistress Selora
		["魔荚大王瓦卡瓦姆"] = 91374; --Podlord Wakkawam
		["普崔萨"] = 91009; --Putre'thar
		["拉瑟"] = 90782; --Rasthe
		["瑞格儿"] = 92197; --Relgor
		["血月残骸"] = 91227; --Remnant of the Blood Moon
		["伦达克"] = 92627; --Rendrak
		["追踪者罗贡德"] = 90885; --Rogond the Tracker
		["鲁克玛兹"] = 94113; --Rukmaz
		["莫加克中士"] = 90024; --Sergeant Mor'grak
		["鞭影"] = 93236; --Shadowthrash
		["刈魂者"] = 92495; --Soulslicer
		["钢吻"] = 92887; --Steelsnout
		["希利萨"] = 92606; --Sylissa
		["扭曲的兹里克"] = 93001; --Szirek the Twisted
		["黑齿"] = 92465; --The Blackfang
		["血爪"] = 92694; --The Goreclaw
		["钢铁训犬师"] = 92977; --The Iron Houndmaster
		["暗夜游魂"] = 92645; --The Night Haunter
		["暗夜游魂"] = 92636; --The Night Haunter
		["索戈尔·血拳"] = 91243; --Tho'gar Gorefist
		["断肠者索玛"] = 92574; --Thromma the Gutslicer
		["该死的瓦里克斯"] = 92451; --Varyx the Damned
		["不朽的艾萨兹"] = 92408; --Xanzith the Everlasting
		["泽特尔"] = 91087; --Zeter'el
		["大块头佐格"] = 90122; --Zoug the Heavy
		["落棘"] = 91093; --Bramblefell
		["指挥官卡格高斯"] = 91232; --Commander Krag'goth
		["指挥官奥格莫克"] = 89675; --Commander Org'mok
		["死爪"] = 95053; --Deathtalon
		["末日之轮"] = 95056; --Doomroller
		["古鲁布洛克"] = 93125; --Glub'glok
		["泰罗菲斯特"] = 95044; --Terrorfist
		["维金斯"] = 95054; --Vengeance
		["温普尔"] = 91921; --Wyrmple
		["泽米考尔"] = 96235; --Xemirkol
		
		-- Rares Draenor 6.2.1
		["甘克"] = 98200; --Guk
		["普格"] = 98199; --Pugg
		["鲁克都格"] = 98198; --Rukdug
		["达库姆"] = 98283; --Drakum
		["贡达"] = 98284; --Gondar
		["萨姆逊·强掠"] = 98285; --Smashum Grabb
		["邪能监工玛德拉普"] = 98408; --Fel Overseer Mudlump
		["蜘蛛兰"] = 96323; --Arachnis
		["艾拉基斯"] = 97209; --Eraakis
	}
end
